
class LanguageMappings:
    

    def all():
        all = dict()
        all.update(LanguageMappings.unambiguous())
        all.update(LanguageMappings.iso_codes_ambiguous())
        return all      


    def unambiguous():
        unambiguous = dict()
        unambiguous.update(LanguageMappings.iso_codes_unambiguous())
        unambiguous.update(LanguageMappings.ietf_language_tags())
        return unambiguous        
    

    def iso_codes_ambiguous():
        return {
            "af": ["ZA", "NA"],
            "ar": ["AE", "BH", "DJ", "DZ", "EG", "EH", "ER", "IL", "IQ", "JO", "KM", "KW", "LB", "LY", "MA", "MR", "OM", "PS", "QA", "SA", "SD", "SO", "SS", "SY", "TD", "TN", "YE"],
            "bn": ["BD", "IN"],
            "bo": ["CN", "IN"],
            "ca": ["AD", "ES", "FR", "BD"],
            "ccp": ["BD", "IN"],
            "ckb": ["IQ", "IR"],
            "de": ["AT", "BE", "CH", "DE", "IT", "LI", "LU"],
            "ee": ["GH", "TG"],
            "el": ["CY", "GR"],
            "es": ["AR", "BO", "BR", "BZ", "CL", "CO", "CR", "CU", "DO", "EA", "EC", "ES", "GQ", "GT", "HN", "IC", "MX", "NI", "PA", "PE", "PH", "PR", "PY", "SV", "US", "UY", "VE"],
            "fa": ["AF", "IR"],
            "fr": ["BE", "BF", "BI", "BJ", "BL", "CA", "CD", "CF", "CG", "CH", "CI", "CM", "DJ", "DZ", "FR", "GA", "GF", "GN", "GP", "GQ", "HT", "KM", "LU", "MA", "MC", "MF", "MG", "ML", "MQ", "MR", "MU", "NC", "NE", "PF", "PM", "RE", "RW", "SC", "SN", "SY", "TD", "TG", "TN", "VU", "WF", "YT"],
            "ha": ["GH", "NE", "NG"],
            "ko": ["KP", "KR"],
            "ln": ["AO", "CD", "CF", "CG"],
            "lrc": ["IQ", "IR"],
            "mas": ["KE", "TZ"],
            "ms": ["BN", "ID", "MY", "SG"],
            "nl": ["AW", "BE", "BQ", "CW", "NL", "SR", "SX"],
            "om": ["ET", "KE"],
            "os": ["GE", "RU"],
            "pa": ["IN", "PK"],
            "ps": ["AF", "PK"],
            "pt": ["AO", "BR", "CH", "CV", "GQ", "GW", "LU", "MO", "MZ", "PT", "ST", "TL"],
            "qu": ["BO", "EC", "PE"],
            "ro": ["MD", "RO"],
            "ru": ["BY", "KG", "KZ", "MD", "RU", "UA"],
            "sd": ["IN", "PK"],
            "so": ["DJ", "ET", "KE", "SO"],
            "sq": ["AL", "MK", "XK"],
            "sr": ["BA", "ME", "RS", "XK", ],
            "sw": ["CD", "KE", "TZ", "UG"],
            "ta": ["IN", "LK", "MY", "SG"],
            "teo": ["KE", "UG"],
            "ti": ["ER", "ET"],
            "ur": ["IN", "PK"],
            "uz": ["AF", "UZ"],
            "yo": ["BJ", "NG"],
            "yue": ["CN", "HK"],
            "zh": ["CN", "HK", "MO", "SG", "TW"],
        } 


    def iso_codes_unambiguous():
        return {
            "agq": "CM",
            "ak": "GH",
            "am": "ET",
            "as": "IN",
            "asa": "TZ",
            "ast": "ES",
            "bas": "CM",
            "be": "BY",
            "bem": "ZM",
            "bez": "TZ",
            "bg": "BG",
            "bm": "ML",
            "br": "FR",
            "brx": "IN",
            "ce": "RU",
            "ceb": "PH",
            "cgg": "UG",
            "chr": "US",
            "cs": "CZ",
            "cu": "RU",
            "cy": "GB",
            "da": "DK",
            "dav": "KE",
            "dje": "NE",
            "dsb": "DE",
            "dua": "CM",
            "dyo": "SN",
            "dz": "BT",
            "ebu": "KE",
            "et": "EE",
            "eu": "ES",
            "ewo": "CM",
            "fi": "FI",
            "fil": "PH",
            "fur": "IT",
            "fy": "NL",
            "gd": "GB",
            "gl": "ES",
            "gu": "IN",
            "guz": "KE",
            "gv": "IM",
            "haw": "US",
            "he": "IL",
            "hi": "IN",
            "hr": "HR",
            "hsb": "DE",
            "hu": "HU",
            "hy": "AM",
            "id": "ID",
            "ig": "NG",
            "ii": "CN",
            "is": "IS",
            "it": "IT",
            "ja": "JP",
            "jgo": "CM",
            "jmc": "TZ",
            "jv": "ID",
            "ka": "GE",
            "kab": "DZ",
            "kam": "KE",
            "kde": "TZ",
            "kea": "CV",
            "khq": "ML",
            "ki": "KE",
            "kk": "KZ",
            "kkj": "CM",
            "kl": "GL",
            "kln": "KE",
            "km": "KH",
            "kn": "IN",
            "kok": "IN",
            "ks": "IN",
            "ksb": "TZ",
            "ksf": "CM",
            "ksh": "DE",
            "ku": "TR",
            "kw": "GB",
            "ky": "KG",
            "lag": "TZ",
            "lb": "LU",
            "lg": "UG",
            "lkt": "US",
            "lo": "LA",
            "lt": "LT",
            "lu": "CD",
            "luo": "KE",
            "luy": "KE",
            "lv": "LV",
            "mai": "IN",
            "mer": "KE",
            "mfe": "MU",
            "mg": "MG",
            "mgh": "MZ",
            "mgo": "CM",
            "mi": "NZ",
            "mk": "MK",
            "ml": "IN",
            "mn": "MN",
            "mni": "IN",
            "mr": "IN",
            "mt": "MT",
            "mua": "CM",
            "my": "MM",
            "mzn": "IR",
            "naq": "NA",
            "nd": "ZW",
            "ne": "NP",
            "nmg": "CM",
            "nn": "NO",
            "nnh": "CM",
            "nus": "SS",
            "nyn": "UG",
            "or": "IN",
            "pcm": "NG",
            "pl": "PL",
            "rm": "CH",
            "rn": "BI",
            "rof": "TZ",
            "rw": "RW",
            "rwk": "TZ",
            "sah": "RU",
            "saq": "KE",
            "sat": "IN",
            "sbp": "TZ",
            "se": "SE",
            "seh": "MZ",
            "ses": "ML",
            "sg": "CF",
            "shi": "MA",
            "si": "LK",
            "sk": "SK",
            "sl": "SI",
            "smn": "FI",
            "sn": "ZW",
            "su": "ID",
            "te": "IN",
            "tg": "TJ",
            "th": "TH",
            "tk": "TM",
            "to": "TO",
            "tr": "TR",
            "tt": "RU",
            "twq": "NE",
            "tzm": "MA",
            "ug": "CN",
            "uk": "UA",
            "vai": "LR",
            "vi": "VN",
            "vun": "TZ",
            "wae": "CH",
            "wo": "SN",
            "xh": "ZA",
            "xog": "UG",
            "yav": "CM",
            "zgh": "MA",
            "zu": "ZA"
        }

    
    def ietf_language_tags():
        return {
            "af-na": "NA",
            "af-za": "ZA",
            "agq-cm": "CM",
            "ak-gh": "GH",
            "am-et": "ET",
            "ar-ae": "AE",
            "ar-bh": "BH",
            "ar-dj": "DJ",
            "ar-dz": "DZ",
            "ar-eg": "EG",
            "ar-eh": "EH",
            "ar-er": "ER",
            "ar-il": "IL",
            "ar-iq": "IQ",
            "ar-jo": "JO",
            "ar-km": "KM",
            "ar-kw": "KW",
            "ar-lb": "LB",
            "ar-ly": "LY",
            "ar-ma": "MA",
            "ar-mr": "MR",
            "ar-om": "OM",
            "ar-ps": "PS",
            "ar-qa": "QA",
            "ar-sa": "SA",
            "ar-sd": "SD",
            "ar-so": "SO",
            "ar-ss": "SS",
            "ar-sy": "SY",
            "ar-td": "TD",
            "ar-tn": "TN",
            "ar-ye": "YE",
            "as-in": "IN",
            "asa-tz": "TZ",
            "ast-es": "ES",
            "az-cyrl-az": "AZ",
            "az-latn-az": "AZ",
            "bas-cm": "CM",
            "be-by": "BY",
            "bem-zm": "ZM",
            "bez-tz": "TZ",
            "bg-bg": "BG",
            "bm-ml": "ML",
            "bn-bd": "BD",
            "bn-in": "IN",
            "bo-cn": "CN",
            "bo-in": "IN",
            "br-fr": "FR",
            "brx-in": "IN",
            "bs-cyrl-ba": "BA",
            "bs-latn-ba": "BA",
            "ca-ad": "AD",
            "ca-es": "ES",
            "ca-es-valencia": "ES",
            "ca-fr": "FR",
            "ca-it": "IT",
            "ccp-bd": "BD",
            "ccp-in": "IN",
            "ce-ru": "RU",
            "ceb-ph": "PH",
            "cgg-ug": "UG",
            "chr-us": "US",
            "ckb-iq": "IQ",
            "ckb-ir": "IR",
            "cs-cz": "CZ",
            "cu-ru": "RU",
            "cy-gb": "GB",
            "da-dk": "DK",
            "da-gl": "GL",
            "dav-ke": "KE",
            "de-at": "AT",
            "de-be": "BE",
            "de-ch": "CH",
            "de-de": "DE",
            "de-it": "IT",
            "de-li": "LI",
            "de-lu": "LU",
            "dje-ne": "NE",
            "dsb-de": "DE",
            "dua-cm": "CM",
            "dyo-sn": "SN",
            "dz-bt": "BT",
            "ebu-ke": "KE",
            "ee-gh": "GH",
            "ee-tg": "TG",
            "el-cy": "CY",
            "el-gr": "GR",
            "en-ae": "AE",
            "en-ag": "AG",
            "en-ai": "AI",
            "en-as": "AS",
            "en-at": "AT",
            "en-au": "AU",
            "en-bb": "BB",
            "en-be": "BE",
            "en-bi": "BI",
            "en-bm": "BM",
            "en-bs": "BS",
            "en-bw": "BW",
            "en-bz": "BZ",
            "en-ca": "CA",
            "en-cc": "CC",
            "en-ch": "CH",
            "en-ck": "CK",
            "en-cm": "CM",
            "en-cx": "CX",
            "en-cy": "CY",
            "en-de": "DE",
            "en-dg": "DG",
            "en-dk": "DK",
            "en-dm": "DM",
            "en-er": "ER",
            "en-fi": "FI",
            "en-fj": "FJ",
            "en-fk": "FK",
            "en-fm": "FM",
            "en-gb": "GB",
            "en-gd": "GD",
            "en-gg": "GG",
            "en-gh": "GH",
            "en-gi": "GI",
            "en-gm": "GM",
            "en-gu": "GU",
            "en-gy": "GY",
            "en-hk": "HK",
            "en-ie": "IE",
            "en-il": "IL",
            "en-im": "IM",
            "en-in": "IN",
            "en-io": "IO",
            "en-je": "JE",
            "en-jm": "JM",
            "en-ke": "KE",
            "en-ki": "KI",
            "en-kn": "KN",
            "en-ky": "KY",
            "en-lc": "LC",
            "en-lr": "LR",
            "en-ls": "LS",
            "en-mg": "MG",
            "en-mh": "MH",
            "en-mo": "MO",
            "en-mp": "MP",
            "en-ms": "MS",
            "en-mt": "MT",
            "en-mu": "MU",
            "en-mw": "MW",
            "en-my": "MY",
            "en-na": "NA",
            "en-nf": "NF",
            "en-ng": "NG",
            "en-nl": "NL",
            "en-nr": "NR",
            "en-nu": "NU",
            "en-nz": "NZ",
            "en-pg": "PG",
            "en-ph": "PH",
            "en-pk": "PK",
            "en-pn": "PN",
            "en-pr": "PR",
            "en-pw": "PW",
            "en-rw": "RW",
            "en-sb": "SB",
            "en-sc": "SC",
            "en-sd": "SD",
            "en-se": "SE",
            "en-sg": "SG",
            "en-sh": "SH",
            "en-si": "SI",
            "en-sl": "SL",
            "en-ss": "SS",
            "en-sx": "SX",
            "en-sz": "SZ",
            "en-tc": "TC",
            "en-tk": "TK",
            "en-to": "TO",
            "en-tt": "TT",
            "en-tv": "TV",
            "en-tz": "TZ",
            "en-ug": "UG",
            "en-um": "UM",
            "en-us": "US",
            "en-us-posix": "US",
            "en-vc": "VC",
            "en-vg": "VG",
            "en-vi": "VI",
            "en-vu": "VU",
            "en-ws": "WS",
            "en-za": "ZA",
            "en-zm": "ZM",
            "en-zw": "ZW",
            "es-ar": "AR",
            "es-bo": "BO",
            "es-br": "BR",
            "es-bz": "BZ",
            "es-cl": "CL",
            "es-co": "CO",
            "es-cr": "CR",
            "es-cu": "CU",
            "es-do": "DO",
            "es-ea": "EA",
            "es-ec": "EC",
            "es-es": "ES",
            "es-gq": "GQ",
            "es-gt": "GT",
            "es-hn": "HN",
            "es-ic": "IC",
            "es-mx": "MX",
            "es-ni": "NI",
            "es-pa": "PA",
            "es-pe": "PE",
            "es-ph": "PH",
            "es-pr": "PR",
            "es-py": "PY",
            "es-sv": "SV",
            "es-us": "US",
            "es-uy": "UY",
            "es-ve": "VE",
            "et-ee": "EE",
            "eu-es": "ES",
            "ewo-cm": "CM",
            "fa-af": "AF",
            "fa-ir": "IR",
            "ff-adlm-bf": "BF",
            "ff-latn-bf": "BF",
            "ff-adlm-cm": "CM",
            "ff-latn-cm": "CM",
            "ff-adlm-gh": "GH",
            "ff-latn-gh": "GH",
            "ff-adlm-gm": "GM",
            "ff-latn-gm": "GM",
            "ff-adlm-gn": "GN",
            "ff-latn-gn": "GN",
            "ff-adlm-gw": "GW",
            "ff-latn-gw": "GW",
            "ff-adlm-lr": "LR",
            "ff-latn-lr": "LR",
            "ff-adlm-mr": "MR",
            "ff-latn-mr": "MR",
            "ff-adlm-ne": "NE",
            "ff-latn-ne": "NE",
            "ff-adlm-ng": "NG",
            "ff-latn-ng": "NG",
            "ff-adlm-sl": "SL",
            "ff-latn-sl": "SL",
            "ff-adlm-sn": "SN",
            "ff-latn-sn": "SN",
            "fi-fi": "FI",
            "fil-ph": "PH",
            "fo-dk": "DK",
            "fo-fo": "FO",
            "fr-be": "BE",
            "fr-bf": "BF",
            "fr-bi": "BI",
            "fr-bj": "BJ",
            "fr-bl": "BL",
            "fr-ca": "CA",
            "fr-cd": "CD",
            "fr-cf": "CF",
            "fr-cg": "CG",
            "fr-ch": "CH",
            "fr-ci": "CI",
            "fr-cm": "CM",
            "fr-dj": "DJ",
            "fr-dz": "DZ",
            "fr-fr": "FR",
            "fr-ga": "GA",
            "fr-gf": "GF",
            "fr-gn": "GN",
            "fr-gp": "GP",
            "fr-gq": "GQ",
            "fr-ht": "HT",
            "fr-km": "KM",
            "fr-lu": "LU",
            "fr-ma": "MA",
            "fr-mc": "MC",
            "fr-mf": "MF",
            "fr-mg": "MG",
            "fr-ml": "ML",
            "fr-mq": "MQ",
            "fr-mr": "MR",
            "fr-mu": "MU",
            "fr-nc": "NC",
            "fr-ne": "NE",
            "fr-pf": "PF",
            "fr-pm": "PM",
            "fr-re": "RE",
            "fr-rw": "RW",
            "fr-sc": "SC",
            "fr-sn": "SN",
            "fr-sy": "SY",
            "fr-td": "TD",
            "fr-tg": "TG",
            "fr-tn": "TN",
            "fr-vu": "VU",
            "fr-wf": "WF",
            "fr-yt": "YT",
            "fur-it": "IT",
            "fy-nl": "NL",
            "ga-gb": "GB",
            "ga-ie": "IE",
            "gd-gb": "GB",
            "gl-es": "ES",
            "gsw-ch": "CH",
            "gsw-fr": "FR",
            "gsw-li": "LI",
            "gu-in": "IN",
            "guz-ke": "KE",
            "gv-im": "IM",
            "ha-gh": "GH",
            "ha-ne": "NE",
            "ha-ng": "NG",
            "haw-us": "US",
            "he-il": "IL",
            "hi-in": "IN",
            "hr-ba": "BA",
            "hr-hr": "HR",
            "hsb-de": "DE",
            "hu-hu": "HU",
            "hy-am": "AM",
            "id-id": "ID",
            "ig-ng": "NG",
            "ii-cn": "CN",
            "is-is": "IS",
            "it-ch": "CH",
            "it-it": "IT",
            "it-sm": "SM",
            "it-va": "VA",
            "ja-jp": "JP",
            "jgo-cm": "CM",
            "jmc-tz": "TZ",
            "jv-id": "ID",
            "ka-ge": "GE",
            "kab-dz": "DZ",
            "kam-ke": "KE",
            "kde-tz": "TZ",
            "kea-cv": "CV",
            "khq-ml": "ML",
            "ki-ke": "KE",
            "kk-kz": "KZ",
            "kkj-cm": "CM",
            "kl-gl": "GL",
            "kln-ke": "KE",
            "km-kh": "KH",
            "kn-in": "IN",
            "ko-kp": "KP",
            "ko-kr": "KR",
            "kok-in": "IN",
            "ks-arab-in": "IN",
            "ksb-tz": "TZ",
            "ksf-cm": "CM",
            "ksh-de": "DE",
            "ku-tr": "TR",
            "kw-gb": "GB",
            "ky-kg": "KG",
            "lag-tz": "TZ",
            "lb-lu": "LU",
            "lg-ug": "UG",
            "lkt-us": "US",
            "ln-ao": "AO",
            "ln-cd": "CD",
            "ln-cf": "CF",
            "ln-cg": "CG",
            "lo-la": "LA",
            "lrc-iq": "IQ",
            "lrc-ir": "IR",
            "lt-lt": "LT",
            "lu-cd": "CD",
            "luo-ke": "KE",
            "luy-ke": "KE",
            "lv-lv": "LV",
            "mai-in": "IN",
            "mas-ke": "KE",
            "mas-tz": "TZ",
            "mer-ke": "KE",
            "mfe-mu": "MU",
            "mg-mg": "MG",
            "mgh-mz": "MZ",
            "mgo-cm": "CM",
            "mi-nz": "NZ",
            "mk-mk": "MK",
            "ml-in": "IN",
            "mn-mn": "MN",
            "mni-beng-in": "IN",
            "mr-in": "IN",
            "ms-bn": "BN",
            "ms-id": "ID",
            "ms-my": "MY",
            "ms-sg": "SG",
            "mt-mt": "MT",
            "mua-cm": "CM",
            "my-mm": "MM",
            "mzn-ir": "IR",
            "naq-na": "NA",
            "nb-no": "NO",
            "nb-sj": "SJ",
            "nd-zw": "ZW",
            "nds-de": "DE",
            "nds-nl": "NL",
            "ne-in": "IN",
            "ne-np": "NP",
            "nl-aw": "AW",
            "nl-be": "BE",
            "nl-bq": "BQ",
            "nl-cw": "CW",
            "nl-nl": "NL",
            "nl-sr": "SR",
            "nl-sx": "SX",
            "nmg-cm": "CM",
            "nn-no": "NO",
            "nnh-cm": "CM",
            "nus-ss": "SS",
            "nyn-ug": "UG",
            "om-et": "ET",
            "om-ke": "KE",
            "or-in": "IN",
            "os-ge": "GE",
            "os-ru": "RU",
            "pa-guru-in": "IN",
            "pa-arab-pk": "PK",
            "pcm-ng": "NG",
            "pl-pl": "PL",
            "ps-af": "AF",
            "ps-pk": "PK",
            "pt-ao": "AO",
            "pt-br": "BR",
            "pt-ch": "CH",
            "pt-cv": "CV",
            "pt-gq": "GQ",
            "pt-gw": "GW",
            "pt-lu": "LU",
            "pt-mo": "MO",
            "pt-mz": "MZ",
            "pt-pt": "PT",
            "pt-st": "ST",
            "pt-tl": "TL",
            "qu-bo": "BO",
            "qu-ec": "EC",
            "qu-pe": "PE",
            "rm-ch": "CH",
            "rn-bi": "BI",
            "ro-md": "MD",
            "ro-ro": "RO",
            "rof-tz": "TZ",
            "ru-by": "BY",
            "ru-kg": "KG",
            "ru-kz": "KZ",
            "ru-md": "MD",
            "ru-ru": "RU",
            "ru-ua": "UA",
            "rw-rw": "RW",
            "rwk-tz": "TZ",
            "sah-ru": "RU",
            "saq-ke": "KE",
            "sat-olck-in": "IN",
            "sbp-tz": "TZ",
            "sd-deva-in": "IN",
            "sd-arab-pk": "PK",
            "se-fi": "FI",
            "se-no": "NO",
            "se-se": "SE",
            "seh-mz": "MZ",
            "ses-ml": "ML",
            "sg-cf": "CF",
            "shi-latn-ma": "MA",
            "shi-tfng-ma": "MA",
            "si-lk": "LK",
            "sk-sk": "SK",
            "sl-si": "SI",
            "smn-fi": "FI",
            "sn-zw": "ZW",
            "so-dj": "DJ",
            "so-et": "ET",
            "so-ke": "KE",
            "so-so": "SO",
            "sq-al": "AL",
            "sq-mk": "MK",
            "sq-xk": "XK",
            "sr-cyrl-ba": "BA",
            "sr-latn-ba": "BA",
            "sr-cyrl-me": "ME",
            "sr-latn-me": "ME",
            "sr-cyrl-rs": "RS",
            "sr-latn-rs": "RS",
            "sr-cyrl-xk": "XK",
            "sr-latn-xk": "XK",
            "su-latn-id": "ID",
            "sv-ax": "AX",
            "sv-fi": "FI",
            "sv-se": "SE",
            "sw-cd": "CD",
            "sw-ke": "KE",
            "sw-tz": "TZ",
            "sw-ug": "UG",
            "ta-in": "IN",
            "ta-lk": "LK",
            "ta-my": "MY",
            "ta-sg": "SG",
            "te-in": "IN",
            "teo-ke": "KE",
            "teo-ug": "UG",
            "tg-tj": "TJ",
            "th-th": "TH",
            "ti-er": "ER",
            "ti-et": "ET",
            "tk-tm": "TM",
            "to-to": "TO",
            "tr-cy": "CY",
            "tr-tr": "TR",
            "tt-ru": "RU",
            "twq-ne": "NE",
            "tzm-ma": "MA",
            "ug-cn": "CN",
            "uk-ua": "UA",
            "ur-in": "IN",
            "ur-pk": "PK",
            "uz-arab-af": "AF",
            "uz-cyrl-uz": "UZ",
            "uz-latn-uz": "UZ",
            "vai-latn-lr": "LR",
            "vai-vaii-lr": "LR",
            "vi-vn": "VN",
            "vun-tz": "TZ",
            "wae-ch": "CH",
            "wo-sn": "SN",
            "xh-za": "ZA",
            "xog-ug": "UG",
            "yav-cm": "CM",
            "yo-bj": "BJ",
            "yo-ng": "NG",
            "yue-hans-cn": "CN",
            "yue-hant-hk": "HK",
            "zgh-ma": "MA",
            "zh-hans-cn": "CN",
            "zh-hans-hk": "HK",
            "zh-hant-hk": "HK",
            "zh-hans-mo": "MO",
            "zh-hant-mo": "MO",
            "zh-hans-sg": "SG",
            "zh-hant-tw": "TW",
            "zu-za": "ZA"
         }