class TimezoneMappings:

    def zones():
        return {
        "europe/andorra":"ad",
        "asia/dubai":"ae",
        "asia/kabul":"af",
        "america/antigua":"ag",
        "america/anguilla":"ai",
        "europe/tirane":"al",
        "asia/yerevan":"am",
        "africa/luanda":"ao",
        "antarctica/mcmurdo":"aq",
        "antarctica/casey":"aq",
        "antarctica/davis":"aq",
        "antarctica/dumontdurville":"aq",
        "antarctica/mawson":"aq",
        "antarctica/palmer":"aq",
        "antarctica/rothera":"aq",
        "antarctica/syowa":"aq",
        "antarctica/troll":"aq",
        "antarctica/vostok":"aq",
        "america/argentina/buenos_aires":"ar",
        "america/argentina/cordoba":"ar",
        "america/argentina/salta":"ar",
        "america/argentina/jujuy":"ar",
        "america/argentina/tucuman":"ar",
        "america/argentina/catamarca":"ar",
        "america/argentina/la_rioja":"ar",
        "america/argentina/san_juan":"ar",
        "america/argentina/mendoza":"ar",
        "america/argentina/san_luis":"ar",
        "america/argentina/rio_gallegos":"ar",
        "america/argentina/ushuaia":"ar",
        "pacific/pago_pago":"as",
        "europe/vienna":"at",
        "australia/lord_howe":"au",
        "antarctica/macquarie":"au",
        "australia/hobart":"au",
        "australia/melbourne":"au",
        "australia/sydney":"au",
        "australia/broken_hill":"au",
        "australia/brisbane":"au",
        "australia/lindeman":"au",
        "australia/adelaide":"au",
        "australia/darwin":"au",
        "australia/perth":"au",
        "australia/eucla":"au",
        "america/aruba":"aw",
        "europe/mariehamn":"ax",
        "asia/baku":"az",
        "europe/sarajevo":"ba",
        "america/barbados":"bb",
        "asia/dhaka":"bd",
        "europe/brussels":"be",
        "africa/ouagadougou":"bf",
        "europe/sofia":"bg",
        "asia/bahrain":"bh",
        "africa/bujumbura":"bi",
        "africa/porto-novo":"bj",
        "america/st_barthelemy":"bl",
        "atlantic/bermuda":"bm",
        "asia/brunei":"bn",
        "america/la_paz":"bo",
        "america/kralendijk":"bq",
        "america/noronha":"br",
        "america/belem":"br",
        "america/fortaleza":"br",
        "america/recife":"br",
        "america/araguaina":"br",
        "america/maceio":"br",
        "america/bahia":"br",
        "america/sao_paulo":"br",
        "america/campo_grande":"br",
        "america/cuiaba":"br",
        "america/santarem":"br",
        "america/porto_velho":"br",
        "america/boa_vista":"br",
        "america/manaus":"br",
        "america/eirunepe":"br",
        "america/rio_branco":"br",
        "america/nassau":"bs",
        "asia/thimphu":"bt",
        "africa/gaborone":"bw",
        "europe/minsk":"by",
        "america/belize":"bz",
        "america/st_johns":"ca",
        "america/halifax":"ca",
        "america/glace_bay":"ca",
        "america/moncton":"ca",
        "america/goose_bay":"ca",
        "america/blanc-sablon":"ca",
        "america/toronto":"ca",
        "america/iqaluit":"ca",
        "america/pangnirtung":"ca",
        "america/atikokan":"ca",
        "america/winnipeg":"ca",
        "america/resolute":"ca",
        "america/rankin_inlet":"ca",
        "america/regina":"ca",
        "america/swift_current":"ca",
        "america/edmonton":"ca",
        "america/cambridge_bay":"ca",
        "america/yellowknife":"ca",
        "america/inuvik":"ca",
        "america/creston":"ca",
        "america/dawson_creek":"ca",
        "america/fort_nelson":"ca",
        "america/whitehorse":"ca",
        "america/dawson":"ca",
        "america/vancouver":"ca",
        "indian/cocos":"cc",
        "africa/kinshasa":"cd",
        "africa/lubumbashi":"cd",
        "africa/bangui":"cf",
        "africa/brazzaville":"cg",
        "europe/zurich":"ch",
        "africa/abidjan":"ci",
        "pacific/rarotonga":"ck",
        "america/santiago":"cl",
        "america/punta_arenas":"cl",
        "pacific/easter":"cl",
        "africa/douala":"cm",
        "asia/shanghai":"cn",
        "asia/urumqi":"cn",
        "america/bogota":"co",
        "america/costa_rica":"cr",
        "america/havana":"cu",
        "atlantic/cape_verde":"cv",
        "america/curacao":"cw",
        "indian/christmas":"cx",
        "asia/nicosia":"cy",
        "asia/famagusta":"cy",
        "europe/prague":"cz",
        "europe/berlin":"de",
        "europe/busingen":"de",
        "africa/djibouti":"dj",
        "europe/copenhagen":"dk",
        "america/dominica":"dm",
        "america/santo_domingo":"do",
        "africa/algiers":"dz",
        "america/guayaquil":"ec",
        "pacific/galapagos":"ec",
        "europe/tallinn":"ee",
        "africa/cairo":"eg",
        "africa/el_aaiun":"eh",
        "africa/asmara":"er",
        "europe/madrid":"es",
        "africa/ceuta":"es",
        "atlantic/canary":"es",
        "africa/addis_ababa":"et",
        "europe/helsinki":"fi",
        "pacific/fiji":"fj",
        "atlantic/stanley":"fk",
        "pacific/chuuk":"fm",
        "pacific/pohnpei":"fm",
        "pacific/kosrae":"fm",
        "atlantic/faroe":"fo",
        "europe/paris":"fr",
        "africa/libreville":"ga",
        "europe/london":"gb",
        "america/grenada":"gd",
        "asia/tbilisi":"ge",
        "america/cayenne":"gf",
        "europe/guernsey":"gg",
        "africa/accra":"gh",
        "europe/gibraltar":"gi",
        "america/nuuk":"gl",
        "america/danmarkshavn":"gl",
        "america/scoresbysund":"gl",
        "america/thule":"gl",
        "africa/banjul":"gm",
        "africa/conakry":"gn",
        "america/guadeloupe":"gp",
        "africa/malabo":"gq",
        "europe/athens":"gr",
        "atlantic/south_georgia":"gs",
        "america/guatemala":"gt",
        "pacific/guam":"gu",
        "africa/bissau":"gw",
        "america/guyana":"gy",
        "asia/hong_kong":"hk",
        "america/tegucigalpa":"hn",
        "europe/zagreb":"hr",
        "america/port-au-prince":"ht",
        "europe/budapest":"hu",
        "asia/jakarta":"id",
        "asia/pontianak":"id",
        "asia/makassar":"id",
        "asia/jayapura":"id",
        "europe/dublin":"ie",
        "asia/jerusalem":"il",
        "europe/isle_of_man":"im",
        "asia/kolkata":"in",
        "indian/chagos":"io",
        "asia/baghdad":"iq",
        "asia/tehran":"ir",
        "atlantic/reykjavik":"is",
        "europe/rome":"it",
        "europe/jersey":"je",
        "america/jamaica":"jm",
        "asia/amman":"jo",
        "asia/tokyo":"jp",
        "africa/nairobi":"ke",
        "asia/bishkek":"kg",
        "asia/phnom_penh":"kh",
        "pacific/tarawa":"ki",
        "pacific/kanton":"ki",
        "pacific/kiritimati":"ki",
        "indian/comoro":"km",
        "america/st_kitts":"kn",
        "asia/pyongyang":"kp",
        "asia/seoul":"kr",
        "asia/kuwait":"kw",
        "america/cayman":"ky",
        "asia/almaty":"kz",
        "asia/qyzylorda":"kz",
        "asia/qostanay":"kz",
        "asia/aqtobe":"kz",
        "asia/aqtau":"kz",
        "asia/atyrau":"kz",
        "asia/oral":"kz",
        "asia/vientiane":"la",
        "asia/beirut":"lb",
        "america/st_lucia":"lc",
        "europe/vaduz":"li",
        "asia/colombo":"lk",
        "africa/monrovia":"lr",
        "africa/maseru":"ls",
        "europe/vilnius":"lt",
        "europe/luxembourg":"lu",
        "europe/riga":"lv",
        "africa/tripoli":"ly",
        "africa/casablanca":"ma",
        "europe/monaco":"mc",
        "europe/chisinau":"md",
        "europe/podgorica":"me",
        "america/marigot":"mf",
        "indian/antananarivo":"mg",
        "pacific/majuro":"mh",
        "pacific/kwajalein":"mh",
        "europe/skopje":"mk",
        "africa/bamako":"ml",
        "asia/yangon":"mm",
        "asia/ulaanbaatar":"mn",
        "asia/hovd":"mn",
        "asia/choibalsan":"mn",
        "asia/macau":"mo",
        "pacific/saipan":"mp",
        "america/martinique":"mq",
        "africa/nouakchott":"mr",
        "america/montserrat":"ms",
        "europe/malta":"mt",
        "indian/mauritius":"mu",
        "indian/maldives":"mv",
        "africa/blantyre":"mw",
        "america/mexico_city":"mx",
        "america/cancun":"mx",
        "america/merida":"mx",
        "america/monterrey":"mx",
        "america/matamoros":"mx",
        "america/mazatlan":"mx",
        "america/chihuahua":"mx",
        "america/ojinaga":"mx",
        "america/hermosillo":"mx",
        "america/tijuana":"mx",
        "america/bahia_banderas":"mx",
        "asia/kuala_lumpur":"my",
        "asia/kuching":"my",
        "africa/maputo":"mz",
        "africa/windhoek":"na",
        "pacific/noumea":"nc",
        "africa/niamey":"ne",
        "pacific/norfolk":"nf",
        "africa/lagos":"ng",
        "america/managua":"ni",
        "europe/amsterdam":"nl",
        "europe/oslo":"no",
        "asia/kathmandu":"np",
        "pacific/nauru":"nr",
        "pacific/niue":"nu",
        "pacific/auckland":"nz",
        "pacific/chatham":"nz",
        "asia/muscat":"om",
        "america/panama":"pa",
        "america/lima":"pe",
        "pacific/tahiti":"pf",
        "pacific/marquesas":"pf",
        "pacific/gambier":"pf",
        "pacific/port_moresby":"pg",
        "pacific/bougainville":"pg",
        "asia/manila":"ph",
        "asia/karachi":"pk",
        "europe/warsaw":"pl",
        "america/miquelon":"pm",
        "pacific/pitcairn":"pn",
        "america/puerto_rico":"pr",
        "asia/gaza":"ps",
        "asia/hebron":"ps",
        "europe/lisbon":"pt",
        "atlantic/madeira":"pt",
        "atlantic/azores":"pt",
        "pacific/palau":"pw",
        "america/asuncion":"py",
        "asia/qatar":"qa",
        "indian/reunion":"re",
        "europe/bucharest":"ro",
        "europe/belgrade":"rs",
        "europe/kaliningrad":"ru",
        "europe/moscow":"ru",
        "europe/kirov":"ru",
        "europe/volgograd":"ru",
        "europe/astrakhan":"ru",
        "europe/saratov":"ru",
        "europe/ulyanovsk":"ru",
        "europe/samara":"ru",
        "asia/yekaterinburg":"ru",
        "asia/omsk":"ru",
        "asia/novosibirsk":"ru",
        "asia/barnaul":"ru",
        "asia/tomsk":"ru",
        "asia/novokuznetsk":"ru",
        "asia/krasnoyarsk":"ru",
        "asia/irkutsk":"ru",
        "asia/chita":"ru",
        "asia/yakutsk":"ru",
        "asia/khandyga":"ru",
        "asia/vladivostok":"ru",
        "asia/ust-nera":"ru",
        "asia/magadan":"ru",
        "asia/sakhalin":"ru",
        "asia/srednekolymsk":"ru",
        "asia/kamchatka":"ru",
        "asia/anadyr":"ru",
        "europe/simferopol":"ua",
        "europe/kyiv":"ua",
        "africa/kigali":"rw",
        "asia/riyadh":"sa",
        "pacific/guadalcanal":"sb",
        "indian/mahe":"sc",
        "africa/khartoum":"sd",
        "europe/stockholm":"se",
        "asia/singapore":"sg",
        "atlantic/st_helena":"sh",
        "europe/ljubljana":"si",
        "arctic/longyearbyen":"sj",
        "europe/bratislava":"sk",
        "africa/freetown":"sl",
        "europe/san_marino":"sm",
        "africa/dakar":"sn",
        "africa/mogadishu":"so",
        "america/paramaribo":"sr",
        "africa/juba":"ss",
        "africa/sao_tome":"st",
        "america/el_salvador":"sv",
        "america/lower_princes":"sx",
        "asia/damascus":"sy",
        "africa/mbabane":"sz",
        "america/grand_turk":"tc",
        "africa/ndjamena":"td",
        "indian/kerguelen":"tf",
        "africa/lome":"tg",
        "asia/bangkok":"th",
        "asia/dushanbe":"tj",
        "pacific/fakaofo":"tk",
        "asia/dili":"tl",
        "asia/ashgabat":"tm",
        "africa/tunis":"tn",
        "pacific/tongatapu":"to",
        "europe/istanbul":"tr",
        "america/port_of_spain":"tt",
        "pacific/funafuti":"tv",
        "asia/taipei":"tw",
        "africa/dar_es_salaam":"tz",
        "africa/kampala":"ug",
        "pacific/midway":"um",
        "pacific/wake":"um",
        "america/new_york":"us",
        "america/detroit":"us",
        "america/kentucky/louisville":"us",
        "america/kentucky/monticello":"us",
        "america/indiana/indianapolis":"us",
        "america/indiana/vincennes":"us",
        "america/indiana/winamac":"us",
        "america/indiana/marengo":"us",
        "america/indiana/petersburg":"us",
        "america/indiana/vevay":"us",
        "america/chicago":"us",
        "america/indiana/tell_city":"us",
        "america/indiana/knox":"us",
        "america/menominee":"us",
        "america/north_dakota/center":"us",
        "america/north_dakota/new_salem":"us",
        "america/north_dakota/beulah":"us",
        "america/denver":"us",
        "america/boise":"us",
        "america/phoenix":"us",
        "america/los_angeles":"us",
        "america/anchorage":"us",
        "america/juneau":"us",
        "america/sitka":"us",
        "america/metlakatla":"us",
        "america/yakutat":"us",
        "america/nome":"us",
        "america/adak":"us",
        "pacific/honolulu":"us",
        "america/montevideo":"uy",
        "asia/samarkand":"uz",
        "asia/tashkent":"uz",
        "europe/vatican":"va",
        "america/st_vincent":"vc",
        "america/caracas":"ve",
        "america/tortola":"vg",
        "america/st_thomas":"vi",
        "asia/ho_chi_minh":"vn",
        "pacific/efate":"vu",
        "pacific/wallis":"wf",
        "pacific/apia":"ws",
        "asia/aden":"ye",
        "indian/mayotte":"yt",
        "africa/johannesburg":"za",
        "africa/lusaka":"zm",
        "africa/harare":"zw"
        }