'''
CountryWrangler is Open Source and distributed under the MIT License.

Copyright (c) 2023 Henry Wills - https://linktr.ee/thehenrywills

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and 
associated documentation files (the "Software"), to deal in the Software without restriction, 
including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, 
and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, 
subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial 
portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT 
LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
'''

class NameMappings:

    def names():
        return {
            "afghánistán":"AF",
            "alandy":"AX",
            "albánie":"AL",
            "alžírsko":"DZ",
            "americká samoa":"AS",
            "americké panenské ostrovy":"VI",
            "andorra":"AD",
            "angola":"AO",
            "anguilla":"AI",
            "antarktida":"AQ",
            "antigua a barbuda":"AG",
            "argentina":"AR",
            "arménie":"AM",
            "aruba":"AW",
            "austrálie":"AU",
            "ázerbájdžán":"AZ",
            "bahamy":"BS",
            "bahrajn":"BH",
            "bangladéš":"BD",
            "barbados":"BB",
            "belgie":"BE",
            "belize":"BZ",
            "bělorusko":"BY",
            "benin":"BJ",
            "bermudy":"BM",
            "bhútán":"BT",
            "bolívie":"BO",
            "bonaire, svatý eustach a saba":"BQ",
            "bosna a hercegovina":"BA",
            "botswana":"BW",
            "bouvetův ostrov":"BV",
            "brazílie":"BR",
            "britské indickooceánské území":"IO",
            "britské panenské ostrovy":"VG",
            "brunej":"BN",
            "bulharsko":"BG",
            "burkina faso":"BF",
            "burundi":"BI",
            "cookovy ostrovy":"CK",
            "curaçao":"CW",
            "čad":"TD",
            "černá hora":"ME",
            "česko":"CZ",
            "čína":"CN",
            "dánsko":"DK",
            "dominika":"DM",
            "dominikánská republika":"DO",
            "džibutsko":"DJ",
            "egypt":"EG",
            "ekvádor":"EC",
            "eritrea":"ER",
            "estonsko":"EE",
            "etiopie":"ET",
            "faerské ostrovy":"FO",
            "falklandy (malvíny)":"FK",
            "fidži":"FJ",
            "filipíny":"PH",
            "finsko":"FI",
            "francie":"FR",
            "francouzská guyana":"GF",
            "francouzská jižní a antarktická území":"TF",
            "francouzská polynésie":"PF",
            "gabon":"GA",
            "gambie":"GM",
            "ghana":"GH",
            "gibraltar":"GI",
            "grenada":"GD",
            "grónsko":"GL",
            "gruzie":"GE",
            "guadeloupe":"GP",
            "guam":"GU",
            "guatemala":"GT",
            "guinea":"GN",
            "guinea-bissau":"GW",
            "guernsey":"GG",
            "guyana":"GY",
            "haiti":"HT",
            "heardův ostrov a mcdonaldovy ostrovy":"HM",
            "honduras":"HN",
            "hongkong":"HK",
            "chile":"CL",
            "chorvatsko":"HR",
            "indie":"IN",
            "indonésie":"ID",
            "irák":"IQ",
            "írán":"IR",
            "irsko":"IE",
            "island":"IS",
            "itálie":"IT",
            "izrael":"IL",
            "jamajka":"JM",
            "japonsko":"JP",
            "jemen":"YE",
            "jersey":"JE",
            "jihoafrická republika":"ZA",
            "jižní georgie a jižní sandwichovy ostrovy":"GS",
            "jižní korea":"KR",
            "jižní súdán":"SS",
            "jordánsko":"JO",
            "kajmanské ostrovy":"KY",
            "kambodža":"KH",
            "kamerun":"CM",
            "kanada":"CA",
            "kapverdy":"CV",
            "katar":"QA",
            "kazachstán":"KZ",
            "keňa":"KE",
            "kiribati":"KI",
            "kokosové ostrovy":"CC",
            "kolumbie":"CO",
            "komory":"KM",
            "kongo":"CG",
            "konžská demokratická republika":"CD",
            "kostarika":"CR",
            "kuba":"CU",
            "kuvajt":"KW",
            "kypr":"CY",
            "kyrgyzstán":"KG",
            "laos":"LA",
            "lesotho":"LS",
            "libanon":"LB",
            "libérie":"LR",
            "libye":"LY",
            "lichtenštejnsko":"LI",
            "litva":"LT",
            "lotyšsko":"LV",
            "lucembursko":"LU",
            "macao":"MO",
            "madagaskar":"MG",
            "maďarsko":"HU",
            "malajsie":"MY",
            "malawi":"MW",
            "maledivy":"MV",
            "mali":"ML",
            "malta":"MT",
            "ostrov man":"IM",
            "maroko":"MA",
            "marshallovy ostrovy":"MH",
            "martinik":"MQ",
            "mauricius":"MU",
            "mauritánie":"MR",
            "mayotte":"YT",
            "menší odlehlé ostrovy usa":"UM",
            "mexiko":"MX",
            "mikronésie":"FM",
            "moldavsko":"MD",
            "monako":"MC",
            "mongolsko":"MN",
            "montserrat":"MS",
            "mosambik":"MZ",
            "myanmar":"MM",
            "namibie":"NA",
            "nauru":"NR",
            "německo":"DE",
            "nepál":"NP",
            "niger":"NE",
            "nigérie":"NG",
            "nikaragua":"NI",
            "niue":"NU",
            "nizozemsko":"NL",
            "norfolk":"NF",
            "norsko":"NO",
            "nová kaledonie":"NC",
            "nový zéland":"NZ",
            "omán":"OM",
            "pákistán":"PK",
            "palau":"PW",
            "palestinská autonomie":"PS",
            "panama":"PA",
            "papua nová guinea":"PG",
            "paraguay":"PY",
            "peru":"PE",
            "pitcairnovy ostrovy":"PN",
            "pobřeží slonoviny":"CI",
            "polsko":"PL",
            "portoriko":"PR",
            "portugalsko":"PT",
            "rakousko":"AT",
            "rovníková guinea":"GQ",
            "rumunsko":"RO",
            "rusko":"RU",
            "rwanda":"RW",
            "řecko":"GR",
            "saint pierre a miquelon":"PM",
            "salvador":"SV",
            "samoa":"WS",
            "san marino":"SM",
            "saúdská arábie":"SA",
            "senegal":"SN",
            "severní korea":"KP",
            "severní makedonie":"MK",
            "severní mariany":"MP",
            "seychely":"SC",
            "sierra leone":"SL",
            "singapur":"SG",
            "slovensko":"SK",
            "slovinsko":"SI",
            "somálsko":"SO",
            "spojené arabské emiráty":"AE",
            "spojené království velké británie a severního irska":"GB",
            "spojené státy americké":"US",
            "srbsko":"RS",
            "srí lanka":"LK",
            "středoafrická republika":"CF",
            "súdán":"SD",
            "surinam":"SR",
            "svatá helena, ascension a tristan da cunha":"SH",
            "svatá lucie":"LC",
            "svatý bartoloměj":"BL",
            "svatý kryštof a nevis":"KN",
            "svatý martin (francouzská část)":"MF",
            "svatý martin (nizozemská část)":"SX",
            "svatý tomáš a princův ostrov":"ST",
            "svatý vincenc a grenadiny":"VC",
            "svazijsko":"SZ",
            "sýrie":"SY",
            "šalomounovy ostrovy":"SB",
            "španělsko":"ES",
            "špicberky a jan mayen":"SJ",
            "švédsko":"SE",
            "švýcarsko":"CH",
            "tádžikistán":"TJ",
            "tanzanie":"TZ",
            "thajsko":"TH",
            "tchaj-wan":"TW",
            "togo":"TG",
            "tokelau":"TK",
            "tonga":"TO",
            "trinidad a tobago":"TT",
            "tunisko":"TN",
            "turecko":"TR",
            "turkmenistán":"TM",
            "turks a caicos":"TC",
            "tuvalu":"TV",
            "uganda":"UG",
            "ukrajina":"UA",
            "uruguay":"UY",
            "uzbekistán":"UZ",
            "vánoční ostrov":"CX",
            "vanuatu":"VU",
            "vatikán":"VA",
            "venezuela":"VE",
            "vietnam":"VN",
            "východní timor":"TL",
            "wallis a futuna":"WF",
            "zambie":"ZM",
            "západní sahara":"EH",
            "zimbabwe":"ZW",
            "afghanistan":"AF",
            "albanien":"AL",
            "algeriet":"DZ",
            "amerikansk samoa":"AS",
            "antarktika (antarktis)":"AQ",
            "antigua og barbuda":"AG",
            "armenien":"AM",
            "australien":"AU",
            "aserbajdsjan":"AZ",
            "bahamas":"BS",
            "bahrain":"BH",
            "bangladesh":"BD",
            "belgien":"BE",
            "bermuda":"BM",
            "bhutan":"BT",
            "bolivia":"BO",
            "bosnien-hercegovina":"BA",
            "bouvetøen":"BV",
            "brasilien":"BR",
            "britisk territorium i det indiske ocean":"IO",
            "brunei":"BN",
            "bulgarien":"BG",
            "burma":"MM",
            "cambodja":"KH",
            "cameroun":"CM",
            "canada":"CA",
            "caymanøerne":"KY",
            "centralafrikanske republik":"CF",
            "juleøen":"CX",
            "cocosøerne":"CC",
            "colombia":"CO",
            "comorerne":"KM",
            "congo":"CG",
            "demokratiske republik congo":"CD",
            "cookøerne":"CK",
            "costa rica":"CR",
            "cuba":"CU",
            "cypern":"CY",
            "danmark":"DK",
            "djibouti":"DJ",
            "dominica":"DM",
            "dominikanske republik":"DO",
            "ecuador":"EC",
            "egypten":"EG",
            "elfenbenskysten":"CI",
            "el salvador":"SV",
            "estland":"EE",
            "etiopien":"ET",
            "falklandsøerne":"FK",
            "fiji":"FJ",
            "filippinerne":"PH",
            "finland":"FI",
            "forenede arabiske emirater":"AE",
            "frankrig":"FR",
            "fransk guiana":"GF",
            "fransk polynesien":"PF",
            "franske sydterritorier":"TF",
            "færøerne":"FO",
            "gambia":"GM",
            "georgien":"GE",
            "grækenland":"GR",
            "grønland":"GL",
            "heard-øen og mcdonald-øerne":"HM",
            "hviderusland":"BY",
            "isle of man":"IM",
            "indien":"IN",
            "indonesien":"ID",
            "irak":"IQ",
            "iran":"IR",
            "irland":"IE",
            "israel":"IL",
            "italien":"IT",
            "jamaica":"JM",
            "japan":"JP",
            "britiske jomfruøer":"VG",
            "amerikanske jomfruøer":"VI",
            "jordan":"JO",
            "nederlandske antiller":"BQ",
            "kap verde":"CV",
            "kasakhstan":"KZ",
            "kenya":"KE",
            "kina":"CN",
            "kirgisistan":"KG",
            "kroatien":"HR",
            "kuwait":"KW",
            "letland":"LV",
            "liberia":"LR",
            "libyen":"LY",
            "liechtenstein":"LI",
            "litauen":"LT",
            "luxembourg":"LU",
            "nordmakedonien":"MK",
            "malaysia":"MY",
            "maldiverne":"MV",
            "marokko":"MA",
            "marshalløerne":"MH",
            "martinique":"MQ",
            "mauretanien":"MR",
            "mauritius":"MU",
            "mexico":"MX",
            "mikronesien":"FM",
            "moldova":"MD",
            "monaco":"MC",
            "mongoliet":"MN",
            "montenegro":"ME",
            "mozambique":"MZ",
            "namibia":"NA",
            "holland":"NL",
            "nepal":"NP",
            "new zealand":"NZ",
            "nicaragua":"NI",
            "nigeria":"NG",
            "nordkorea":"KP",
            "nordmarianerne":"MP",
            "norfolk island":"NF",
            "norge":"NO",
            "ny kaledonien":"NC",
            "oman":"OM",
            "pakistan":"PK",
            "palæstina":"PS",
            "papua ny guinea":"PG",
            "pitcairn":"PN",
            "polen":"PL",
            "portugal":"PT",
            "puerto rico":"PR",
            "qatar":"QA",
            "rumænien":"RO",
            "rusland":"RU",
            "sankt helena":"SH",
            "saint barthélemy":"BL",
            "saint kitts og nevis":"KN",
            "saint lucia":"LC",
            "saint martin":"MF",
            "saint-pierre og miquelon":"PM",
            "saint vincent og grenadinerne":"VC",
            "salomonøerne":"SB",
            "são tomé og príncipe":"ST",
            "saudi-arabien":"SA",
            "serbien":"RS",
            "seychellerne":"SC",
            "singapore":"SG",
            "sint maarten":"SX",
            "slovakiet":"SK",
            "slovenien":"SI",
            "somalia":"SO",
            "spanien":"ES",
            "sri lanka":"LK",
            "storbritannien":"GB",
            "sudan":"SD",
            "svalbard og jan mayen (norge)":"SJ",
            "sverige":"SE",
            "schweiz":"CH",
            "swaziland":"SZ",
            "syrien":"SY",
            "sydafrika":"ZA",
            "south georgia og south sandwich islands":"GS",
            "sydkorea":"KR",
            "sydsudan":"SS",
            "taiwan (republikken kina)":"TW",
            "tadsjikistan":"TJ",
            "tanzania":"TZ",
            "thailand":"TH",
            "trinidad og tobago":"TT",
            "tchad":"TD",
            "tjekkiet":"CZ",
            "tunesien":"TN",
            "tyrkiet":"TR",
            "turkmenistan":"TM",
            "turks- og caicosøerne":"TC",
            "tyskland":"DE",
            "ukraine":"UA",
            "ungarn":"HU",
            "usa":"US",
            "usa's ydre småøer":"UM",
            "usbekistan":"UZ",
            "vatikanstaten":"VA",
            "vestsahara":"EH",
            "wallis og futuna":"WF",
            "yemen":"YE",
            "zambia":"ZM",
            "ækvatorialguinea":"GQ",
            "østrig":"AT",
            "østtimor":"TL",
            "ålandsøerne":"AX",
            "ägypten":"EG",
            "åland":"AX",
            "algerien":"DZ",
            "amerikanisch-samoa":"AS",
            "amerikanische jungferninseln":"VI",
            "antarktis (sonderstatus durch antarktisvertrag)":"AQ",
            "antigua und barbuda":"AG",
            "äquatorialguinea":"GQ",
            "argentinien":"AR",
            "aserbaidschan":"AZ",
            "äthiopien":"ET",
            "bangladesch":"BD",
            "belarus":"BY",
            "bolivien":"BO",
            "bonaire, saba, sint eustatius":"BQ",
            "bosnien und herzegowina":"BA",
            "bouvetinsel":"BV",
            "britische jungferninseln":"VG",
            "britisches territorium im indischen ozean":"IO",
            "volksrepublik china":"CN",
            "cookinseln":"CK",
            "dänemark":"DK",
            "deutschland":"DE",
            "dominikanische republik":"DO",
            "dschibuti":"DJ",
            "elfenbeinküste":"CI",
            "eswatini":"SZ",
            "falklandinseln":"FK",
            "färöer":"FO",
            "fidschi":"FJ",
            "finnland":"FI",
            "frankreich":"FR",
            "französisch-guayana":"GF",
            "französisch-polynesien":"PF",
            "französische süd- und antarktisgebiete":"TF",
            "gabun":"GA",
            "griechenland":"GR",
            "grönland":"GL",
            "guernsey (kanalinsel)":"GG",
            "heard und mcdonaldinseln":"HM",
            "insel man":"IM",
            "jamaika":"JM",
            "jersey (kanalinsel)":"JE",
            "jordanien":"JO",
            "kaimaninseln":"KY",
            "kambodscha":"KH",
            "kasachstan":"KZ",
            "kenia":"KE",
            "kokosinseln":"CC",
            "kolumbien":"CO",
            "komoren":"KM",
            "kongo, demokratische republik":"CD",
            "kongo, republik":"CG",
            "korea, nord (nordkorea)":"KP",
            "korea, süd (südkorea)":"KR",
            "lettland":"LV",
            "luxemburg":"LU",
            "macau":"MO",
            "malediven":"MV",
            "marshallinseln":"MH",
            "moldau":"MD",
            "mongolei":"MN",
            "neukaledonien":"NC",
            "neuseeland":"NZ",
            "niederlande":"NL",
            "nördliche marianen":"MP",
            "nordmazedonien":"MK",
            "norfolkinsel":"NF",
            "norwegen":"NO",
            "österreich":"AT",
            "osttimor":"TL",
            "palästina":"PS",
            "papua-neuguinea":"PG",
            "philippinen":"PH",
            "pitcairninseln":"PN",
            "ruanda":"RW",
            "rumänien":"RO",
            "russland":"RU",
            "salomonen":"SB",
            "saint-barthélemy":"BL",
            "saint-martin (französischer teil)":"MF",
            "sambia":"ZM",
            "são tomé und príncipe":"ST",
            "schweden":"SE",
            "seychellen":"SC",
            "simbabwe":"ZW",
            "slowakei":"SK",
            "slowenien":"SI",
            "st. helena, ascension und tristan da cunha":"SH",
            "st. kitts und nevis":"KN",
            "st. lucia":"LC",
            "saint-pierre und miquelon":"PM",
            "st. vincent und die grenadinen":"VC",
            "südafrika":"ZA",
            "südgeorgien und die südlichen sandwichinseln":"GS",
            "südsudan":"SS",
            "suriname":"SR",
            "spitzbergen und jan mayen":"SJ",
            "tadschikistan":"TJ",
            "republik china":"TW",
            "tansania":"TZ",
            "trinidad und tobago":"TT",
            "tschad":"TD",
            "tschechien":"CZ",
            "türkei":"TR",
            "turks- und caicosinseln":"TC",
            "united states minor outlying islands":"UM",
            "vatikanstadt":"VA",
            "vereinigte arabische emirate":"AE",
            "vereinigte staaten":"US",
            "vereinigtes königreich":"GB",
            "wallis und futuna":"WF",
            "weihnachtsinsel":"CX",
            "westsahara":"EH",
            "zentralafrikanische republik":"CF",
            "zypern":"CY",
            "αγία λουκία":"LC",
            "άγιος βαρθολομαίος":"BL",
            "άγιος μαρτίνος (γαλλία)":"MF",
            "άγιος μαρτίνος (ολλανδία)":"SX",
            "άγιος βικέντιος και γρεναδίνες":"VC",
            "άγιος μαρίνος":"SM",
            "σαιν πιερ και μικελόν":"PM",
            "άγιος χριστόφορος και νέβις":"KN",
            "αζερμπαϊτζάν":"AZ",
            "αίγυπτος":"EG",
            "αιθιοπία":"ET",
            "αϊτή":"HT",
            "ακτή ελεφαντοστού":"CI",
            "αλβανία":"AL",
            "αλγερία":"DZ",
            "αμερικανική σαμόα":"AS",
            "ανατολικό τιμόρ":"TL",
            "ανγκόλα":"AO",
            "ανγκουίλα":"AI",
            "ανδόρρα":"AD",
            "ανταρκτική":"AQ",
            "αντίγκουα και μπαρμπούντα":"AG",
            "αργεντινή":"AR",
            "αρμενία":"AM",
            "αρούμπα":"AW",
            "αυστραλία":"AU",
            "αυστρία":"AT",
            "αφγανιστάν":"AF",
            "βανουάτου":"VU",
            "βατικανό":"VA",
            "βέλγιο":"BE",
            "βενεζουέλα":"VE",
            "βερμούδες":"BM",
            "βιετνάμ":"VN",
            "βολιβία":"BO",
            "βόρεια κορέα":"KP",
            "βοσνία-ερζεγοβίνη":"BA",
            "βουλγαρία":"BG",
            "βραζιλία":"BR",
            "βρετανικό έδαφος ινδικού ωκεανού":"IO",
            "βρετανικές παρθένοι νήσοι":"VG",
            "γαλλία":"FR",
            "γαλλικά νότια και ανταρκτικά εδάφη":"TF",
            "γαλλική γουιάνα":"GF",
            "γαλλική πολυνησία":"PF",
            "γερμανία":"DE",
            "γεωργία":"GE",
            "γιβραλτάρ":"GI",
            "γκάμπια":"GM",
            "γκαμπόν":"GA",
            "γκάνα":"GH",
            "γκέρνσεϊ":"GG",
            "γκουάμ":"GU",
            "γουαδελούπη":"GP",
            "γουατεμάλα":"GT",
            "γουιάνα":"GY",
            "γουινέα":"GN",
            "γουινέα-μπισσάου":"GW",
            "γρενάδα":"GD",
            "γροιλανδία":"GL",
            "δανία":"DK",
            "δομινικανή δημοκρατία":"DO",
            "δυτική όχθη":"PS",
            "δυτική σαχάρα":"EH",
            "ελ σαλβαδόρ":"SV",
            "ελβετία":"CH",
            "ελλάδα":"GR",
            "ερυθραία":"ER",
            "εσθονία":"EE",
            "ζάμπια":"ZM",
            "ζιμπάμπουε":"ZW",
            "ηνωμένα αραβικά εμιράτα":"AE",
            "ηνωμένες πολιτείες αμερικής":"US",
            "απομακρυσμένες νησίδες των ηνωμένων πολιτειών":"UM",
            "ηνωμένο βασίλειο":"GB",
            "ιαπωνία":"JP",
            "ινδία":"IN",
            "ινδονησία":"ID",
            "ιορδανία":"JO",
            "ιράκ":"IQ",
            "ιράν":"IR",
            "ιρλανδία":"IE",
            "ισημερινή γουινέα":"GQ",
            "ισημερινός":"EC",
            "ισλανδία":"IS",
            "ισπανία":"ES",
            "ισραήλ":"IL",
            "ιταλία":"IT",
            "καζακστάν":"KZ",
            "καμερούν":"CM",
            "καμπότζη":"KH",
            "καναδάς":"CA",
            "κατάρ":"QA",
            "κεντροαφρικανική δημοκρατία":"CF",
            "κένυα":"KE",
            "κίνα":"CN",
            "κιργιζία":"KG",
            "κιριμπάτι":"KI",
            "κογκό":"CG",
            "κολομβία":"CO",
            "κομόρες":"KM",
            "κόστα ρίκα":"CR",
            "κούβα":"CU",
            "κουβέιτ":"KW",
            "κουρασάο":"CW",
            "κροατία":"HR",
            "κύπρος":"CY",
            "λαϊκή δημοκρατία του κογκό":"CD",
            "λάος":"LA",
            "λεσότο":"LS",
            "λεττονία":"LV",
            "λευκορωσία":"BY",
            "λίβανος":"LB",
            "λιβερία":"LR",
            "λιβύη":"LY",
            "λιθουανία":"LT",
            "λίχτενσταϊν":"LI",
            "λουξεμβούργο":"LU",
            "μαγιότ":"YT",
            "μαδαγασκάρη":"MG",
            "μακάο":"MO",
            "μαλαισία":"MY",
            "μαλάουι":"MW",
            "μαλδίβες":"MV",
            "μάλι":"ML",
            "μάλτα":"MT",
            "μαρόκο":"MA",
            "μαρτινίκα":"MQ",
            "μαυρίκιος":"MU",
            "μαυριτανία":"MR",
            "μαυροβούνιο":"ME",
            "μεξικό":"MX",
            "μιανμάρ":"MM",
            "μογγολία":"MN",
            "μοζαμβίκη":"MZ",
            "μολδαβία":"MD",
            "μονακό":"MC",
            "μοντσερράτ":"MS",
            "μπανγκλαντές":"BD",
            "μπαρμπάντος":"BB",
            "μπαχάμες":"BS",
            "μπαχρέιν":"BH",
            "μπελίζ":"BZ",
            "μπενίν":"BJ",
            "μποναίρ, άγιος ευστάθιος και σάμπα":"BQ",
            "μποτσουάνα":"BW",
            "μπουρκίνα φάσο":"BF",
            "μπουρούντι":"BI",
            "μπουτάν":"BT",
            "μπρουνέι":"BN",
            "ναμίμπια":"NA",
            "ναουρού":"NR",
            "νέα ζηλανδία":"NZ",
            "νέα καληδονία":"NC",
            "νεπάλ":"NP",
            "μπουβέ":"BV",
            "νησί νόρφολκ":"NF",
            "νήσος των χριστουγέννων":"CX",
            "νησιά κόκος (keeling)":"CC",
            "ώλαντ":"AX",
            "βόρειες μαριάνες νήσοι":"MP",
            "νήσοι μάρσαλ":"MH",
            "νησιά πίτκερν":"PN",
            "κέιμαν νήσοι":"KY",
            "νήσοι κουκ":"CK",
            "νήσοι σολομώντα":"SB",
            "νήσοι φερόες":"FO",
            "νήσοι φώκλαντ":"FK",
            "νήσος μαν":"IM",
            "νήσοι χερντ και μακντόναλντ":"HM",
            "νίγηρας":"NE",
            "νιγηρία":"NG",
            "νικαράγουα":"NI",
            "νιούε":"NU",
            "νορβηγία":"NO",
            "νότια αφρική":"ZA",
            "νήσοι νότια γεωργία και νότιες σάντουιτς":"GS",
            "νότια κορέα":"KR",
            "νότιο σουδάν":"SS",
            "δομινίκα":"DM",
            "ολλανδία (κάτω χώρες)":"NL",
            "ομάν":"OM",
            "ομόσπονδες πολιτείες της μικρονησίας":"FM",
            "ονδούρα":"HN",
            "ουαλίς και φουτουνά":"WF",
            "ουγγαρία":"HU",
            "ουγκάντα":"UG",
            "ουζμπεκιστάν":"UZ",
            "ουκρανία":"UA",
            "ουρουγουάη":"UY",
            "πακιστάν":"PK",
            "παλάου":"PW",
            "παναμάς":"PA",
            "παπούα νέα γουινέα":"PG",
            "παραγουάη":"PY",
            "αμερικανικές παρθένοι νήσοι":"VI",
            "βόρεια μακεδονία":"MK",
            "περού":"PE",
            "πολωνία":"PL",
            "πορτογαλία":"PT",
            "πουέρτο ρίκο":"PR",
            "πράσινο ακρωτήρι":"CV",
            "ρεϊνιόν":"RE",
            "ρουάντα":"RW",
            "ρουμανία":"RO",
            "ρωσία":"RU",
            "σαμόα":"WS",
            "νήσος αγίας ελένης":"SH",
            "σάο τομέ και πρίνσιπε":"ST",
            "σαουδική αραβία":"SA",
            "σβάλμπαρντ":"SJ",
            "σενεγάλη":"SN",
            "σερβία":"RS",
            "σεϋχέλλες":"SC",
            "σιέρα λεόνε":"SL",
            "σιγκαπούρη":"SG",
            "σλοβακία":"SK",
            "σλοβενία":"SI",
            "σομαλία":"SO",
            "εσουατίνι":"SZ",
            "σουδάν":"SD",
            "σουηδία":"SE",
            "σουρινάμ":"SR",
            "σρι λάνκα":"LK",
            "συρία":"SY",
            "ταϊβάν":"TW",
            "ταϊλάνδη":"TH",
            "τανζανία":"TZ",
            "τατζικιστάν":"TJ",
            "τερκς και κέικος":"TC",
            "τζαμάικα":"JM",
            "τζέρσεϊ":"JE",
            "τζιμπουτί":"DJ",
            "τόγκα":"TO",
            "τόγκο":"TG",
            "τοκελάου":"TK",
            "τουβαλού":"TV",
            "τουρκία":"TR",
            "τουρκμενιστάν":"TM",
            "τρινιντάντ και τομπάγκο":"TT",
            "τσαντ":"TD",
            "τσεχία":"CZ",
            "τυνησία":"TN",
            "υεμένη":"YE",
            "φιλιππίνες":"PH",
            "φινλανδία":"FI",
            "φίτζι":"FJ",
            "χιλή":"CL",
            "χονγκ κονγκ":"HK",
            "åland islands":"AX",
            "albania":"AL",
            "algeria":"DZ",
            "american samoa":"AS",
            "antarctica":"AQ",
            "antigua and barbuda":"AG",
            "armenia":"AM",
            "australia":"AU",
            "austria":"AT",
            "azerbaijan":"AZ",
            "belgium":"BE",
            "bolivia (plurinational state of)":"BO",
            "bonaire, sint eustatius and saba":"BQ",
            "bosnia and herzegovina":"BA",
            "bouvet island":"BV",
            "brazil":"BR",
            "british indian ocean territory":"IO",
            "british indian ocean":"IO",
            "brunei darussalam":"BN",
            "bulgaria":"BG",
            "cabo verde":"CV",
            "cambodia":"KH",
            "cameroon":"CM",
            "cayman islands":"KY",
            "central african republic":"CF",
            "chad":"TD",
            "china":"CN",
            "christmas island":"CX",
            "cocos (keeling) islands":"CC",
            "comoros":"KM",
            "congo, democratic republic of the":"CD",
            "cook islands":"CK",
            "côte d'ivoire":"CI",
            "croatia":"HR",
            "cyprus":"CY",
            "czechia":"CZ",
            "denmark":"DK",
            "dominican republic":"DO",
            "equatorial guinea":"GQ",
            "estonia":"EE",
            "ethiopia":"ET",
            "falkland islands (malvinas)":"FK",
            "faroe islands":"FO",
            "france":"FR",
            "french guiana":"GF",
            "french polynesia":"PF",
            "french southern territories":"TF",
            "georgia":"GE",
            "germany":"DE",
            "greece":"GR",
            "greenland":"GL",
            "heard island and mcdonald islands":"HM",
            "holy see":"VA",
            "hong kong":"HK",
            "hungary":"HU",
            "iceland":"IS",
            "india":"IN",
            "indonesia":"ID",
            "iran (islamic republic of)":"IR",
            "iraq":"IQ",
            "ireland":"IE",
            "italy":"IT",
            "kazakhstan":"KZ",
            "korea (democratic people's republic of)":"KP",
            "korea, republic of":"KR",
            "kyrgyzstan":"KG",
            "lao people's democratic republic":"LA",
            "latvia":"LV",
            "lebanon":"LB",
            "libya":"LY",
            "lithuania":"LT",
            "madagascar":"MG",
            "maldives":"MV",
            "marshall islands":"MH",
            "mauritania":"MR",
            "micronesia (federated states of)":"FM",
            "moldova, republic of":"MD",
            "mongolia":"MN",
            "morocco":"MA",
            "netherlands":"NL",
            "new caledonia":"NC",
            "north macedonia":"MK",
            "northern mariana islands":"MP",
            "norway":"NO",
            "palestine, state of":"PS",
            "papua new guinea":"PG",
            "philippines":"PH",
            "poland":"PL",
            "romania":"RO",
            "russian federation":"RU",
            "saint helena, ascension and tristan da cunha":"SH",
            "saint kitts and nevis":"KN",
            "saint martin (french part)":"MF",
            "saint pierre and miquelon":"PM",
            "saint vincent and the grenadines":"VC",
            "sao tome and principe":"ST",
            "saudi arabia":"SA",
            "serbia":"RS",
            "seychelles":"SC",
            "sint maarten (dutch part)":"SX",
            "slovakia":"SK",
            "slovenia":"SI",
            "solomon islands":"SB",
            "south africa":"ZA",
            "south georgia and the south sandwich islands":"GS",
            "south sudan":"SS",
            "spain":"ES",
            "svalbard and jan mayen":"SJ",
            "sweden":"SE",
            "switzerland":"CH",
            "syrian arab republic":"SY",
            "taiwan, province of china":"TW",
            "tajikistan":"TJ",
            "tanzania, united republic of":"TZ",
            "timor-leste":"TL",
            "trinidad and tobago":"TT",
            "tunisia":"TN",
            "türkiye":"TR",
            "turks and caicos islands":"TC",
            "united arab emirates":"AE",
            "united kingdom of great britain and northern ireland":"GB",
            "united kingdom":"GB",
            "great britain":"GB",
            "united states of america":"US",
            "uzbekistan":"UZ",
            "venezuela (bolivarian republic of)":"VE",
            "viet nam":"VN",
            "virgin islands (british)":"VG",
            "virgin islands (u.s.)":"VI",
            "wallis and futuna":"WF",
            "western sahara":"EH",
            "andoro":"AD",
            "unuiĝintaj arabaj emirlandoj":"AE",
            "afganio":"AF",
            "antigvo kaj barbudo":"AG",
            "angvilo":"AI",
            "albanio":"AL",
            "armenio":"AM",
            "angolo":"AO",
            "antarktio":"AQ",
            "argentino":"AR",
            "usona samoo":"AS",
            "aŭstrio":"AT",
            "aŭstralio":"AU",
            "arubo":"AW",
            "alando":"AX",
            "azerbajĝano":"AZ",
            "bosnio kaj hercegovino":"BA",
            "barbado":"BB",
            "bangladeŝo":"BD",
            "burkino":"BF",
            "bulgario":"BG",
            "barejno":"BH",
            "burundo":"BI",
            "benino":"BJ",
            "bermudo":"BM",
            "brunejo":"BN",
            "bolivio":"BO",
            "kariba nederlando":"BQ",
            "brazilo":"BR",
            "bahamoj":"BS",
            "butano":"BT",
            "buvetinsulo":"BV",
            "bocvano":"BW",
            "belorusio":"BY",
            "belizo":"BZ",
            "kanado":"CA",
            "kokosinsuloj":"CC",
            "demokratia respubliko kongo":"CD",
            "centr-afrika respubliko":"CF",
            "respubliko kongo":"CG",
            "svislando":"CH",
            "ebura bordo":"CI",
            "kukinsuloj":"CK",
            "ĉilio":"CL",
            "kameruno":"CM",
            "ĉinio":"CN",
            "kolombio":"CO",
            "kostariko":"CR",
            "kubo":"CU",
            "kaboverdo":"CV",
            "kuracao":"CW",
            "kristnaskinsulo":"CX",
            "kipro":"CY",
            "ĉeĥio":"CZ",
            "germanio":"DE",
            "ĝibutio":"DJ",
            "danio":"DK",
            "dominiko":"DM",
            "dominika respubliko":"DO",
            "alĝerio":"DZ",
            "ekvadoro":"EC",
            "estonio":"EE",
            "egiptio":"EG",
            "okcidenta saharo":"EH",
            "eritreo":"ER",
            "hispanio":"ES",
            "etiopio":"ET",
            "finnlando":"FI",
            "fiĝio":"FJ",
            "insuloj falklandoj":"FK",
            "federacio de mikronezio":"FM",
            "ferooj":"FO",
            "francio":"FR",
            "gabono":"GA",
            "britio":"GB",
            "grenado":"GD",
            "kartvelio":"GE",
            "franca gujano":"GF",
            "gvernsejo":"GG",
            "ganao":"GH",
            "ĝibraltaro":"GI",
            "gronlando":"GL",
            "gambio":"GM",
            "gvineo":"GN",
            "gvadelupo":"GP",
            "ekvatora gvineo":"GQ",
            "grekio":"GR",
            "sud-georgio kaj sud-sandviĉinsuloj":"GS",
            "gvatemalo":"GT",
            "gvamo":"GU",
            "gvineo bisaŭa":"GW",
            "gujano":"GY",
            "honkongo":"HK",
            "insulo herdo kaj insuloj makdonaldaj":"HM",
            "honduro":"HN",
            "kroatio":"HR",
            "haitio":"HT",
            "hungario":"HU",
            "indonezio":"ID",
            "irlando":"IE",
            "israelo":"IL",
            "mankso":"IM",
            "barato":"IN",
            "brita hindoceana teritorio":"IO",
            "irako":"IQ",
            "irano":"IR",
            "islando":"IS",
            "italio":"IT",
            "ĵersejo":"JE",
            "jamajko":"JM",
            "jordanio":"JO",
            "japanio":"JP",
            "kenjo":"KE",
            "kirgizio":"KG",
            "kamboĝo":"KH",
            "kiribato":"KI",
            "komoroj":"KM",
            "sankta-kito kaj neviso":"KN",
            "nord-koreio":"KP",
            "sud-koreio":"KR",
            "kuvajto":"KW",
            "kajmana insularo":"KY",
            "kazaĥio":"KZ",
            "laoso":"LA",
            "libano":"LB",
            "sankta lucio":"LC",
            "liĥtenŝtejno":"LI",
            "srilanko":"LK",
            "liberio":"LR",
            "lesoto":"LS",
            "litovio":"LT",
            "luksemburgo":"LU",
            "latvio":"LV",
            "libio":"LY",
            "moldavio":"MD",
            "saint-martin":"MF",
            "madagaskaro":"MG",
            "marŝala insularo":"MH",
            "nord-makedonio":"MK",
            "malio":"ML",
            "birmo":"MM",
            "mongolio":"MN",
            "makao":"MO",
            "nord-marianoj":"MP",
            "martiniko":"MQ",
            "maŭritanio":"MR",
            "moncerato":"MS",
            "malto":"MT",
            "maŭricio":"MU",
            "maldivoj":"MV",
            "malavio":"MW",
            "meksiko":"MX",
            "malajzio":"MY",
            "mozambiko":"MZ",
            "namibio":"NA",
            "nov-kaledonio":"NC",
            "niĝero":"NE",
            "norfolkinsulo":"NF",
            "niĝerio":"NG",
            "nikaragvo":"NI",
            "nederlando":"NL",
            "norvegio":"NO",
            "nepalo":"NP",
            "nauro":"NR",
            "niuo":"NU",
            "nov-zelando":"NZ",
            "omano":"OM",
            "panamo":"PA",
            "peruo":"PE",
            "franca polinezio":"PF",
            "papuo-nov-gvineo":"PG",
            "filipinoj":"PH",
            "pakistano":"PK",
            "pollando":"PL",
            "sankta-piero kaj mikelono":"PM",
            "pitkarna insularo":"PN",
            "porto-riko":"PR",
            "palestino":"PS",
            "portugalio":"PT",
            "palaŭo":"PW",
            "paragvajo":"PY",
            "kataro":"QA",
            "reunio":"RE",
            "rumanio":"RO",
            "serbio":"RS",
            "rusio":"RU",
            "ruando":"RW",
            "sauda arabio":"SA",
            "salomonoj":"SB",
            "sejŝeloj":"SC",
            "sudano":"SD",
            "svedio":"SE",
            "singapuro":"SG",
            "sankta heleno, ascension kaj tristan da cunha":"SH",
            "slovenio":"SI",
            "svalbardo kaj jan-majen-insulo":"SJ",
            "slovakio":"SK",
            "sieraleono":"SL",
            "san-marino":"SM",
            "senegalo":"SN",
            "somalio":"SO",
            "surinamo":"SR",
            "sud-sudano":"SS",
            "santomeo kaj principeo":"ST",
            "salvadoro":"SV",
            "sint-maarten":"SX",
            "sirio":"SY",
            "svazilando":"SZ",
            "turkoj kaj kajkoj":"TC",
            "ĉado":"TD",
            "francaj sudaj teritorioj":"TF",
            "togolando":"TG",
            "tajlando":"TH",
            "taĝikio":"TJ",
            "tokelao":"TK",
            "orienta timoro":"TL",
            "turkmenio":"TM",
            "tunizio":"TN",
            "tongo":"TO",
            "turkio":"TR",
            "trinidado kaj tobago":"TT",
            "tuvalo":"TV",
            "tajvano":"TW",
            "tanzanio":"TZ",
            "ukrainio":"UA",
            "ugando":"UG",
            "usonaj malgrandaj insuloj":"UM",
            "usono":"US",
            "urugvajo":"UY",
            "uzbekio":"UZ",
            "vatikanurbo":"VA",
            "sankta vincento kaj la grenadinoj":"VC",
            "venezuelo":"VE",
            "britaj virgulininsuloj":"VG",
            "usonaj virgulininsuloj":"VI",
            "vjetnamio":"VN",
            "vanuatuo":"VU",
            "valiso kaj futuno":"WF",
            "samoo":"WS",
            "jemeno":"YE",
            "majoto":"YT",
            "sud-afriko":"ZA",
            "zambio":"ZM",
            "zimbabvo":"ZW",
            "belgio":"BE",
            "afganistán":"AF",
            "alemania":"DE",
            "anguila":"AI",
            "antártida":"AQ",
            "antigua y barbuda":"AG",
            "arabia saudita":"SA",
            "argelia":"DZ",
            "azerbaiyán":"AZ",
            "bangladés":"BD",
            "baréin":"BH",
            "bélgica":"BE",
            "belice":"BZ",
            "benín":"BJ",
            "bermudas":"BM",
            "bielorrusia":"BY",
            "bonaire, san eustaquio y saba":"BQ",
            "bosnia y herzegovina":"BA",
            "botsuana":"BW",
            "brasil":"BR",
            "brunéi":"BN",
            "bután":"BT",
            "camboya":"KH",
            "camerún":"CM",
            "canadá":"CA",
            "catar":"QA",
            "chipre":"CY",
            "comoras":"KM",
            "corea del norte":"KP",
            "corea del sur":"KR",
            "costa de marfil":"CI",
            "croacia":"HR",
            "curazao":"CW",
            "dinamarca":"DK",
            "egipto":"EG",
            "emiratos árabes unidos":"AE",
            "eslovaquia":"SK",
            "eslovenia":"SI",
            "españa":"ES",
            "estados unidos":"US",
            "etiopía":"ET",
            "filipinas":"PH",
            "finlandia":"FI",
            "fiyi":"FJ",
            "francia":"FR",
            "gabón":"GA",
            "granada":"GD",
            "grecia":"GR",
            "groenlandia":"GL",
            "guadalupe":"GP",
            "guayana francesa":"GF",
            "guinea-bisáu":"GW",
            "guinea ecuatorial":"GQ",
            "haití":"HT",
            "hungría":"HU",
            "irán":"IR",
            "irlanda":"IE",
            "isla bouvet":"BV",
            "isla de man":"IM",
            "isla de navidad":"CX",
            "islandia":"IS",
            "islas caimán":"KY",
            "islas cocos":"CC",
            "islas cook":"CK",
            "islas feroe":"FO",
            "islas georgias del sur y sandwich del sur":"GS",
            "islas heard y mcdonald":"HM",
            "islas malvinas":"FK",
            "islas marianas del norte":"MP",
            "islas marshall":"MH",
            "islas pitcairn":"PN",
            "islas salomón":"SB",
            "islas turcas y caicos":"TC",
            "islas ultramarinas menores de los estados unidos":"UM",
            "islas vírgenes británicas":"VG",
            "islas vírgenes de los estados unidos":"VI",
            "italia":"IT",
            "japón":"JP",
            "jordania":"JO",
            "kazajistán":"KZ",
            "kirguistán":"KG",
            "letonia":"LV",
            "líbano":"LB",
            "libia":"LY",
            "lituania":"LT",
            "luxemburgo":"LU",
            "macedonia del norte":"MK",
            "malasia":"MY",
            "malaui":"MW",
            "maldivas":"MV",
            "malí":"ML",
            "marruecos":"MA",
            "martinica":"MQ",
            "mauricio":"MU",
            "méxico":"MX",
            "micronesia":"FM",
            "moldavia":"MD",
            "mónaco":"MC",
            "birmania":"MM",
            "níger":"NE",
            "isla norfolk":"NF",
            "noruega":"NO",
            "nueva caledonia":"NC",
            "nueva zelanda":"NZ",
            "países bajos":"NL",
            "pakistán":"PK",
            "palaos":"PW",
            "palestina":"PS",
            "panamá":"PA",
            "papúa nueva guinea":"PG",
            "perú":"PE",
            "polinesia francesa":"PF",
            "polonia":"PL",
            "reino unido":"GB",
            "república árabe saharaui democrática":"EH",
            "república centroafricana":"CF",
            "república checa":"CZ",
            "república del congo":"CG",
            "república democrática del congo":"CD",
            "república dominicana":"DO",
            "reunión":"RE",
            "rumania":"RO",
            "rusia":"RU",
            "samoa americana":"AS",
            "san bartolomé":"BL",
            "san cristóbal y nieves":"KN",
            "san martín":"MF",
            "san pedro y miquelón":"PM",
            "san vicente y las granadinas":"VC",
            "santa elena, ascensión y tristán de acuña":"SH",
            "santa lucía":"LC",
            "santo tomé y príncipe":"ST",
            "sierra leona":"SL",
            "siria":"SY",
            "suazilandia":"SZ",
            "sudáfrica":"ZA",
            "sudán":"SD",
            "sudán del sur":"SS",
            "suecia":"SE",
            "suiza":"CH",
            "svalbard y jan mayen":"SJ",
            "tailandia":"TH",
            "taiwán (república de china)":"TW",
            "tayikistán":"TJ",
            "territorio británico del océano índico":"IO",
            "tierras australes y antárticas francesas":"TF",
            "timor oriental":"TL",
            "trinidad y tobago":"TT",
            "túnez":"TN",
            "turquía":"TR",
            "ucrania":"UA",
            "vaticano, ciudad del":"VA",
            "wallis y futuna":"WF",
            "yibuti":"DJ",
            "zimbabue":"ZW",
            "afganistan":"AF",
            "ahvenamaa":"AX",
            "albaania":"AL",
            "alžeeria":"DZ",
            "ameerika samoa":"AS",
            "ameerika ühendriigid":"US",
            "antarktis":"AQ",
            "antigua ja barbuda":"AG",
            "araabia ühendemiraadid":"AE",
            "armeenia":"AM",
            "austraalia":"AU",
            "aserbaidžaan":"AZ",
            "bahama":"BS",
            "bahrein":"BH",
            "belau":"PW",
            "belgia":"BE",
            "birma":"MM",
            "boliivia":"BO",
            "bonaire, sint eustatius ja saba":"BQ",
            "bosnia ja hertsegoviina":"BA",
            "bouvet":"BV",
            "brasiilia":"BR",
            "briti india ookeani ala":"IO",
            "briti neitsisaared":"VG",
            "bulgaaria":"BG",
            "cooki saared":"CK",
            "dominikaani vabariik":"DO",
            "eesti":"EE",
            "egiptus":"EG",
            "ekvatoriaal-guinea":"GQ",
            "elevandiluurannik":"CI",
            "etioopia":"ET",
            "falklandi saared":"FK",
            "fääri saared":"FO",
            "gruusia":"GE",
            "gröönimaa":"GL",
            "filipiinid":"PH",
            "heard ja mcdonald":"HM",
            "hiina":"CN",
            "hispaania":"ES",
            "horvaatia":"HR",
            "iirimaa":"IE",
            "iisrael":"IL",
            "ida-timor":"TL",
            "indoneesia":"ID",
            "iraak":"IQ",
            "iraan":"IR",
            "itaalia":"IT",
            "jaapan":"JP",
            "jeemen":"YE",
            "jordaania":"JO",
            "jõulusaar":"CX",
            "kaimanisaared":"KY",
            "kasahstan":"KZ",
            "keenia":"KE",
            "kesk-aafrika vabariik":"CF",
            "komoorid":"KM",
            "kongo demokraatlik vabariik":"CD",
            "kongo vabariik":"CG",
            "kookossaared":"CC",
            "kreeka":"GR",
            "kuuba":"CU",
            "kuveit":"KW",
            "küpros":"CY",
            "kõrgõzstan":"KG",
            "leedu":"LT",
            "liibanon":"LB",
            "libeeria":"LR",
            "liibüa":"LY",
            "luksemburg":"LU",
            "lõuna-aafrika vabariik":"ZA",
            "lõuna-georgia ja lõuna-sandwichi saared":"GS",
            "lõuna-korea":"KR",
            "lõuna-sudaan":"SS",
            "lääne-sahara":"EH",
            "läti":"LV",
            "malaisia":"MY",
            "maldiivid":"MV",
            "man":"IM",
            "marshalli saared":"MH",
            "mauritaania":"MR",
            "mehhiko":"MX",
            "mikroneesia liiduriigid":"FM",
            "mongoolia":"MN",
            "mosambiik":"MZ",
            "namiibia":"NA",
            "nigeeria":"NG",
            "norra":"NO",
            "omaan":"OM",
            "paapua uus-guinea":"PG",
            "palestiina":"PS",
            "peruu":"PE",
            "poola":"PL",
            "prantsuse guajaana":"GF",
            "prantsuse lõunaalad":"TF",
            "prantsuse polüneesia":"PF",
            "prantsusmaa":"FR",
            "põhja-korea":"KP",
            "põhja-makedoonia":"MK",
            "põhja-mariaanid":"MP",
            "roheneemesaared":"CV",
            "rootsi":"SE",
            "rumeenia":"RO",
            "saalomoni saared":"SB",
            "saint helena":"SH",
            "saint kitts ja nevis":"KN",
            "saint-pierre ja miquelon":"PM",
            "saint vincent ja grenadiinid":"VC",
            "saksamaa":"DE",
            "são tomé ja príncipe":"ST",
            "saudi araabia":"SA",
            "seišellid":"SC",
            "slovakkia":"SK",
            "sloveenia":"SI",
            "somaalia":"SO",
            "soome":"FI",
            "sudaan":"SD",
            "suurbritannia":"GB",
            "svaasimaa":"SZ",
            "svalbard ja jan mayen":"SJ",
            "süüria":"SY",
            "šveits":"CH",
            "taani":"DK",
            "tadžikistan":"TJ",
            "tai":"TH",
            "taiwan":"TW",
            "tansaania":"TZ",
            "trinidad ja tobago":"TT",
            "tšaad":"TD",
            "tšehhi":"CZ",
            "tšiili":"CL",
            "tuneesia":"TN",
            "türgi":"TR",
            "türkmenistan":"TM",
            "turks ja caicos":"TC",
            "ukraina":"UA",
            "ungari":"HU",
            "usa neitsisaared":"VI",
            "uus-kaledoonia":"NC",
            "uus-meremaa":"NZ",
            "valgevene":"BY",
            "vatikan":"VA",
            "venemaa":"RU",
            "wallis ja futuna":"WF",
            "ühendriikide hajasaared":"UM",
            "afrika erdiko errepublika":"CF",
            "aland":"AX",
            "aljeria":"DZ",
            "samoa estatubatuarra":"AS",
            "aingira":"AI",
            "antartika":"AQ",
            "arabiar emirerri batuak":"AE",
            "antigua eta barbuda":"AG",
            "bahamak":"BS",
            "belgika":"BE",
            "birjina uharte britainiarrak":"VG",
            "birjina uharte amerikarrak":"VI",
            "boli kosta":"CI",
            "karibeko herbehereak":"BQ",
            "bosnia-herzegovina":"BA",
            "bouvet uhartea":"BV",
            "christmas uhartea":"CX",
            "cocosak":"CC",
            "cook uharteak":"CK",
            "danimarka":"DK",
            "djibuti":"DJ",
            "dominikar errepublika":"DO",
            "ekialdeko timor":"TL",
            "ekuador":"EC",
            "ekuatore ginea":"GQ",
            "erresuma batua":"GB",
            "errumania":"RO",
            "errusia":"RU",
            "eslovakia":"SK",
            "espainia":"ES",
            "aeb":"US",
            "ameriketako estatu batuetako itsasoz haraindiko uharteak":"UM",
            "etiopia":"ET",
            "faroeak":"FO",
            "filipinak":"PH",
            "frantzia":"FR",
            "guyana frantsesa":"GF",
            "polinesia frantsesa":"PF",
            "ginea":"GN",
            "ginea-bissau":"GW",
            "grezia":"GR",
            "heard eta mcdonald uharteak":"HM",
            "hegoafrika":"ZA",
            "hegoaldeko georgiak eta hegoaldeko sandwichak":"GS",
            "hego korea":"KR",
            "hego sudan":"SS",
            "frantziaren lurralde austral eta antartikoak":"TF",
            "herbehereak":"NL",
            "hungaria":"HU",
            "ipar korea":"KP",
            "ipar marianak":"MP",
            "irlandako errepublika":"IE",
            "japonia":"JP",
            "kaiman uharteak":"KY",
            "kaledonia berria":"NC",
            "kanbodia":"KH",
            "kirgizistan":"KG",
            "kolonbia":"CO",
            "komoreak":"KM",
            "kongoko errepublika":"CG",
            "kongoko errepublika demokratikoa":"CD",
            "kroazia":"HR",
            "luxenburgo":"LU",
            "ipar mazedonia":"MK",
            "falklandak":"FK",
            "maldivak":"MV",
            "marshall uharteak":"MH",
            "martinika":"MQ",
            "maurizio":"MU",
            "mendebaldeko sahara":"EH",
            "mikronesiako estatu federatuak":"FM",
            "mozambike":"MZ",
            "norfolk uhartea":"NF",
            "norvegia":"NO",
            "indiako ozeanoko britainiar lurraldea":"IO",
            "papua ginea berria":"PG",
            "paraguai":"PY",
            "pitcairn uharteak":"PN",
            "saint-pierre eta mikelune":"PM",
            "salomon uharteak":"SB",
            "saint vincent eta grenadinak":"VC",
            "saint kitts eta nevis":"KN",
            "svalbard eta jan mayen":"SJ",
            "sao tome eta principe":"ST",
            "santa helena, ascension eta tristan da cunha":"SH",
            "santa luzia":"LC",
            "seychelleak":"SC",
            "suedia":"SE",
            "suitza":"CH",
            "thailandia":"TH",
            "trinidad eta tobago":"TT",
            "turkia":"TR",
            "turkak eta caicoak":"TC",
            "txad":"TD",
            "txekia":"CZ",
            "txile":"CL",
            "txina":"CN",
            "uruguai":"UY",
            "vatikano hiria":"VA",
            "wallis eta futuna":"WF",
            "zeelanda berria":"NZ",
            "zipre":"CY",
            "ahvenanmaa":"AX",
            "alankomaat":"NL",
            "alankomaiden karibia":"BQ",
            "amerikan samoa":"AS",
            "arabiemiirikunnat":"AE",
            "argentiina":"AR",
            "azerbaidžan":"AZ",
            "bosnia ja hertsegovina":"BA",
            "bouvet’nsaari":"BV",
            "brasilia":"BR",
            "brittiläinen intian valtameren alue":"IO",
            "brittiläiset neitsytsaaret":"VG",
            "caymansaaret":"KY",
            "cookinsaaret":"CK",
            "dominikaaninen tasavalta":"DO",
            "egypti":"EG",
            "espanja":"ES",
            "etelä-afrikka":"ZA",
            "etelä-georgia ja eteläiset sandwichsaaret":"GS",
            "etelä-sudan":"SS",
            "falklandinsaaret":"FK",
            "färsaaret":"FO",
            "filippiinit":"PH",
            "grönlanti":"GL",
            "heard ja mcdonaldinsaaret":"HM",
            "intia":"IN",
            "irlanti":"IE",
            "islanti":"IS",
            "itä-timor":"TL",
            "itävalta":"AT",
            "japani":"JP",
            "joulusaari":"CX",
            "kazakstan":"KZ",
            "keski-afrikan tasavalta":"CF",
            "kiina":"CN",
            "kirgisia":"KG",
            "kolumbia":"CO",
            "komorit":"KM",
            "kongon demokraattinen tasavalta":"CD",
            "kongon tasavalta":"CG",
            "kookossaaret":"CC",
            "korean demokraattinen kansantasavalta":"KP",
            "korean tasavalta":"KR",
            "kreikka":"GR",
            "kroatia":"HR",
            "kypros":"CY",
            "liettua":"LT",
            "länsi-sahara":"EH",
            "malediivit":"MV",
            "malesia":"MY",
            "mansaari":"IM",
            "marshallinsaaret":"MH",
            "mikronesian liittovaltio":"FM",
            "norfolkinsaari":"NF",
            "norja":"NO",
            "norsunluurannikko":"CI",
            "papua-uusi-guinea":"PG",
            "pohjois-mariaanit":"MP",
            "pohjois-makedonia":"MK",
            "portugali":"PT",
            "puola":"PL",
            "päiväntasaajan guinea":"GQ",
            "ranska":"FR",
            "ranskan eteläiset alueet":"TF",
            "ranskan guayana":"GF",
            "ranskan polynesia":"PF",
            "ruotsi":"SE",
            "saint helena, ascension ja tristan da cunha":"SH",
            "saint martin (ranska)":"MF",
            "saint vincent ja grenadiinit":"VC",
            "saksa":"DE",
            "salomonsaaret":"SB",
            "saudi-arabia":"SA",
            "seychellit":"SC",
            "sint maarten (alankomaat)":"SX",
            "suomi":"FI",
            "swazimaa":"SZ",
            "sveitsi":"CH",
            "syyria":"SY",
            "tanska":"DK",
            "thaimaa":"TH",
            "tšad":"TD",
            "tšekki":"CZ",
            "turkki":"TR",
            "turks- ja caicossaaret":"TC",
            "unkari":"HU",
            "uusi-kaledonia":"NC",
            "uusi-seelanti":"NZ",
            "valko-venäjä":"BY",
            "vatikaanivaltio (pyhä istuin)":"VA",
            "venäjä":"RU",
            "viro":"EE",
            "wallis ja futunasaaret":"WF",
            "yhdistynyt kuningaskunta":"GB",
            "yhdysvallat":"US",
            "yhdysvaltain neitsytsaaret":"VI",
            "yhdysvaltain pienet erillissaaret":"UM",
            "afrique du sud":"ZA",
            "îles åland":"AX",
            "albanie":"AL",
            "algérie":"DZ",
            "allemagne":"DE",
            "andorre":"AD",
            "antarctique":"AQ",
            "antigua-et-barbuda":"AG",
            "arabie saoudite":"SA",
            "argentine":"AR",
            "australie":"AU",
            "autriche":"AT",
            "azerbaïdjan":"AZ",
            "bahreïn":"BH",
            "barbade":"BB",
            "biélorussie":"BY",
            "belgique":"BE",
            "bénin":"BJ",
            "bermudes":"BM",
            "bhoutan":"BT",
            "bolivie":"BO",
            "pays-bas caribéens":"BQ",
            "bosnie-herzégovine":"BA",
            "île bouvet":"BV",
            "brésil":"BR",
            "bulgarie":"BG",
            "îles caïmans":"KY",
            "cambodge":"KH",
            "cap-vert":"CV",
            "république centrafricaine":"CF",
            "chili":"CL",
            "chine":"CN",
            "île christmas":"CX",
            "chypre":"CY",
            "îles cocos":"CC",
            "colombie":"CO",
            "comores":"KM",
            "république du congo":"CG",
            "république démocratique du congo":"CD",
            "îles cook":"CK",
            "corée du sud":"KR",
            "corée du nord":"KP",
            "croatie":"HR",
            "danemark":"DK",
            "république dominicaine":"DO",
            "dominique":"DM",
            "égypte":"EG",
            "émirats arabes unis":"AE",
            "équateur":"EC",
            "érythrée":"ER",
            "espagne":"ES",
            "estonie":"EE",
            "états-unis":"US",
            "éthiopie":"ET",
            "malouines":"FK",
            "îles féroé":"FO",
            "fidji":"FJ",
            "finlande":"FI",
            "géorgie":"GE",
            "géorgie du sud-et-les îles sandwich du sud":"GS",
            "grèce":"GR",
            "grenade":"GD",
            "groenland":"GL",
            "guernesey":"GG",
            "guinée":"GN",
            "guinée-bissau":"GW",
            "guinée équatoriale":"GQ",
            "guyane":"GF",
            "haïti":"HT",
            "îles heard-et-macdonald":"HM",
            "hongrie":"HU",
            "île de man":"IM",
            "îles mineures éloignées des états-unis":"UM",
            "îles vierges britanniques":"VG",
            "îles vierges des états-unis":"VI",
            "inde":"IN",
            "irlande":"IE",
            "islande":"IS",
            "israël":"IL",
            "italie":"IT",
            "jamaïque":"JM",
            "japon":"JP",
            "jordanie":"JO",
            "kirghizistan":"KG",
            "koweït":"KW",
            "lettonie":"LV",
            "liban":"LB",
            "lituanie":"LT",
            "macédoine du nord":"MK",
            "malaisie":"MY",
            "malte":"MT",
            "îles mariannes du nord":"MP",
            "maroc":"MA",
            "îles marshall":"MH",
            "maurice":"MU",
            "mauritanie":"MR",
            "mexique":"MX",
            "états fédérés de micronésie":"FM",
            "moldavie":"MD",
            "mongolie":"MN",
            "monténégro":"ME",
            "birmanie":"MM",
            "népal":"NP",
            "île norfolk":"NF",
            "norvège":"NO",
            "nouvelle-calédonie":"NC",
            "nouvelle-zélande":"NZ",
            "territoire britannique de l'océan indien":"IO",
            "ouganda":"UG",
            "ouzbékistan":"UZ",
            "palestine":"PS",
            "papouasie-nouvelle-guinée":"PG",
            "pays-bas":"NL",
            "pérou":"PE",
            "îles pitcairn":"PN",
            "pologne":"PL",
            "polynésie française":"PF",
            "porto rico":"PR",
            "la réunion":"RE",
            "roumanie":"RO",
            "royaume-uni":"GB",
            "russie":"RU",
            "république arabe sahraouie démocratique":"EH",
            "saint-christophe-et-niévès":"KN",
            "saint-marin":"SM",
            "saint-pierre-et-miquelon":"PM",
            "saint-siège (état de la cité du vatican)":"VA",
            "saint-vincent-et-les-grenadines":"VC",
            "sainte-hélène, ascension et tristan da cunha":"SH",
            "sainte-lucie":"LC",
            "îles salomon":"SB",
            "samoa américaines":"AS",
            "sao tomé-et-principe":"ST",
            "sénégal":"SN",
            "serbie":"RS",
            "singapour":"SG",
            "slovaquie":"SK",
            "slovénie":"SI",
            "somalie":"SO",
            "soudan":"SD",
            "soudan du sud":"SS",
            "suède":"SE",
            "suisse":"CH",
            "svalbard et ile jan mayen":"SJ",
            "syrie":"SY",
            "tadjikistan":"TJ",
            "taïwan / (république de chine (taïwan))":"TW",
            "tchéquie":"CZ",
            "terres australes et antarctiques françaises":"TF",
            "thaïlande":"TH",
            "trinité-et-tobago":"TT",
            "tunisie":"TN",
            "turkménistan":"TM",
            "îles turques-et-caïques":"TC",
            "turquie":"TR",
            "viêt nam":"VN",
            "wallis-et-futuna":"WF",
            "yémen":"YE",
            "andora":"AD",
            "ujedinjeni arapski emirati":"AE",
            "antigva i barbuda":"AG",
            "albanija":"AL",
            "armenija":"AM",
            "antarktika":"AQ",
            "američka samoa":"AS",
            "austrija":"AT",
            "australija":"AU",
            "ålandski otoci":"AX",
            "azerbajdžan":"AZ",
            "bosna i hercegovina":"BA",
            "bangladeš":"BD",
            "belgija":"BE",
            "bugarska":"BG",
            "sveti bartolomej":"BL",
            "bermudi":"BM",
            "bolivija":"BO",
            "bonaire":"BQ",
            "bahami":"BS",
            "butan":"BT",
            "bouvetov otok":"BV",
            "bocvana":"BW",
            "bjelorusija":"BY",
            "kokosovi (keeling) otoci":"CC",
            "demokratska republika kongo":"CD",
            "srednjoafrička republika":"CF",
            "švicarska":"CH",
            "obala bjelokosti":"CI",
            "kukovi otoci":"CK",
            "čile":"CL",
            "kolumbija":"CO",
            "zelenortski otoci":"CV",
            "božićni otok":"CX",
            "cipar":"CY",
            "češka":"CZ",
            "njemačka":"DE",
            "džibuti":"DJ",
            "danska":"DK",
            "dominikanska republika":"DO",
            "alžir":"DZ",
            "ekvador":"EC",
            "estonija":"EE",
            "egipat":"EG",
            "zapadna sahara":"EH",
            "eritreja":"ER",
            "španjolska":"ES",
            "etiopija":"ET",
            "finska":"FI",
            "falklandi (malvini)":"FK",
            "mikronezija":"FM",
            "ferojski (ovčji) otoci":"FO",
            "francuska":"FR",
            "velika britanija":"GB",
            "gruzija":"GE",
            "francuska gvajana":"GF",
            "gana":"GH",
            "grenland":"GL",
            "gambija":"GM",
            "gvineja":"GN",
            "ekvatorska gvineja":"GQ",
            "grčka":"GR",
            "južna džordžija i otoci južni sendvič":"GS",
            "gvatemala":"GT",
            "gvineja bisau":"GW",
            "gvajana":"GY",
            "otok heard i otoci mcdonald":"HM",
            "hrvatska":"HR",
            "mađarska":"HU",
            "indonezija":"ID",
            "irska":"IE",
            "otok man":"IM",
            "indija":"IN",
            "britanski indijskooceanski teritorij":"IO",
            "italija":"IT",
            "kenija":"KE",
            "kirgistan":"KG",
            "komori":"KM",
            "sveti kristofor i nevis":"KN",
            "sjeverna korea":"KP",
            "južna koreja":"KR",
            "kajmanski otoci":"KY",
            "kazahstan":"KZ",
            "sveta lucija":"LC",
            "lihtenštajn":"LI",
            "šri lanka":"LK",
            "liberija":"LR",
            "latvija":"LV",
            "libija":"LY",
            "crna gora":"ME",
            "sveti martin (francuski dio)":"MF",
            "maršalovi otoci":"MH",
            "makedonija":"MK",
            "mijanmar (burma)":"MM",
            "mongolija":"MN",
            "sjeverni marijanski otoci":"MP",
            "mauritanija":"MR",
            "mauricijus":"MU",
            "maldivi":"MV",
            "malavi":"MW",
            "malezija":"MY",
            "mozambik":"MZ",
            "namibija":"NA",
            "nova kaledonija":"NC",
            "norfolk otok":"NF",
            "nigerija":"NG",
            "nikaragva":"NI",
            "nizozemska":"NL",
            "norveška":"NO",
            "novi zeland":"NZ",
            "francuska polinezija":"PF",
            "papua nova gvineja":"PG",
            "filipini":"PH",
            "poljska":"PL",
            "sveti petar i mikelon":"PM",
            "pitcairn otoci":"PN",
            "država palestina":"PS",
            "paragvaj":"PY",
            "rumunjska":"RO",
            "srbija":"RS",
            "rusija":"RU",
            "saudijska arabija":"SA",
            "solomonski otoci":"SB",
            "sejšeli":"SC",
            "švedska":"SE",
            "sveta helena":"SH",
            "slovenija":"SI",
            "svalbard i jan mayen":"SJ",
            "slovačka":"SK",
            "sijera leone":"SL",
            "somalija":"SO",
            "južni sudan":"SS",
            "sveti toma i prinsipe":"ST",
            "sint maarten (nizozemski dio)":"SX",
            "sirija":"SY",
            "svazi":"SZ",
            "turks i kaikos otoci":"TC",
            "francuski južni teritoriji":"TF",
            "tajland":"TH",
            "istočni timor":"TL",
            "tunis":"TN",
            "turska":"TR",
            "trinidad i tobago":"TT",
            "tajvan":"TW",
            "tanzanija":"TZ",
            "ujedinjene države manjih pacifičkih otoka sad":"UM",
            "sjedinjene američke države":"US",
            "urugvaj":"UY",
            "sveti vincent i grenadini":"VC",
            "britanski djevičanski otoci":"VG",
            "američki djevičanski otoci":"VI",
            "vijetnam":"VN",
            "wallis i futuna":"WF",
            "zapadna samoa":"WS",
            "južna afrika":"ZA",
            "zambija":"ZM",
            "zimbabve":"ZW",
            "afganisztán":"AF",
            "albánia":"AL",
            "algéria":"DZ",
            "amerikai csendes-óceáni szigetek":"UM",
            "amerikai egyesült államok":"US",
            "amerikai szamoa":"AS",
            "amerikai virgin-szigetek":"VI",
            "antarktisz":"AQ",
            "antigua és barbuda":"AG",
            "argentína":"AR",
            "ausztrália":"AU",
            "ausztria":"AT",
            "azerbajdzsán":"AZ",
            "bahama-szigetek":"BS",
            "banglades":"BD",
            "bhután":"BT",
            "bissau-guinea":"GW",
            "bolívia":"BO",
            "bosznia-hercegovina":"BA",
            "bouvet-sziget":"BV",
            "brazília":"BR",
            "brit indiai-óceáni terület":"IO",
            "brit virgin-szigetek":"VG",
            "bulgária":"BG",
            "ciprus":"CY",
            "comore-szigetek":"KM",
            "cook-szigetek":"CK",
            "csád":"TD",
            "csehország":"CZ",
            "dánia":"DK",
            "dél-afrikai köztársaság":"ZA",
            "déli-georgia és déli-sandwich-szigetek":"GS",
            "dél-szudán":"SS",
            "dél-korea (koreai köztársaság)":"KR",
            "dominikai közösség":"DM",
            "dominikai köztársaság":"DO",
            "dzsibuti":"DJ",
            "egyenlítői-guinea":"GQ",
            "egyesült arab emírségek":"AE",
            "egyesült királyság":"GB",
            "egyiptom":"EG",
            "elefántcsontpart":"CI",
            "északi-mariana-szigetek":"MP",
            "észak-korea (koreai ndk)":"KP",
            "észtország":"EE",
            "etiópia":"ET",
            "falkland-szigetek":"FK",
            "fehéroroszország":"BY",
            "feröer":"FO",
            "fidzsi":"FJ",
            "finnország":"FI",
            "francia déli és antarktiszi területek":"TF",
            "francia guyana francia guyana":"GF",
            "franciaország":"FR",
            "francia polinézia":"PF",
            "fülöp-szigetek":"PH",
            "ghána":"GH",
            "gibraltár":"GI",
            "görögország":"GR",
            "grúzia":"GE",
            "guernsey bailiffség":"GG",
            "heard-sziget és mcdonald-szigetek":"HM",
            "hollandia":"NL",
            "horvátország":"HR",
            "indonézia":"ID",
            "írország":"IE",
            "izland":"IS",
            "japán":"JP",
            "jersey bailiffség":"JE",
            "jordánia":"JO",
            "kajmán-szigetek":"KY",
            "kambodzsa":"KH",
            "karácsony-sziget":"CX",
            "karibi hollandia (bonaire, saba, sint eustatius)":"BQ",
            "kazahsztán":"KZ",
            "kelet-timor":"TL",
            "kína":"CN",
            "kirgizisztán":"KG",
            "kókusz (keeling)-szigetek":"CC",
            "kongói demokratikus köztársaság (zaire)":"CD",
            "kongói köztársaság (kongó)":"CG",
            "közép-afrika":"CF",
            "kuvait":"KW",
            "laosz":"LA",
            "lengyelország":"PL",
            "lettország":"LV",
            "libéria":"LR",
            "líbia":"LY",
            "litvánia":"LT",
            "észak-macedónia":"MK",
            "madagaszkár":"MG",
            "magyarország":"HU",
            "makaó":"MO",
            "malajzia":"MY",
            "maldív-szigetek":"MV",
            "málta":"MT",
            "man-sziget":"IM",
            "marokkó":"MA",
            "marshall-szigetek":"MH",
            "mauritánia":"MR",
            "mexikó":"MX",
            "mianmar":"MM",
            "mikronézia":"FM",
            "mongólia":"MN",
            "montenegró":"ME",
            "namíbia":"NA",
            "németország":"DE",
            "nigéria":"NG",
            "norfolk-sziget":"NF",
            "norvégia":"NO",
            "nyugat-szahara":"EH",
            "olaszország":"IT",
            "oroszország":"RU",
            "örményország":"AM",
            "pakisztán":"PK",
            "palesztina":"PS",
            "pápua új-guinea":"PG",
            "pitcairn-szigetek":"PN",
            "portugália":"PT",
            "románia":"RO",
            "saint kitts és nevis":"KN",
            "saint-pierre és miquelon":"PM",
            "saint vincent és a grenadine-szigetek":"VC",
            "salamon-szigetek":"SB",
            "são tomé és príncipe":"ST",
            "seychelle-szigetek":"SC",
            "spanyolország":"ES",
            "spitzbergák és jan mayen-sziget":"SJ",
            "svájc":"CH",
            "svédország":"SE",
            "szamoa":"WS",
            "szaúd-arábia":"SA",
            "szenegál":"SN",
            "szent ilona":"SH",
            "szerbia":"RS",
            "szingapúr":"SG",
            "szíria":"SY",
            "szlovákia":"SK",
            "szlovénia":"SI",
            "szomália":"SO",
            "szudán":"SD",
            "szváziföld":"SZ",
            "tádzsikisztán":"TJ",
            "tanzánia":"TZ",
            "thaiföld":"TH",
            "tokelau-szigetek":"TK",
            "törökország":"TR",
            "trinidad és tobago":"TT",
            "tunézia":"TN",
            "turks- és caicos-szigetek":"TC",
            "türkmenisztán":"TM",
            "új-kaledónia":"NC",
            "új-zéland":"NZ",
            "ukrajna":"UA",
            "üzbegisztán":"UZ",
            "vietnám":"VN",
            "wallis és futuna":"WF",
            "zöld-foki köztársaság":"CV",
            "անդորրա":"AD",
            "արաբական միացյալ էմիրություններ":"AE",
            "աֆղանստան":"AF",
            "անտիգուա և բարբուդա":"AG",
            "անգիլիա":"AI",
            "ալբանիա":"AL",
            "հայաստան":"AM",
            "անգոլա":"AO",
            "անտարկտիդա":"AQ",
            "արգենտինա":"AR",
            "ամերիկյան սամոա":"AS",
            "ավստրիա":"AT",
            "ավստրալիա":"AU",
            "արուբա":"AW",
            "ալանդյան կղզիներ":"AX",
            "ադրբեջան":"AZ",
            "բոսնիա և հերցեգովինա":"BA",
            "բարբադոս":"BB",
            "բանգլադեշ":"BD",
            "բելգիա":"BE",
            "բուրկինա ֆասո":"BF",
            "բուլղարիա":"BG",
            "բահրեյն":"BH",
            "բուրունդի":"BI",
            "բենին":"BJ",
            "սուրբ բարդուղիմեոսի կղզի":"BL",
            "բերմուդա":"BM",
            "բրունեյ":"BN",
            "բոլիվիա":"BO",
            "կարիբյան նիդերլանդներ":"BQ",
            "բրազիլիա":"BR",
            "բահամներ":"BS",
            "բութան":"BT",
            "բուվետյան կղզիներ":"BV",
            "բոտսվանա":"BW",
            "բելառուս":"BY",
            "բելիզ":"BZ",
            "կանադա":"CA",
            "կոկոսյան կղզիներ":"CC",
            "կոնգոյի դեմոկրատական հանրապետություն":"CD",
            "կենտրոնաաֆրիկյան հանրապետություն":"CF",
            "կոնգոյի հանրապետություն":"CG",
            "շվեյցարիա":"CH",
            "կոտ դ'իվուար":"CI",
            "կուկի կղզիներ":"CK",
            "չիլի":"CL",
            "կամերուն":"CM",
            "չինաստան":"CN",
            "կոլումբիա":"CO",
            "կոստա ռիկա":"CR",
            "կուբա":"CU",
            "կաբո վերդե":"CV",
            "կյուրասաո":"CW",
            "ծննդյան կղզիներ":"CX",
            "կիպրոս":"CY",
            "չեխիա":"CZ",
            "գերմանիա":"DE",
            "ջիբութի":"DJ",
            "դանիա":"DK",
            "դոմինիկա":"DM",
            "դոմինիկյան հանրապետություն":"DO",
            "ալժիր":"DZ",
            "էկվադոր":"EC",
            "էստոնիա":"EE",
            "եգիպտոս":"EG",
            "սահրավիա":"EH",
            "էրիտրեա":"ER",
            "իսպանիա":"ES",
            "եթովպիա":"ET",
            "ֆինլանդիա":"FI",
            "ֆիջի":"FJ",
            "ֆոլքլենդյան կղզիներ":"FK",
            "միկրոնեզիա":"FM",
            "ֆարերյան կղզիներ":"FO",
            "ֆրանսիա":"FR",
            "գաբոն":"GA",
            "մեծ բրիտանիա":"GB",
            "գրենադա":"GD",
            "վրաստան":"GE",
            "ֆրանսիական գվիանա":"GF",
            "գերնսի":"GG",
            "գանա":"GH",
            "ջիբրալթար":"GI",
            "գրենլանդիա":"GL",
            "գամբիա":"GM",
            "գվինեա":"GN",
            "գվադելուպա":"GP",
            "հասարակածային գվինեա":"GQ",
            "հունաստան":"GR",
            "հարավային ջորջիա և հարավային սանդվիչյան կղզիներ":"GS",
            "գվատեմալա":"GT",
            "գուամ":"GU",
            "գվինեա-բիսաու":"GW",
            "գայանա":"GY",
            "հոնկոնգ":"HK",
            "մքդոնալդի կղզիներ":"HM",
            "հոնդուրաս":"HN",
            "խորվաթիա":"HR",
            "հայիթի":"HT",
            "հունգարիա":"HU",
            "ինդոնեզիա":"ID",
            "իռլանդիա":"IE",
            "իսրայել":"IL",
            "մեն կղզի":"IM",
            "հնդկաստան":"IN",
            "բրիտանիայի հնդկական օվկիանոսի տարածք":"IO",
            "իրաք":"IQ",
            "իրան":"IR",
            "իսլանդիա":"IS",
            "իտալիա":"IT",
            "ջերսի":"JE",
            "ճամայկա":"JM",
            "հորդանան":"JO",
            "ճապոնիա":"JP",
            "քենիա":"KE",
            "ղրղզստան":"KG",
            "կամբոջա":"KH",
            "կիրիբատի":"KI",
            "կոմորներ":"KM",
            "սենտ կիտս և նևիս":"KN",
            "հյուսիսային կորեա":"KP",
            "հարավային կորեա":"KR",
            "քուվեյթ":"KW",
            "կայմանյան կղզիներ":"KY",
            "ղազախստան":"KZ",
            "լաոս":"LA",
            "լիբանան":"LB",
            "սենթ լյուսիա":"LC",
            "լիխտենշտայն":"LI",
            "շրի լանկա":"LK",
            "լիբերիա":"LR",
            "լեսոթո":"LS",
            "լիտվա":"LT",
            "լյուքսեմբուրգ":"LU",
            "լատվիա":"LV",
            "լիբիա":"LY",
            "մարոկկո":"MA",
            "մոնակո":"MC",
            "մոլդովա":"MD",
            "չեռնոգորիա":"ME",
            "սեն մարտեն":"MF",
            "մադագասկար":"MG",
            "մարշալյան կղզիներ":"MH",
            "հյուսիսային մակեդոնիա":"MK",
            "մալի":"ML",
            "մյանմա":"MM",
            "մոնղոլիա":"MN",
            "մակաու":"MO",
            "հյուսիսաին մարիանյան կղզիներ":"MP",
            "մարտինիկա":"MQ",
            "մավրիտանիա":"MR",
            "մոնտսեռատ":"MS",
            "մալթա":"MT",
            "մավրիկիոս":"MU",
            "մալդիվներ":"MV",
            "մալավի":"MW",
            "մեքսիկա":"MX",
            "մալայզիա":"MY",
            "մոզամբիկ":"MZ",
            "նամիբիա":"NA",
            "նոր կալեդոնիա":"NC",
            "նիգեր":"NE",
            "նորֆոլք կղզի":"NF",
            "նիգերիա":"NG",
            "նիկարագուա":"NI",
            "նիդերլանդներ":"NL",
            "նորվեգիա":"NO",
            "նեպալ":"NP",
            "նաուրու":"NR",
            "նիուե":"NU",
            "նոր զելանդիա":"NZ",
            "օման":"OM",
            "պանամա":"PA",
            "պերու":"PE",
            "ֆրանսիական պոլինեզիա":"PF",
            "պապուա նոր գվինեա":"PG",
            "ֆիլիպիններ":"PH",
            "պակիստան":"PK",
            "լեհաստան":"PL",
            "սեն պիեռ և միքելոն":"PM",
            "փիթքերն կղզիներ":"PN",
            "պուերտո ռիկո":"PR",
            "պաղեստինյան ազգային վարչություն":"PS",
            "պորտուգալիա":"PT",
            "պալաու":"PW",
            "պարագվայ":"PY",
            "կատար":"QA",
            "ռեյունիոն":"RE",
            "ռումինիա":"RO",
            "սերբիա":"RS",
            "ռուսաստան":"RU",
            "ռուանդա":"RW",
            "սաուդյան արաբիա":"SA",
            "սողոմոնյան կղզիներ":"SB",
            "սեյշելներ":"SC",
            "սուդան":"SD",
            "շվեդիա":"SE",
            "սինգապուր":"SG",
            "սուրբ հեղինեի կղզի":"SH",
            "սլովենիա":"SI",
            "սվալբարդ (սվալբարդ և ժան մայեն)":"SJ",
            "սլովակիա":"SK",
            "սիեռա լեոնե":"SL",
            "սան մարինո":"SM",
            "սենեգալ":"SN",
            "սոմալի":"SO",
            "սուրինամ":"SR",
            "հարավային սուդան":"SS",
            "սան տոմե և պրինսիպի":"ST",
            "սալվադոր":"SV",
            "սինտ մաարտեն":"SX",
            "սիրիա":"SY",
            "էսվատինի":"SZ",
            "թերքս և քայքոս կղզիներ":"TC",
            "չադ":"TD",
            "ֆրանսիական հարավային տարածքներ":"TF",
            "տոգո":"TG",
            "թաիլանդ":"TH",
            "տաջիկստան":"TJ",
            "տոկելաու":"TK",
            "արևելյան թիմոր":"TL",
            "թուրքմենստան":"TM",
            "թունիս":"TN",
            "տոնգա":"TO",
            "թուրքիա":"TR",
            "տրինիդադ և տոբագո":"TT",
            "տուվալու":"TV",
            "թայվան":"TW",
            "տանզանիա":"TZ",
            "ուկրաինա":"UA",
            "ուգանդա":"UG",
            "միացյալ նահանգների մինոր կղզիներ":"UM",
            "ամն":"US",
            "ուրուգվայ":"UY",
            "ուզբեկստան":"UZ",
            "վատիկան":"VA",
            "սենտ վինսենտ և գրենադիներ":"VC",
            "վենեսուելա":"VE",
            "բրիտանական վիրջինյան կղզիներ":"VG",
            "ամերիկյան վիրջինյան կղզիներ":"VI",
            "վիետնամ":"VN",
            "վանուատու":"VU",
            "ուոլիս և ֆուտունա":"WF",
            "սամոա":"WS",
            "եմեն":"YE",
            "մայոտա":"YT",
            "հարավաֆրիկյան հանրապետություն":"ZA",
            "զամբիա":"ZM",
            "զիմբաբվե":"ZW",
            "antartide":"AQ",
            "antigua e barbuda":"AG",
            "azerbaigian":"AZ",
            "bielorussia":"BY",
            "bosnia ed erzegovina":"BA",
            "brasile":"BR",
            "cambogia":"KH",
            "camerun":"CM",
            "capo verde":"CV",
            "ciad":"TD",
            "cile":"CL",
            "cina":"CN",
            "cipro":"CY",
            "città del vaticano":"VA",
            "comore":"KM",
            "corea del nord":"KP",
            "corea del sud":"KR",
            "costa d'avorio":"CI",
            "croazia":"HR",
            "danimarca":"DK",
            "egitto":"EG",
            "emirati arabi uniti":"AE",
            "figi":"FJ",
            "filippine":"PH",
            "georgia del sud e isole sandwich australi":"GS",
            "germania":"DE",
            "giamaica":"JM",
            "giappone":"JP",
            "gibilterra":"GI",
            "gibuti":"DJ",
            "giordania":"JO",
            "guadalupa":"GP",
            "guinea equatoriale":"GQ",
            "guyana francese":"GF",
            "islanda":"IS",
            "isola bouvet":"BV",
            "isola di man":"IM",
            "isola di natale":"CX",
            "isola norfolk":"NF",
            "isole åland":"AX",
            "isole bes":"BQ",
            "isole cayman":"KY",
            "isole cocos (keeling)":"CC",
            "isole cook":"CK",
            "fær øer":"FO",
            "isole falkland":"FK",
            "isole heard e mcdonald":"HM",
            "isole marianne settentrionali":"MP",
            "isole marshall":"MH",
            "isole minori esterne degli stati uniti":"UM",
            "isole pitcairn":"PN",
            "isole salomone":"SB",
            "isole vergini britanniche":"VG",
            "isole vergini americane":"VI",
            "israele":"IL",
            "kazakistan":"KZ",
            "lettonia":"LV",
            "lussemburgo":"LU",
            "macedonia del nord":"MK",
            "maldive":"MV",
            "marocco":"MA",
            "messico":"MX",
            "mozambico":"MZ",
            "nuova caledonia":"NC",
            "nuova zelanda":"NZ",
            "paesi bassi":"NL",
            "papua nuova guinea":"PG",
            "perù":"PE",
            "polinesia francese":"PF",
            "portogallo":"PT",
            "regno unito":"GB",
            "rd del congo":"CD",
            "rep. ceca":"CZ",
            "rep. centrafricana":"CF",
            "rep. del congo":"CG",
            "rep. dominicana":"DO",
            "la riunione":"RE",
            "russia":"RU",
            "sahara occidentale":"EH",
            "saint kitts e nevis":"KN",
            "sant'elena, ascensione e tristan da cunha":"SH",
            "saint vincent e grenadine":"VC",
            "saint-pierre e miquelon":"PM",
            "samoa americane":"AS",
            "são tomé e príncipe":"ST",
            "slovacchia":"SK",
            "spagna":"ES",
            "stati uniti":"US",
            "sudafrica":"ZA",
            "sudan del sud":"SS",
            "svalbard e jan mayen":"SJ",
            "svezia":"SE",
            "svizzera":"CH",
            "tagikistan":"TJ",
            "terre australi e antartiche francesi":"TF",
            "territorio britannico dell'oceano indiano":"IO",
            "timor est":"TL",
            "trinidad e tobago":"TT",
            "turchia":"TR",
            "turks e caicos":"TC",
            "ucraina":"UA",
            "ungheria":"HU",
            "wallis e futuna":"WF",
            "アイスランド":"IS",
            "アイルランド":"IE",
            "アゼルバイジャン":"AZ",
            "アフガニスタン":"AF",
            "アメリカ合衆国":"US",
            "アメリカ領ヴァージン諸島":"VI",
            "アメリカ領サモア":"AS",
            "アラブ首長国連邦":"AE",
            "アルジェリア":"DZ",
            "アルゼンチン":"AR",
            "アルバ":"AW",
            "アルバニア":"AL",
            "アルメニア":"AM",
            "アンギラ":"AI",
            "アンゴラ":"AO",
            "アンティグア・バーブーダ":"AG",
            "アンドラ":"AD",
            "イエメン":"YE",
            "イギリス":"GB",
            "イギリス領インド洋地域":"IO",
            "イギリス領ヴァージン諸島":"VG",
            "イスラエル":"IL",
            "イタリア":"IT",
            "イラク":"IQ",
            "イラン・イスラム共和国":"IR",
            "インド":"IN",
            "インドネシア":"ID",
            "ウォリス・フツナ":"WF",
            "ウガンダ":"UG",
            "ウクライナ":"UA",
            "ウズベキスタン":"UZ",
            "ウルグアイ":"UY",
            "エクアドル":"EC",
            "エジプト":"EG",
            "エストニア":"EE",
            "エスワティニ":"SZ",
            "エチオピア":"ET",
            "エリトリア":"ER",
            "エルサルバドル":"SV",
            "オーストラリア":"AU",
            "オーストリア":"AT",
            "オーランド諸島":"AX",
            "オマーン":"OM",
            "オランダ":"NL",
            "ガーナ":"GH",
            "カーボベルデ":"CV",
            "ガーンジー":"GG",
            "ガイアナ":"GY",
            "カザフスタン":"KZ",
            "カタール":"QA",
            "合衆国領有小離島":"UM",
            "カナダ":"CA",
            "ガボン":"GA",
            "カメルーン":"CM",
            "ガンビア":"GM",
            "カンボジア":"KH",
            "北マケドニア":"MK",
            "北マリアナ諸島":"MP",
            "ギニア":"GN",
            "ギニアビサウ":"GW",
            "キプロス":"CY",
            "キューバ":"CU",
            "キュラソー":"CW",
            "ギリシャ":"GR",
            "キリバス":"KI",
            "キルギス":"KG",
            "グアテマラ":"GT",
            "グアドループ":"GP",
            "グアム":"GU",
            "クウェート":"KW",
            "クック諸島":"CK",
            "グリーンランド":"GL",
            "クリスマス島":"CX",
            "グレナダ":"GD",
            "クロアチア":"HR",
            "ケイマン諸島":"KY",
            "ケニア":"KE",
            "コートジボワール":"CI",
            "ココス（キーリング）諸島":"CC",
            "コスタリカ":"CR",
            "コモロ":"KM",
            "コロンビア":"CO",
            "コンゴ共和国":"CG",
            "コンゴ民主共和国":"CD",
            "サウジアラビア":"SA",
            "サウスジョージア・サウスサンドウィッチ諸島":"GS",
            "サモア":"WS",
            "サントメ・プリンシペ":"ST",
            "サン・バルテルミー":"BL",
            "ザンビア":"ZM",
            "サンピエール島・ミクロン島":"PM",
            "サンマリノ":"SM",
            "サン・マルタン（フランス領）":"MF",
            "シエラレオネ":"SL",
            "ジブチ":"DJ",
            "ジブラルタル":"GI",
            "ジャージー":"JE",
            "ジャマイカ":"JM",
            "ジョージア":"GE",
            "シリア・アラブ共和国":"SY",
            "シンガポール":"SG",
            "シント・マールテン（オランダ領）":"SX",
            "ジンバブエ":"ZW",
            "スイス":"CH",
            "スウェーデン":"SE",
            "スーダン":"SD",
            "スヴァールバル諸島およびヤンマイエン島":"SJ",
            "スペイン":"ES",
            "スリナム":"SR",
            "スリランカ":"LK",
            "スロバキア":"SK",
            "スロベニア":"SI",
            "セーシェル":"SC",
            "赤道ギニア":"GQ",
            "セネガル":"SN",
            "セルビア":"RS",
            "セントクリストファー・ネイビス":"KN",
            "セントビンセントおよびグレナディーン諸島":"VC",
            "セントヘレナ・アセンションおよびトリスタンダクーニャ":"SH",
            "セントルシア":"LC",
            "ソマリア":"SO",
            "ソロモン諸島":"SB",
            "タークス・カイコス諸島":"TC",
            "タイ":"TH",
            "大韓民国":"KR",
            "台湾（中華民国）":"TW",
            "タジキスタン":"TJ",
            "タンザニア":"TZ",
            "チェコ":"CZ",
            "チャド":"TD",
            "中央アフリカ共和国":"CF",
            "中華人民共和国":"CN",
            "チュニジア":"TN",
            "朝鮮民主主義人民共和国":"KP",
            "チリ":"CL",
            "ツバル":"TV",
            "デンマーク":"DK",
            "ドイツ":"DE",
            "トーゴ":"TG",
            "トケラウ":"TK",
            "ドミニカ共和国":"DO",
            "ドミニカ国":"DM",
            "トリニダード・トバゴ":"TT",
            "トルクメニスタン":"TM",
            "トルコ":"TR",
            "トンガ":"TO",
            "ナイジェリア":"NG",
            "ナウル":"NR",
            "ナミビア":"NA",
            "南極":"AQ",
            "ニウエ":"NU",
            "ニカラグア":"NI",
            "ニジェール":"NE",
            "日本":"JP",
            "西サハラ":"EH",
            "ニューカレドニア":"NC",
            "ニュージーランド":"NZ",
            "ネパール":"NP",
            "ノーフォーク島":"NF",
            "ノルウェー":"NO",
            "ハード島とマクドナルド諸島":"HM",
            "バーレーン":"BH",
            "ハイチ":"HT",
            "パキスタン":"PK",
            "バチカン市国":"VA",
            "パナマ":"PA",
            "バヌアツ":"VU",
            "バハマ":"BS",
            "パプアニューギニア":"PG",
            "バミューダ":"BM",
            "パラオ":"PW",
            "パラグアイ":"PY",
            "バルバドス":"BB",
            "パレスチナ":"PS",
            "ハンガリー":"HU",
            "バングラデシュ":"BD",
            "東ティモール":"TL",
            "ピトケアン":"PN",
            "フィジー":"FJ",
            "フィリピン":"PH",
            "フィンランド":"FI",
            "ブータン":"BT",
            "ブーベ島":"BV",
            "プエルトリコ":"PR",
            "フェロー諸島":"FO",
            "フォークランド（マルビナス）諸島":"FK",
            "ブラジル":"BR",
            "フランス":"FR",
            "フランス領ギアナ":"GF",
            "フランス領ポリネシア":"PF",
            "フランス領南方・南極地域":"TF",
            "ブルガリア":"BG",
            "ブルキナファソ":"BF",
            "ブルネイ・ダルサラーム":"BN",
            "ブルンジ":"BI",
            "ベトナム":"VN",
            "ベナン":"BJ",
            "ベネズエラ・ボリバル共和国":"VE",
            "ベラルーシ":"BY",
            "ベリーズ":"BZ",
            "ペルー":"PE",
            "ベルギー":"BE",
            "ポーランド":"PL",
            "ボスニア・ヘルツェゴビナ":"BA",
            "ボツワナ":"BW",
            "ボネール、シント・ユースタティウスおよびサバ":"BQ",
            "ボリビア多民族国":"BO",
            "ポルトガル":"PT",
            "香港":"HK",
            "ホンジュラス":"HN",
            "マーシャル諸島":"MH",
            "マカオ":"MO",
            "マダガスカル":"MG",
            "マヨット":"YT",
            "マラウイ":"MW",
            "マリ":"ML",
            "マルタ":"MT",
            "マルティニーク":"MQ",
            "マレーシア":"MY",
            "マン島":"IM",
            "ミクロネシア連邦":"FM",
            "南アフリカ":"ZA",
            "南スーダン":"SS",
            "ミャンマー":"MM",
            "メキシコ":"MX",
            "モーリシャス":"MU",
            "モーリタニア":"MR",
            "モザンビーク":"MZ",
            "モナコ":"MC",
            "モルディブ":"MV",
            "モルドバ共和国":"MD",
            "モロッコ":"MA",
            "モンゴル":"MN",
            "モンテネグロ":"ME",
            "モントセラト":"MS",
            "ヨルダン":"JO",
            "ラオス人民民主共和国":"LA",
            "ラトビア":"LV",
            "リトアニア":"LT",
            "リビア":"LY",
            "リヒテンシュタイン":"LI",
            "リベリア":"LR",
            "ルーマニア":"RO",
            "ルクセンブルク":"LU",
            "ルワンダ":"RW",
            "レソト":"LS",
            "レバノン":"LB",
            "レユニオン":"RE",
            "ロシア連邦":"RU",
            "가나":"GH",
            "가봉":"GA",
            "가이아나":"GY",
            "감비아":"GM",
            "건지섬":"GG",
            "과들루프":"GP",
            "과테말라":"GT",
            "괌":"GU",
            "그레나다":"GD",
            "그리스":"GR",
            "그린란드":"GL",
            "기니":"GN",
            "기니비사우":"GW",
            "나미비아":"NA",
            "나우루":"NR",
            "나이지리아":"NG",
            "남극":"AQ",
            "남수단":"SS",
            "남아프리카 공화국":"ZA",
            "네덜란드":"NL",
            "네팔":"NP",
            "노르웨이":"NO",
            "노퍽섬":"NF",
            "누벨칼레도니":"NC",
            "뉴질랜드":"NZ",
            "니우에":"NU",
            "니제르":"NE",
            "니카라과":"NI",
            "대한민국":"KR",
            "덴마크":"DK",
            "도미니카 공화국":"DO",
            "도미니카 연방":"DM",
            "독일":"DE",
            "동티모르":"TL",
            "라오스":"LA",
            "라이베리아":"LR",
            "라트비아":"LV",
            "러시아":"RU",
            "레바논":"LB",
            "레소토":"LS",
            "레위니옹":"RE",
            "루마니아":"RO",
            "룩셈부르크":"LU",
            "르완다":"RW",
            "리비아":"LY",
            "리투아니아":"LT",
            "리히텐슈타인":"LI",
            "마다가스카르":"MG",
            "마르티니크":"MQ",
            "마셜 제도":"MH",
            "마요트":"YT",
            "마카오":"MO",
            "북마케도니아":"MK",
            "말라위":"MW",
            "말레이시아":"MY",
            "말리":"ML",
            "맨섬":"IM",
            "멕시코":"MX",
            "모나코":"MC",
            "모로코":"MA",
            "모리셔스":"MU",
            "모리타니":"MR",
            "모잠비크":"MZ",
            "몬테네그로":"ME",
            "몬트세랫":"MS",
            "몰도바":"MD",
            "몰디브":"MV",
            "몰타":"MT",
            "몽골":"MN",
            "미국":"US",
            "미국령 군소 제도":"UM",
            "미국령 버진아일랜드":"VI",
            "미얀마":"MM",
            "미크로네시아 연방":"FM",
            "바누아투":"VU",
            "바레인":"BH",
            "바베이도스":"BB",
            "바티칸 시국":"VA",
            "바하마":"BS",
            "방글라데시":"BD",
            "버뮤다":"BM",
            "베냉":"BJ",
            "베네수엘라":"VE",
            "베트남":"VN",
            "벨기에":"BE",
            "벨라루스":"BY",
            "벨리즈":"BZ",
            "보네르섬":"BQ",
            "보스니아 헤르체고비나":"BA",
            "보츠와나":"BW",
            "볼리비아":"BO",
            "부룬디":"BI",
            "부르키나파소":"BF",
            "부베섬":"BV",
            "부탄":"BT",
            "북마리아나 제도":"MP",
            "불가리아":"BG",
            "브라질":"BR",
            "브루나이":"BN",
            "사모아":"WS",
            "사우디아라비아":"SA",
            "사우스조지아 사우스샌드위치 제도":"GS",
            "산마리노":"SM",
            "상투메 프린시페":"ST",
            "생마르탱":"MF",
            "생바르텔레미":"BL",
            "생피에르 미클롱":"PM",
            "서사하라":"EH",
            "세네갈":"SN",
            "세르비아":"RS",
            "세이셸":"SC",
            "세인트루시아":"LC",
            "세인트빈센트 그레나딘":"VC",
            "세인트키츠 네비스":"KN",
            "세인트헬레나":"SH",
            "소말리아":"SO",
            "솔로몬 제도":"SB",
            "수단":"SD",
            "수리남":"SR",
            "스리랑카":"LK",
            "스발바르 얀마옌":"SJ",
            "스웨덴":"SE",
            "스위스":"CH",
            "스페인":"ES",
            "슬로바키아":"SK",
            "슬로베니아":"SI",
            "시리아":"SY",
            "시에라리온":"SL",
            "신트마르턴":"SX",
            "싱가포르":"SG",
            "아랍에미리트":"AE",
            "아루바":"AW",
            "아르메니아":"AM",
            "아르헨티나":"AR",
            "아메리칸사모아":"AS",
            "아이슬란드":"IS",
            "아이티":"HT",
            "아일랜드":"IE",
            "아제르바이잔":"AZ",
            "아프가니스탄":"AF",
            "안도라":"AD",
            "알바니아":"AL",
            "알제리":"DZ",
            "앙골라":"AO",
            "앤티가 바부다":"AG",
            "앵귈라":"AI",
            "에리트레아":"ER",
            "에스와티니":"SZ",
            "에스토니아":"EE",
            "에콰도르":"EC",
            "에티오피아":"ET",
            "엘살바도르":"SV",
            "영국":"GB",
            "영국령 버진아일랜드":"VG",
            "영국령 인도양 지역":"IO",
            "예멘":"YE",
            "오만":"OM",
            "오스트레일리아":"AU",
            "오스트리아":"AT",
            "온두라스":"HN",
            "올란드 제도":"AX",
            "요르단":"JO",
            "우간다":"UG",
            "우루과이":"UY",
            "우즈베키스탄":"UZ",
            "우크라이나":"UA",
            "왈리스 푸투나":"WF",
            "이라크":"IQ",
            "이란":"IR",
            "이스라엘":"IL",
            "이집트":"EG",
            "이탈리아":"IT",
            "인도":"IN",
            "인도네시아":"ID",
            "일본":"JP",
            "자메이카":"JM",
            "잠비아":"ZM",
            "저지섬":"JE",
            "적도 기니":"GQ",
            "조선민주주의인민공화국":"KP",
            "조지아":"GE",
            "중국":"CN",
            "중앙아프리카 공화국":"CF",
            "지부티":"DJ",
            "지브롤터":"GI",
            "짐바브웨":"ZW",
            "차드":"TD",
            "체코":"CZ",
            "칠레":"CL",
            "카메룬":"CM",
            "카보베르데":"CV",
            "카자흐스탄":"KZ",
            "카타르":"QA",
            "캄보디아":"KH",
            "캐나다":"CA",
            "케냐":"KE",
            "케이맨 제도":"KY",
            "코모로":"KM",
            "코스타리카":"CR",
            "코코스 제도":"CC",
            "코트디부아르":"CI",
            "콜롬비아":"CO",
            "콩고 공화국":"CG",
            "콩고 민주 공화국":"CD",
            "쿠바":"CU",
            "쿠웨이트":"KW",
            "쿡 제도":"CK",
            "퀴라소":"CW",
            "크로아티아":"HR",
            "크리스마스섬":"CX",
            "키르기스스탄":"KG",
            "키리바시":"KI",
            "키프로스":"CY",
            "타이완":"TW",
            "타지키스탄":"TJ",
            "탄자니아":"TZ",
            "태국":"TH",
            "터크스 케이커스 제도":"TC",
            "튀르키예":"TR",
            "토고":"TG",
            "토켈라우":"TK",
            "통가":"TO",
            "투르크메니스탄":"TM",
            "투발루":"TV",
            "튀니지":"TN",
            "트리니다드 토바고":"TT",
            "파나마":"PA",
            "파라과이":"PY",
            "파키스탄":"PK",
            "파푸아뉴기니":"PG",
            "팔라우":"PW",
            "팔레스타인":"PS",
            "페로 제도":"FO",
            "페루":"PE",
            "포르투갈":"PT",
            "포클랜드 제도":"FK",
            "폴란드":"PL",
            "푸에르토리코":"PR",
            "프랑스":"FR",
            "프랑스령 기아나":"GF",
            "프랑스령 남방 및 남극 지역":"TF",
            "프랑스령 폴리네시아":"PF",
            "피지":"FJ",
            "핀란드":"FI",
            "필리핀":"PH",
            "핏케언 제도":"PN",
            "허드 맥도널드 제도":"HM",
            "헝가리":"HU",
            "홍콩":"HK",
            "afganistanas":"AF",
            "alandų salos":"AX",
            "alžyras":"DZ",
            "amerikos samoa":"AS",
            "angilija":"AI",
            "antigva ir barbuda":"AG",
            "armėnija":"AM",
            "azerbaidžanas":"AZ",
            "bahamos":"BS",
            "bahreinas":"BH",
            "baltarusija":"BY",
            "bangladešas":"BD",
            "barbadosas":"BB",
            "belizas":"BZ",
            "beninas":"BJ",
            "butanas":"BT",
            "boneras, sint eustatijus ir saba (bes salos)":"BQ",
            "bosnija ir hercegovina":"BA",
            "botsvana":"BW",
            "buvė sala":"BV",
            "brazilija":"BR",
            "brunėjus":"BN",
            "bulgarija":"BG",
            "burundis":"BI",
            "centrinės afrikos respublika":"CF",
            "čadas":"TD",
            "čilė":"CL",
            "čekija":"CZ",
            "danija":"DK",
            "dramblio kaulo krantas":"CI",
            "dominikos respublika":"DO",
            "džibutis":"DJ",
            "egiptas":"EG",
            "ekvadoras":"EC",
            "eritrėja":"ER",
            "estija":"EE",
            "farerų salos":"FO",
            "fidžis":"FJ",
            "folklando (malvinų) salos":"FK",
            "gabonas":"GA",
            "gibraltaras":"GI",
            "graikija":"GR",
            "grenlandija":"GL",
            "gvadelupa":"GP",
            "guamas":"GU",
            "gernsis":"GG",
            "gvinėja":"GN",
            "bisau gvinėja":"GW",
            "gajana":"GY",
            "haitis":"HT",
            "herdo ir makdonaldo salos":"HM",
            "vatikanas":"VA",
            "hondūras":"HN",
            "honkongas":"HK",
            "vengrija":"HU",
            "islandija":"IS",
            "indijos vandenyno britų sritis":"IO",
            "iranas":"IR",
            "irakas":"IQ",
            "airija":"IE",
            "meno sala":"IM",
            "izraelis":"IL",
            "japonija":"JP",
            "džersis":"JE",
            "jordanija":"JO",
            "kamerūnas":"CM",
            "kaimanų salos":"KY",
            "kinija":"CN",
            "kalėdų sala":"CX",
            "kokosų (kilingo) salos":"CC",
            "komorai":"KM",
            "kongo respublika":"CG",
            "kongo demokratinė respublika":"CD",
            "kuko salos":"CK",
            "kosta rika":"CR",
            "kroatija":"HR",
            "kiurasao":"CW",
            "kipras":"CY",
            "kazachstanas":"KZ",
            "kiribatis":"KI",
            "šiaurės korėja":"KP",
            "pietų korėja":"KR",
            "kuveitas":"KW",
            "kirgizija":"KG",
            "laosas":"LA",
            "libanas":"LB",
            "lesotas":"LS",
            "lichtenšteinas":"LI",
            "lietuva":"LT",
            "liuksemburgas":"LU",
            "madagaskaras":"MG",
            "malavis":"MW",
            "malaizija":"MY",
            "maldyvai":"MV",
            "malis":"ML",
            "maršalo salos":"MH",
            "majotas":"YT",
            "meksika":"MX",
            "moldavija":"MD",
            "monakas":"MC",
            "juodkalnija":"ME",
            "montseratas":"MS",
            "marokas":"MA",
            "mozambikas":"MZ",
            "mianmaras":"MM",
            "nepalas":"NP",
            "nyderlandai":"NL",
            "naujoji kaledonija":"NC",
            "naujoji zelandija":"NZ",
            "nigeris":"NE",
            "niujė":"NU",
            "norfolko sala":"NF",
            "marianos šiaurinės salos":"MP",
            "norvegija":"NO",
            "omanas":"OM",
            "pakistanas":"PK",
            "prancūzija":"FR",
            "prancūzijos gviana":"GF",
            "prancūzijos polinezija":"PF",
            "prancūzijos pietų sritys":"TF",
            "papua naujoji gvinėja":"PG",
            "paragvajus":"PY",
            "pusiaujo gvinėja":"GQ",
            "filipinai":"PH",
            "pitkernas":"PN",
            "lenkija":"PL",
            "portugalija":"PT",
            "puerto rikas":"PR",
            "kataras":"QA",
            "reunjonas":"RE",
            "rumunija":"RO",
            "salvadoras":"SV",
            "šv. bartolomėjaus sala":"BL",
            "šv. elenos, dangun žengimo, tristanas da kunja salos":"SH",
            "sent kitsas ir nevis":"KN",
            "sent lusija":"LC",
            "san martenas":"MF",
            "sen pjeras ir mikelonas":"PM",
            "sent vinsentas ir grenadinai":"VC",
            "san marinas":"SM",
            "san tomė ir prinsipė":"ST",
            "saudo arabija":"SA",
            "senegalas":"SN",
            "serbija":"RS",
            "seišeliai":"SC",
            "siera leonė":"SL",
            "singapūras":"SG",
            "sint martenas":"SX",
            "suomija":"FI",
            "slovakija":"SK",
            "slovėnija":"SI",
            "saliamono salos":"SB",
            "somalis":"SO",
            "par":"ZA",
            "pietų džordžijos ir pietų sandvičo salos":"GS",
            "pietų sudanas":"SS",
            "ispanija":"ES",
            "sudanas":"SD",
            "surinamas":"SR",
            "svalbardo ir jan majeno salos":"SJ",
            "svazilendas":"SZ",
            "švedija":"SE",
            "šveicarija":"CH",
            "taivanas":"TW",
            "tadžikija":"TJ",
            "tailandas":"TH",
            "rytų timoras":"TL",
            "togas":"TG",
            "trinidadas ir tobagas":"TT",
            "tunisas":"TN",
            "turkija":"TR",
            "turkmėnija":"TM",
            "terksas ir kaikosas":"TC",
            "jungtiniai arabų emyratai":"AE",
            "jungtinė karalystė":"GB",
            "jungtinės valstijos":"US",
            "jav užjūrio mažosios salos":"UM",
            "urugvajus":"UY",
            "uzbekistanas":"UZ",
            "venesuela":"VE",
            "vokietija":"DE",
            "vietnamas":"VN",
            "mergelių salos (didžioji britanija)":"VG",
            "mergelių salos (jav)":"VI",
            "volisas ir futūna":"WF",
            "vakarų sahara":"EH",
            "jemenas":"YE",
            "zimbabvė":"ZW",
            "žaliasis kyšulys":"CV",
            "albanië":"AL",
            "algerije":"DZ",
            "amerikaanse maagdeneilanden":"VI",
            "amerikaans-samoa":"AS",
            "antigua en barbuda":"AG",
            "argentinië":"AR",
            "armenië":"AM",
            "australië":"AU",
            "azerbeidzjan":"AZ",
            "bahama's":"BS",
            "belgië":"BE",
            "bosnië en herzegovina":"BA",
            "brazilië":"BR",
            "britse maagdeneilanden":"VG",
            "brits indische oceaanterritorium":"IO",
            "bulgarije":"BG",
            "caribisch nederland":"BQ",
            "centraal-afrikaanse republiek":"CF",
            "christmaseiland":"CX",
            "cocoseilanden":"CC",
            "comoren":"KM",
            "congo-brazzaville":"CG",
            "congo-kinshasa":"CD",
            "cookeilanden":"CK",
            "denemarken":"DK",
            "dominicaanse republiek":"DO",
            "duitsland":"DE",
            "egypte":"EG",
            "equatoriaal-guinea":"GQ",
            "ethiopië":"ET",
            "faeröer":"FO",
            "falklandeilanden":"FK",
            "filipijnen":"PH",
            "frankrijk":"FR",
            "franse zuidelijke gebieden":"TF",
            "frans-guyana":"GF",
            "frans-polynesië":"PF",
            "georgië":"GE",
            "griekenland":"GR",
            "guinee":"GN",
            "guinee-bissau":"GW",
            "heard en mcdonaldeilanden":"HM",
            "hongarije":"HU",
            "ierland":"IE",
            "ijsland":"IS",
            "indonesië":"ID",
            "italië":"IT",
            "ivoorkust":"CI",
            "jordanië":"JO",
            "kaaimaneilanden":"KY",
            "kaapverdië":"CV",
            "kameroen":"CM",
            "kazachstan":"KZ",
            "kirgizië":"KG",
            "kleine afgelegen eilanden van de verenigde staten":"UM",
            "koeweit":"KW",
            "kroatië":"HR",
            "libië":"LY",
            "litouwen":"LT",
            "maleisië":"MY",
            "marshalleilanden":"MH",
            "mauritanië":"MR",
            "micronesië":"FM",
            "moldavië":"MD",
            "mongolië":"MN",
            "namibië":"NA",
            "nederland":"NL",
            "nieuw-caledonië":"NC",
            "nieuw-zeeland":"NZ",
            "noordelijke marianen":"MP",
            "noord-korea":"KP",
            "noord-macedonië":"MK",
            "noorwegen":"NO",
            "oeganda":"UG",
            "oekraïne":"UA",
            "oezbekistan":"UZ",
            "oostenrijk":"AT",
            "oost-timor":"TL",
            "papoea-nieuw-guinea":"PG",
            "pitcairneilanden":"PN",
            "roemenië":"RO",
            "saint kitts en nevis":"KN",
            "saint-pierre en miquelon":"PM",
            "saint vincent en de grenadines":"VC",
            "salomonseilanden":"SB",
            "saoedi-arabië":"SA",
            "sao tomé en principe":"ST",
            "servië":"RS",
            "sint-helena, ascension en tristan da cunha":"SH",
            "slovenië":"SI",
            "slowakije":"SK",
            "soedan":"SD",
            "somalië":"SO",
            "spanje":"ES",
            "spitsbergen en jan mayen":"SJ",
            "syrië":"SY",
            "tadzjikistan":"TJ",
            "trinidad en tobago":"TT",
            "tsjaad":"TD",
            "tsjechië":"CZ",
            "tunesië":"TN",
            "turkije":"TR",
            "turks- en caicoseilanden":"TC",
            "vaticaanstad":"VA",
            "verenigde arabische emiraten":"AE",
            "verenigde staten":"US",
            "verenigd koninkrijk":"GB",
            "wallis en futuna":"WF",
            "westelijke sahara/sadr":"EH",
            "wit-rusland":"BY",
            "zuid-afrika":"ZA",
            "zuid-georgia en de zuidelijke sandwicheilanden":"GS",
            "zuid-korea":"KR",
            "zuid-soedan":"SS",
            "zweden":"SE",
            "zwitserland":"CH",
            "algerie":"DZ",
            "bonaire, sint eustatius og saba":"BQ",
            "bosnia-hercegovina":"BA",
            "bouvetøya":"BV",
            "caymanøyene":"KY",
            "christmasøya":"CX",
            "cookøyene":"CK",
            "de forente arabiske emirater":"AE",
            "de franske sørterritorier":"TF",
            "de palestinske territoriene":"PS",
            "den dominikanske republikk":"DO",
            "den sentralafrikanske republikk":"CF",
            "det britiske territoriet i indiahavet":"IO",
            "ekvatorial-guinea":"GQ",
            "falklandsøyene":"FK",
            "filippinene":"PH",
            "frankrike":"FR",
            "fransk guyana":"GF",
            "fransk polynesia":"PF",
            "færøyene":"FO",
            "heard- og mcdonaldøyene":"HM",
            "hellas":"GR",
            "jomfruøyene, de amerikanske":"VI",
            "jomfruøyene, de britiske":"VG",
            "kambodsja":"KH",
            "kapp verde":"CV",
            "kokosøyene":"CC",
            "komorene":"KM",
            "kongo, den demokratiske republikken":"CD",
            "kongo, republikken":"CG",
            "maldivene":"MV",
            "marshalløyene":"MH",
            "mikronesiaføderasjonen":"FM",
            "nord-korea":"KP",
            "nord-makedonia, republikken":"MK",
            "nord-marianene":"MP",
            "norfolkøya":"NF",
            "ny-caledonia":"NC",
            "papua ny-guinea":"PG",
            "pitcairnøyene":"PN",
            "st. helena, ascension og tristan da cunha":"SH",
            "saint vincent og grenadinene":"VC",
            "salomonøyene":"SB",
            "seychellene":"SC",
            "spania":"ES",
            "storbritannia":"GB",
            "svalbard og jan mayen":"SJ",
            "sveits":"CH",
            "syria":"SY",
            "sør-afrika":"ZA",
            "sør-georgia og sør-sandwichøyene":"GS",
            "sør-korea":"KR",
            "sør-sudan":"SS",
            "tsjad":"TD",
            "tsjekkia":"CZ",
            "turks- og caicosøyene":"TC",
            "tyrkia":"TR",
            "usas ytre småøyer":"UM",
            "vest-sahara":"EH",
            "wallis- og futunaøyene":"WF",
            "østerrike":"AT",
            "øst-timor":"TL",
            "algieria":"DZ",
            "antarktyka":"AQ",
            "antigua i barbuda":"AG",
            "arabia saudyjska":"SA",
            "argentyna":"AR",
            "azerbejdżan":"AZ",
            "bangladesz":"BD",
            "białoruś":"BY",
            "boliwia":"BO",
            "bonaire, sint eustatius i saba":"BQ",
            "bośnia i hercegowina":"BA",
            "brazylia":"BR",
            "brytyjskie terytorium oceanu indyjskiego":"IO",
            "brytyjskie wyspy dziewicze":"VG",
            "bułgaria":"BG",
            "chiny":"CN",
            "chorwacja":"HR",
            "cypr":"CY",
            "czad":"TD",
            "czarnogóra":"ME",
            "czechy":"CZ",
            "dalekie wyspy mniejsze stanów zjednoczonych":"UM",
            "dania":"DK",
            "demokratyczna republika konga":"CD",
            "dominikana":"DO",
            "dżibuti":"DJ",
            "egipt":"EG",
            "ekwador":"EC",
            "erytrea":"ER",
            "falklandy":"FK",
            "fidżi":"FJ",
            "filipiny":"PH",
            "francja":"FR",
            "francuskie terytoria południowe i antarktyczne":"TF",
            "georgia południowa i sandwich południowy":"GS",
            "grecja":"GR",
            "grenlandia":"GL",
            "gruzja":"GE",
            "gujana francuska":"GF",
            "gujana":"GY",
            "gwadelupa":"GP",
            "gwatemala":"GT",
            "gwinea bissau":"GW",
            "gwinea równikowa":"GQ",
            "gwinea":"GN",
            "hiszpania":"ES",
            "holandia":"NL",
            "indonezja":"ID",
            "irlandia":"IE",
            "kajmany":"KY",
            "kambodża":"KH",
            "korea południowa":"KR",
            "korea północna":"KP",
            "kostaryka":"CR",
            "kuwejt":"KW",
            "litwa":"LT",
            "łotwa":"LV",
            "macedonia północna":"MK",
            "majotta":"YT",
            "makau":"MO",
            "malediwy":"MV",
            "malezja":"MY",
            "mariany północne":"MP",
            "martynika":"MQ",
            "mauretania":"MR",
            "meksyk":"MX",
            "mikronezja":"FM",
            "mjanma":"MM",
            "mołdawia":"MD",
            "niemcy":"DE",
            "norwegia":"NO",
            "nowa kaledonia":"NC",
            "nowa zelandia":"NZ",
            "palestyna":"PS",
            "papua-nowa gwinea":"PG",
            "paragwaj":"PY",
            "polinezja francuska":"PF",
            "polska":"PL",
            "portoryko":"PR",
            "portugalia":"PT",
            "południowa afryka":"ZA",
            "republika środkowoafrykańska":"CF",
            "republika zielonego przylądka":"CV",
            "reunion":"RE",
            "rosja":"RU",
            "rumunia":"RO",
            "sahara zachodnia":"EH",
            "saint kitts i nevis":"KN",
            "saint vincent i grenadyny":"VC",
            "saint-pierre i miquelon":"PM",
            "salwador":"SV",
            "samoa amerykańskie":"AS",
            "seszele":"SC",
            "słowacja":"SK",
            "słowenia":"SI",
            "stany zjednoczone":"US",
            "sudan południowy":"SS",
            "szwajcaria":"CH",
            "szwecja":"SE",
            "tadżykistan":"TJ",
            "tajlandia":"TH",
            "tajwan":"TW",
            "timor wschodni":"TL",
            "trynidad i tobago":"TT",
            "tunezja":"TN",
            "turcja":"TR",
            "turks i caicos":"TC",
            "urugwaj":"UY",
            "watykan":"VA",
            "wenezuela":"VE",
            "węgry":"HU",
            "wielka brytania":"GB",
            "wietnam":"VN",
            "włochy":"IT",
            "wybrzeże kości słoniowej":"CI",
            "wyspa bouveta":"BV",
            "wyspa bożego narodzenia":"CX",
            "wyspa man":"IM",
            "wyspa świętej heleny, wyspa wniebowstąpienia i tristan da cunha":"SH",
            "wyspy alandzkie":"AX",
            "wyspy cooka":"CK",
            "wyspy dziewicze stanów zjednoczonych":"VI",
            "wyspy heard i mcdonalda":"HM",
            "wyspy kokosowe":"CC",
            "wyspy marshalla":"MH",
            "wyspy owcze":"FO",
            "wyspy salomona":"SB",
            "wyspy świętego tomasza i książęca":"ST",
            "zjednoczone emiraty arabskie":"AE",
            "afeganistão":"AF",
            "áfrica do sul":"ZA",
            "ilhas åland":"AX",
            "albânia":"AL",
            "alemanha":"DE",
            "antígua e barbuda":"AG",
            "arábia saudita":"SA",
            "argélia":"DZ",
            "armênia":"AM",
            "austrália":"AU",
            "áustria":"AT",
            "azerbaijão":"AZ",
            "bangladexe":"BD",
            "barém":"BH",
            "benim":"BJ",
            "bielorrússia":"BY",
            "países baixos caribenhos":"BQ",
            "bósnia e herzegovina":"BA",
            "ilha bouvet":"BV",
            "burquina fasso":"BF",
            "butão":"BT",
            "ilhas caimã":"KY",
            "camboja":"KH",
            "camarões":"CM",
            "cazaquistão":"KZ",
            "república centro-africana":"CF",
            "chade":"TD",
            "chéquia":"CZ",
            "ilhas cocos (keeling)":"CC",
            "colômbia":"CO",
            "república do congo":"CG",
            "república democrática do congo":"CD",
            "ilhas cook":"CK",
            "coreia do sul":"KR",
            "coreia do norte":"KP",
            "costa do marfim":"CI",
            "croácia":"HR",
            "curaçau":"CW",
            "egito":"EG",
            "emirados árabes unidos":"AE",
            "equador":"EC",
            "eritreia":"ER",
            "eslováquia":"SK",
            "eslovênia":"SI",
            "espanha":"ES",
            "estónia":"EE",
            "essuatíni":"SZ",
            "esvalbarde e jan mayen":"SJ",
            "ilhas feroé":"FO",
            "finlândia":"FI",
            "frança":"FR",
            "gabão":"GA",
            "gâmbia":"GM",
            "geórgia":"GE",
            "ilhas geórgia do sul e sandwich do sul":"GS",
            "grécia":"GR",
            "gronelândia":"GL",
            "guiana":"GY",
            "guiana francesa":"GF",
            "guiné-bissau":"GW",
            "guiné":"GN",
            "guiné equatorial":"GQ",
            "ilha heard e ilhas mcdonald":"HM",
            "hungria":"HU",
            "iêmen":"YE",
            "índia":"IN",
            "indonésia":"ID",
            "iraque":"IQ",
            "irã":"IR",
            "islândia":"IS",
            "itália":"IT",
            "japão":"JP",
            "jordânia":"JO",
            "letônia":"LV",
            "listenstaine":"LI",
            "lituânia":"LT",
            "macedônia do norte":"MK",
            "madagáscar":"MG",
            "maiote":"YT",
            "malásia":"MY",
            "maláui":"MW",
            "ilhas malvinas":"FK",
            "ilha de man":"IM",
            "marianas setentrionais":"MP",
            "marrocos":"MA",
            "ilhas marshall":"MH",
            "ilhas maurícias":"MU",
            "mauritânia":"MR",
            "ilhas menores distantes dos estados unidos":"UM",
            "estados federados da micronésia":"FM",
            "moçambique":"MZ",
            "moldávia":"MD",
            "monserrate":"MS",
            "ilha do natal":"CX",
            "nicarágua":"NI",
            "ilha norfolk":"NF",
            "nova caledónia":"NC",
            "nova zelândia":"NZ",
            "omã":"OM",
            "países baixos":"NL",
            "papua-nova guiné":"PG",
            "paquistão":"PK",
            "polinésia francesa":"PF",
            "polónia":"PL",
            "quênia":"KE",
            "quirguistão":"KG",
            "quiribáti":"KI",
            "reunião":"RE",
            "roménia":"RO",
            "rússia":"RU",
            "saara ocidental":"EH",
            "ilhas salomão":"SB",
            "santa helena, ascensão e tristão da cunha":"SH",
            "santa lúcia":"LC",
            "são bartolomeu":"BL",
            "são cristóvão e neves":"KN",
            "são martinho":"MF",
            "são pedro e miquelão":"PM",
            "são vicente e granadinas":"VC",
            "seicheles":"SC",
            "seri lanca":"LK",
            "serra leoa":"SL",
            "sérvia":"RS",
            "singapura":"SG",
            "síria":"SY",
            "somália":"SO",
            "sudão":"SD",
            "sudão do sul":"SS",
            "suécia":"SE",
            "suíça":"CH",
            "tailândia":"TH",
            "tajiquistão":"TJ",
            "tanzânia":"TZ",
            "terras austrais e antárticas francesas":"TF",
            "território britânico do oceano índico":"IO",
            "toquelau":"TK",
            "tunísia":"TN",
            "turcas e caicos":"TC",
            "turcomenistão":"TM",
            "turquia":"TR",
            "ucrânia":"UA",
            "uzbequistão":"UZ",
            "vaticano":"VA",
            "vietname":"VN",
            "ilhas virgens americanas":"VI",
            "ilhas virgens britânicas":"VG",
            "zâmbia":"ZM",
            "zimbábue":"ZW",
            "insulele åland":"AX",
            "samoa americană":"AS",
            "antigua și barbuda":"AG",
            "azerbaidjan":"AZ",
            "bermude":"BM",
            "insulele bonaire, sint eustatius și saba":"BQ",
            "bosnia și herțegovina":"BA",
            "insula bouvet":"BV",
            "brazilia":"BR",
            "teritoriul britanic din oceanul indian":"IO",
            "cambodgia":"KH",
            "republica capului verde":"CV",
            "insulele cayman":"KY",
            "republica centrafricană":"CF",
            "republica populară chineză":"CN",
            "insula crăciunului":"CX",
            "insulele cocos":"CC",
            "columbia":"CO",
            "republica democrată congo":"CD",
            "insulele cook":"CK",
            "coasta de fildeș":"CI",
            "croația":"HR",
            "cipru":"CY",
            "cehia":"CZ",
            "danemarca":"DK",
            "republica dominicană":"DO",
            "guineea ecuatorială":"GQ",
            "eritreea":"ER",
            "insulele falkland":"FK",
            "insulele feroe":"FO",
            "finlanda":"FI",
            "franța":"FR",
            "guiana franceză":"GF",
            "polinezia franceză":"PF",
            "teritoriile australe și antarctice franceze":"TF",
            "groenlanda":"GL",
            "guadelupa":"GP",
            "guineea":"GN",
            "guineea-bissau":"GW",
            "insula heard și insulele mcdonald":"HM",
            "vatican":"VA",
            "ungaria":"HU",
            "indonezia":"ID",
            "republica irlanda":"IE",
            "insula man":"IM",
            "insula jersey":"JE",
            "iordania":"JO",
            "coreea de nord":"KP",
            "coreea de sud":"KR",
            "kuweit":"KW",
            "kârgâzstan":"KG",
            "republica macedonia":"MK",
            "malaezia":"MY",
            "insulele marshall":"MH",
            "mexic":"MX",
            "micronezia":"FM",
            "republica moldova":"MD",
            "muntenegru":"ME",
            "mozambic":"MZ",
            "țările de jos":"NL",
            "noua caledonie":"NC",
            "noua zeelandă":"NZ",
            "insula norfolk":"NF",
            "insulele mariane de nord":"MP",
            "teritoriile palestiniene ocupate":"PS",
            "papua noua guinee":"PG",
            "filipine":"PH",
            "românia":"RO",
            "sfânta elena":"SH",
            "sfântul kitts și nevis":"KN",
            "sfânta lucia":"LC",
            "sint maarten (partea franceză)":"MF",
            "sfântul pierre și miquelon":"PM",
            "sfântul vincent și grenadine":"VC",
            "sao tome și principe":"ST",
            "arabia saudită":"SA",
            "sint maarten (partea olandeză)":"SX",
            "slovacia":"SK",
            "insulele solomon":"SB",
            "africa de sud":"ZA",
            "georgia de sud și insulele sandwich de sud":"GS",
            "sudanul de sud":"SS",
            "svalbard și jan mayen":"SJ",
            "elveția":"CH",
            "thailanda":"TH",
            "timorul de est":"TL",
            "trinidad și tobago":"TT",
            "turcia":"TR",
            "insulele turks și caicos":"TC",
            "emiratele arabe unite":"AE",
            "regatul unit":"GB",
            "statele unite ale americii":"US",
            "insulele virgine britanice":"VG",
            "insulele virgine americane":"VI",
            "wallis și futuna":"WF",
            "sahara occidentală":"EH",
            "аландские острова":"AX",
            "виргинские острова (сша)":"VI",
            "американское самоа":"AS",
            "ангилья":"AI",
            "андорра":"AD",
            "антарктика":"AQ",
            "аргентина":"AR",
            "багамские острова":"BS",
            "белоруссия":"BY",
            "бельгия":"BE",
            "бермуды":"BM",
            "болгария":"BG",
            "бонайре, синт-эстатиус и саба":"BQ",
            "босния и герцеговина":"BA",
            "британская территория в индийском океане":"IO",
            "виргинские острова (великобритания)":"VG",
            "буркина-фасо":"BF",
            "венгрия":"HU",
            "венесуэла":"VE",
            "внешние малые острова сша":"UM",
            "восточный тимор":"TL",
            "вьетнам":"VN",
            "гаити":"HT",
            "гайана":"GY",
            "гернси":"GG",
            "гондурас":"HN",
            "гонконг":"HK",
            "греция":"GR",
            "джерси":"JE",
            "доминиканская республика":"DO",
            "др конго":"CD",
            "садр":"EH",
            "израиль":"IL",
            "иордания":"JO",
            "кабо-верде":"CV",
            "острова кайман":"KY",
            "кипр":"CY",
            "киргизия":"KG",
            "китайская республика":"TW",
            "кндр (корейская народно-демократическая республика)":"KP",
            "китай (китайская народная республика)":"CN",
            "кокосовые острова":"CC",
            "коморы":"KM",
            "коста-рика":"CR",
            "кот-д’ивуар":"CI",
            "ливия":"LY",
            "лихтенштейн":"LI",
            "маврикий":"MU",
            "майотта":"YT",
            "северная македония":"MK",
            "мальдивы":"MV",
            "мальта":"MT",
            "марокко":"MA",
            "маршалловы острова":"MH",
            "мексика":"MX",
            "молдавия":"MD",
            "монтсеррат":"MS",
            "мьянма":"MM",
            "нидерланды":"NL",
            "ниуэ":"NU",
            "новая зеландия":"NZ",
            "новая каледония":"NC",
            "оаэ":"AE",
            "остров буве":"BV",
            "остров мэн":"IM",
            "острова кука":"CK",
            "остров норфолк":"NF",
            "остров рождества":"CX",
            "острова питкэрн":"PN",
            "остров святой елены":"SH",
            "государство палестина":"PS",
            "папуа — новая гвинея":"PG",
            "польша":"PL",
            "пуэрто-рико":"PR",
            "республика конго":"CG",
            "республика корея":"KR",
            "реюньон":"RE",
            "россия":"RU",
            "румыния":"RO",
            "сальвадор":"SV",
            "сан-марино":"SM",
            "сан-томе и принсипи":"ST",
            "саудовская аравия":"SA",
            "эсватини":"SZ",
            "северные марианские острова":"MP",
            "сейшельские острова":"SC",
            "сен-бартелеми":"BL",
            "сен-мартен":"MF",
            "сен-пьер и микелон":"PM",
            "сент-винсент и гренадины":"VC",
            "сент-китс и невис":"KN",
            "сент-люсия":"LC",
            "сербия":"RS",
            "синт-мартен":"SX",
            "соломоновы острова":"SB",
            "сомали":"SO",
            "сша":"US",
            "сьерра-леоне":"SL",
            "таиланд":"TH",
            "теркс и кайкос":"TC",
            "украина":"UA",
            "уоллис и футуна":"WF",
            "фарерские острова":"FO",
            "филиппины":"PH",
            "финляндия":"FI",
            "фолклендские острова":"FK",
            "французская полинезия":"PF",
            "французские южные и антарктические территории":"TF",
            "херд и макдональд":"HM",
            "хорватия":"HR",
            "цар":"CF",
            "черногория":"ME",
            "шпицберген и ян-майен":"SJ",
            "шри-ланка":"LK",
            "эквадор":"EC",
            "экваториальная гвинея":"GQ",
            "эритрея":"ER",
            "эстония":"EE",
            "эфиопия":"ET",
            "южная георгия и южные сандвичевы острова":"GS",
            "южный судан":"SS",
            "albánsko":"AL",
            "antarktída":"AQ",
            "arménsko":"AM",
            "belgicko":"BE",
            "bielorusko":"BY",
            "bonaire, svätý eustach a saba":"BQ",
            "bouvetov ostrov":"BV",
            "britské indickooceánske územie":"IO",
            "burkina":"BF",
            "cookove ostrovy":"CK",
            "čierna hora":"ME",
            "dominikánska republika":"DO",
            "estónsko":"EE",
            "fínsko":"FI",
            "francúzsko":"FR",
            "francúzska guyana":"GF",
            "francúzska polynézia":"PF",
            "francúzske južné územia":"TF",
            "grécko":"GR",
            "gruzínsko":"GE",
            "heardov ostrov":"HM",
            "holandsko":"NL",
            "chorvátsko":"HR",
            "írsko":"IE",
            "južná afrika":"ZA",
            "južná georgia a južné sandwichove ostrovy":"GS",
            "južný sudán":"SS",
            "kajmanie ostrovy":"KY",
            "kirgizsko":"KG",
            "kórejská ľudovodemokratická republika":"KP",
            "kórejská republika":"KR",
            "líbya":"LY",
            "lichtenštajnsko":"LI",
            "luxembursko":"LU",
            "severné macedónsko":"MK",
            "maldivy":"MV",
            "marshallove ostrovy":"MH",
            "maurícius":"MU",
            "menšie odľahlé ostrovy usa":"UM",
            "mjanmarsko":"MM",
            "nemecko":"DE",
            "nórsko":"NO",
            "nová kaledónia":"NC",
            "palestína":"PS",
            "papua-nová guinea":"PG",
            "paraguaj":"PY",
            "pitcairnove ostrovy":"PN",
            "pobrežie slonoviny":"CI",
            "poľsko":"PL",
            "rakúsko":"AT",
            "salvádor":"SV",
            "san maríno":"SM",
            "saudská arábia":"SA",
            "severné mariány":"MP",
            "spojené kráľovstvo":"GB",
            "spojené štáty":"US",
            "stredoafrická republika":"CF",
            "svätá helena":"SH",
            "svätá lucia":"LC",
            "svätý bartolomej":"BL",
            "svätý krištof a nevis":"KN",
            "svätý tomáš a princov ostrov":"ST",
            "svätý vincent a grenadíny":"VC",
            "sýria":"SY",
            "šalamúnove ostrovy":"SB",
            "španielsko":"ES",
            "špicbergy a jan mayen":"SJ",
            "švajčiarsko":"CH",
            "taliansko":"IT",
            "turkménsko":"TM",
            "uruguaj":"UY",
            "vianočný ostrov":"CX",
            "východný timor":"TL",
            "západná sahara":"EH",
            "združeni arabski emirati":"AE",
            "antigva in barbuda":"AG",
            "angvila":"AI",
            "ameriška samoa":"AS",
            "avstrija":"AT",
            "avstralija":"AU",
            "ålandski otoki":"AX",
            "bosna in hercegovina":"BA",
            "bolgarija":"BG",
            "bonaire, sveti evstahij, saba":"BQ",
            "bouvetovo otočje":"BV",
            "belorusija":"BY",
            "kokosovi otoki":"CC",
            "demokratična republika kongo":"CD",
            "srednjeafriška republika":"CF",
            "švica":"CH",
            "slonokoščena obala":"CI",
            "cookovo otočje":"CK",
            "ljudska republika kitajska":"CN",
            "zelenortski otoki":"CV",
            "božični otoki":"CX",
            "ciper":"CY",
            "nemčija":"DE",
            "alžirija":"DZ",
            "zahodna sahara":"EH",
            "španija":"ES",
            "esvatini":"SZ",
            "falklandi":"FK",
            "ferski otoki":"FO",
            "francija":"FR",
            "združeno kraljestvo velike britanije in severne irske":"GB",
            "francoska gvajana":"GF",
            "ekvatorialna gvineja":"GQ",
            "grčija":"GR",
            "južna georgia in južni sandwichevi otoki":"GS",
            "gvineja bissau":"GW",
            "heardov otok in mcdonaldovo otočje":"HM",
            "hrvaška":"HR",
            "madžarska":"HU",
            "britanski teritorij v indijskem oceanu":"IO",
            "japonska":"JP",
            "saint kitts in nevis":"KN",
            "severna koreja":"KP",
            "kajmanski otoki":"KY",
            "šrilanka":"LK",
            "črna gora":"ME",
            "sveti martin (francoski del)":"MF",
            "marshallovi otoki":"MH",
            "severna makedonija":"MK",
            "mjanmar":"MM",
            "severni marianski otoki":"MP",
            "mavretanija":"MR",
            "mehika":"MX",
            "otok norfolk":"NF",
            "nova zelandija":"NZ",
            "francoska polinezija":"PF",
            "saint pierre in miquelon":"PM",
            "pitcairnovo otočje":"PN",
            "portugalska":"PT",
            "romunija":"RO",
            "saudova arabija":"SA",
            "salomonovi otoki":"SB",
            "svalbard in jan mayen":"SJ",
            "slovaška":"SK",
            "sao tome in principe":"ST",
            "sveti martin (nizozemski)":"SX",
            "otočji turks in caicos":"TC",
            "francoska južna ozemlja":"TF",
            "tajska":"TH",
            "vzhodni timor":"TL",
            "tunizija":"TN",
            "turčija":"TR",
            "trinidad in tobago":"TT",
            "manjši zunanji otoki zda":"UM",
            "združene države amerike":"US",
            "saint vincent in grenadine":"VC",
            "britanski deviški otoki":"VG",
            "ameriški deviški otoki":"VI",
            "wallis in futuna":"WF",
            "zahodna samoa":"WS",
            "avganistan":"AF",
            "američka devičanska ostrva":"VI",
            "antarktik":"AQ",
            "azerbejdžan":"AZ",
            "boner, sveti eustahije, saba":"BQ",
            "božićno ostrvo":"CX",
            "buvetovo ostrvo":"BV",
            "britanska teritorija indijskog okeana":"IO",
            "britanska devičanska ostrva":"VG",
            "centralnoafrička republika":"CF",
            "kurasao":"CW",
            "džersi":"JE",
            "ekvatorijalna gvineja":"GQ",
            "farska ostrva":"FO",
            "folklandska ostrva (malvini)":"FK",
            "francuska gijana":"GF",
            "francuske južne i antarktičke zemlje":"TF",
            "gernzi":"GG",
            "gvadelup":"GP",
            "gvam":"GU",
            "gvineja bisao":"GW",
            "gijana":"GY",
            "jermenija":"AM",
            "južnoafrička republika":"ZA",
            "južna džordžija i južna sendvička ostrva":"GS",
            "kajmanska ostrva":"KY",
            "kokosova ostrva":"CC",
            "kukova ostrva":"CK",
            "kipar":"CY",
            "litvanija":"LT",
            "letonija":"LV",
            "maršalska ostrva":"MH",
            "majot":"YT",
            "manja udaljena ostrva sad":"UM",
            "monserat":"MS",
            "nemačka":"DE",
            "nijue":"NU",
            "holandija":"NL",
            "obala slonovače":"CI",
            "olandska ostrva":"AX",
            "ostrva pitkern":"PN",
            "ostrva herd i makdonald":"HM",
            "ostrvo men":"IM",
            "reinion":"RE",
            "sen bartelemi":"BL",
            "sveti martin (francuska)":"MF",
            "sveti martin (holandija)":"SX",
            "sao tome i principe":"ST",
            "severna marijanska ostrva":"MP",
            "solomonova ostrva":"SB",
            "svalbard i jan majen":"SJ",
            "sveta jelena":"SH",
            "sveti kits i nevis":"KN",
            "sveti pjer i mikelon":"PM",
            "sveti vinsent i grenadini":"VC",
            "svazilend":"SZ",
            "švajcarska":"CH",
            "turks i kajkos":"TC",
            "ujedinjeno kraljevstvo":"GB",
            "venecuela":"VE",
            "valis i futuna":"WF",
            "zelenortska ostrva":"CV",
            "förenade arabemiraten":"AE",
            "antigua och barbuda":"AG",
            "amerikanska samoa":"AS",
            "österrike":"AT",
            "azerbajdzjan":"AZ",
            "bosnien och hercegovina":"BA",
            "bouvetön":"BV",
            "kokosöarna":"CC",
            "kongo-kinshasa":"CD",
            "centralafrikanska republiken":"CF",
            "kongo-brazzaville":"CG",
            "elfenbenskusten":"CI",
            "cooköarna":"CK",
            "julön":"CX",
            "tjeckien":"CZ",
            "dominikanska republiken":"DO",
            "västsahara":"EH",
            "falklandsöarna":"FK",
            "mikronesiska federationen":"FM",
            "färöarna":"FO",
            "franska guyana":"GF",
            "ekvatorialguinea":"GQ",
            "grekland":"GR",
            "sydgeorgien":"GS",
            "heard- och mcdonaldöarna":"HM",
            "ungern":"HU",
            "brittiska territoriet i indiska oceanen":"IO",
            "kambodja":"KH",
            "komorerna":"KM",
            "saint kitts och nevis":"KN",
            "caymanöarna":"KY",
            "marocko":"MA",
            "moldavien":"MD",
            "marshallöarna":"MH",
            "nordmarianerna":"MP",
            "maldiverna":"MV",
            "nya kaledonien":"NC",
            "norfolkön":"NF",
            "nederländerna":"NL",
            "nya zeeland":"NZ",
            "franska polynesien":"PF",
            "papua nya guinea":"PG",
            "filippinerna":"PH",
            "saint-pierre och miquelon":"PM",
            "pitcairnöarna":"PN",
            "ryssland":"RU",
            "saudiarabien":"SA",
            "salomonöarna":"SB",
            "seychellerna":"SC",
            "sankta helena":"SH",
            "svalbard och jan mayen":"SJ",
            "slovakien":"SK",
            "são tomé och príncipe":"ST",
            "turks- och caicosöarna":"TC",
            "franska södra territorierna":"TF",
            "tokelauöarna":"TK",
            "östtimor":"TL",
            "tunisien":"TN",
            "turkiet":"TR",
            "trinidad och tobago":"TT",
            "förenta staternas mindre öar i oceanien och västindien":"UM",
            "saint vincent och grenadinerna":"VC",
            "brittiska jungfruöarna":"VG",
            "amerikanska jungfruöarna":"VI",
            "wallis- och futunaöarna":"WF",
            "อัฟกานิสถาน":"AF",
            "หมู่เกาะโอลันด์":"AX",
            "แอลเบเนีย":"AL",
            "แอลจีเรีย":"DZ",
            "อเมริกันซามัว":"AS",
            "อันดอร์รา":"AD",
            "แองโกลา":"AO",
            "แองกวิลลา":"AI",
            "แอนตาร์กติกา":"AQ",
            "แอนทีกาและบาร์บิวดา":"AG",
            "อาร์เจนตินา":"AR",
            "อาร์มีเนีย":"AM",
            "อารูบา":"AW",
            "ออสเตรเลีย":"AU",
            "ออสเตรีย":"AT",
            "อาเซอร์ไบจาน":"AZ",
            "บาฮามาส":"BS",
            "บาห์เรน":"BH",
            "บังกลาเทศ":"BD",
            "บาร์เบโดส":"BB",
            "เบลารุส":"BY",
            "เบลเยียม":"BE",
            "เบลีซ":"BZ",
            "เบนิน":"BJ",
            "เบอร์มิวดา":"BM",
            "ภูฏาน":"BT",
            "โบลิเวีย":"BO",
            "เนเธอร์แลนด์แอนทิลลีส":"BQ",
            "บอสเนียและเฮอร์เซโกวีนา":"BA",
            "บอตสวานา":"BW",
            "เกาะบูเว":"BV",
            "บราซิล":"BR",
            "บริติชอินเดียนโอเชียนเทร์ริทอรี":"IO",
            "บรูไน":"BN",
            "บัลแกเรีย":"BG",
            "บูร์กินาฟาโซ":"BF",
            "บุรุนดี":"BI",
            "กาบูเวร์ดี":"CV",
            "กัมพูชา":"KH",
            "แคเมอรูน":"CM",
            "แคนาดา":"CA",
            "หมู่เกาะเคย์แมน":"KY",
            "สาธารณรัฐแอฟริกากลาง":"CF",
            "ชาด":"TD",
            "ชิลี":"CL",
            "จีน":"CN",
            "เกาะคริสต์มาส":"CX",
            "หมู่เกาะโคโคส":"CC",
            "โคลอมเบีย":"CO",
            "คอโมโรส":"KM",
            "สาธารณรัฐคองโก":"CG",
            "สาธารณรัฐประชาธิปไตยคองโก":"CD",
            "หมู่เกาะคุก":"CK",
            "คอสตาริกา":"CR",
            "โกตดิวัวร์":"CI",
            "โครเอเชีย":"HR",
            "คิวบา":"CU",
            "กูราเซา":"CW",
            "ไซปรัส":"CY",
            "เช็กเกีย":"CZ",
            "เดนมาร์ก":"DK",
            "จิบูตี":"DJ",
            "ดอมินีกา":"DM",
            "สาธารณรัฐโดมินิกัน":"DO",
            "เอกวาดอร์":"EC",
            "อียิปต์":"EG",
            "เอลซัลวาดอร์":"SV",
            "อิเควทอเรียลกินี":"GQ",
            "เอริเทรีย":"ER",
            "เอสโตเนีย":"EE",
            "เอสวาตีนี":"SZ",
            "เอธิโอเปีย":"ET",
            "หมู่เกาะฟอล์กแลนด์":"FK",
            "หมู่เกาะแฟโร":"FO",
            "ฟีจี":"FJ",
            "ฟินแลนด์":"FI",
            "ฝรั่งเศส":"FR",
            "เฟรนช์เกียนา":"GF",
            "เฟรนช์พอลินีเชีย":"PF",
            "เฟรนช์เซาเทิร์นและแอนตาร์กติกแลนดส์":"TF",
            "กาบอง":"GA",
            "แกมเบีย":"GM",
            "จอร์เจีย":"GE",
            "เยอรมนี":"DE",
            "กานา":"GH",
            "ยิบรอลตาร์":"GI",
            "กรีซ":"GR",
            "กรีนแลนด์":"GL",
            "กรีเนดา":"GD",
            "กัวเดอลุป":"GP",
            "กวม":"GU",
            "กัวเตมาลา":"GT",
            "เกิร์นซีย์":"GG",
            "กินี":"GN",
            "กินี-บิสเซา":"GW",
            "กายอานา":"GY",
            "เฮติ":"HT",
            "เกาะเฮิร์ดและหมู่เกาะแมกดอนัลด์":"HM",
            "นครรัฐวาติกัน":"VA",
            "ฮอนดูรัส":"HN",
            "ฮ่องกง":"HK",
            "ฮังการี":"HU",
            "ไอซ์แลนด์":"IS",
            "อินเดีย":"IN",
            "อินโดนีเซีย":"ID",
            "อิหร่าน":"IR",
            "อิรัก":"IQ",
            "ไอร์แลนด์":"IE",
            "ไอล์ออฟแมน":"IM",
            "อิสราเอล":"IL",
            "อิตาลี":"IT",
            "จาเมกา":"JM",
            "ญี่ปุ่น":"JP",
            "เจอร์ซีย์":"JE",
            "จอร์แดน":"JO",
            "คาซัคสถาน":"KZ",
            "เคนยา":"KE",
            "คิริบาส":"KI",
            "เกาหลีเหนือ":"KP",
            "เกาหลีใต้":"KR",
            "คูเวต":"KW",
            "คีร์กีซสถาน":"KG",
            "ลาว":"LA",
            "ลัตเวีย":"LV",
            "เลบานอน":"LB",
            "เลโซโท":"LS",
            "ไลบีเรีย":"LR",
            "ลิเบีย":"LY",
            "ลีชเทินชไตน์":"LI",
            "ลิทัวเนีย":"LT",
            "ลักเซมเบิร์ก":"LU",
            "มาเก๊า":"MO",
            "มาดากัสการ์":"MG",
            "มาลาวี":"MW",
            "มาเลเซีย":"MY",
            "มัลดีฟส์":"MV",
            "มาลี":"ML",
            "มอลตา":"MT",
            "หมู่เกาะมาร์แชลล์":"MH",
            "มาร์ตีนิก":"MQ",
            "มอริเตเนีย":"MR",
            "มอริเชียส":"MU",
            "มายอต":"YT",
            "เม็กซิโก":"MX",
            "ไมโครนีเชีย":"FM",
            "มอลโดวา":"MD",
            "โมนาโก":"MC",
            "มองโกเลีย":"MN",
            "มอนเตเนโกร":"ME",
            "มอนต์เซอร์รัต":"MS",
            "โมร็อกโก":"MA",
            "โมซัมบิก":"MZ",
            "พม่า":"MM",
            "นามิเบีย":"NA",
            "นาอูรู":"NR",
            "เนปาล":"NP",
            "เนเธอร์แลนด์":"NL",
            "นิวแคลิโดเนีย":"NC",
            "นิวซีแลนด์":"NZ",
            "นิการากัว":"NI",
            "ไนเจอร์":"NE",
            "ไนจีเรีย":"NG",
            "นีวเว":"NU",
            "เกาะนอร์ฟอล์ก":"NF",
            "มาซิโดเนียเหนือ":"MK",
            "หมู่เกาะนอร์เทิร์นมาเรียนา":"MP",
            "นอร์เวย์":"NO",
            "โอมาน":"OM",
            "ปากีสถาน":"PK",
            "ปาเลา":"PW",
            "ปาเลสไตน์":"PS",
            "ปานามา":"PA",
            "ปาปัวนิวกินี":"PG",
            "ปารากวัย":"PY",
            "เปรู":"PE",
            "ฟิลิปปินส์":"PH",
            "หมู่เกาะพิตแคร์น":"PN",
            "โปแลนด์":"PL",
            "โปรตุเกส":"PT",
            "ปวยร์โตรีโก":"PR",
            "กาตาร์":"QA",
            "เรอูว์นียง":"RE",
            "โรมาเนีย":"RO",
            "รัสเซีย":"RU",
            "รวันดา":"RW",
            "แซ็ง–บาร์เตเลมี":"BL",
            "เซนต์เฮเลนา":"SH",
            "เซนต์คิตส์และเนวิส":"KN",
            "เซนต์ลูเชีย":"LC",
            "เซนต์มาร์ติน":"MF",
            "แซงปีแยร์และมีเกอลง":"PM",
            "เซนต์วินเซนต์และเกรนาดีนส์":"VC",
            "ซามัว":"WS",
            "ซานมารีโน":"SM",
            "เซาตูแมอีปริงซีป":"ST",
            "ซาอุดีอาระเบีย":"SA",
            "เซเนกัล":"SN",
            "เซอร์เบีย":"RS",
            "เซเชลส์":"SC",
            "เซียร์ราลีโอน":"SL",
            "สิงคโปร์":"SG",
            "ซินต์มาร์เติน":"SX",
            "สโลวาเกีย":"SK",
            "สโลวีเนีย":"SI",
            "หมู่เกาะโซโลมอน":"SB",
            "โซมาเลีย":"SO",
            "แอฟริกาใต้":"ZA",
            "เกาะเซาท์จอร์เจียและหมู่เกาะเซาท์แซนด์วิช":"GS",
            "ซูดานใต้":"SS",
            "สเปน":"ES",
            "ศรีลังกา":"LK",
            "ซูดาน":"SD",
            "ซูรินาม":"SR",
            "‎สฟาลบาร์และยานไมเอน":"SJ",
            "สวีเดน":"SE",
            "สวิตเซอร์แลนด์":"CH",
            "ซีเรีย":"SY",
            "ไต้หวัน":"TW",
            "ทาจิกิสถาน":"TJ",
            "แทนซาเนีย":"TZ",
            "ไทย":"TH",
            "ติมอร์-เลสเต":"TL",
            "โตโก":"TG",
            "โตเกเลา":"TK",
            "ตองงา":"TO",
            "ตรินิแดดและโตเบโก":"TT",
            "ตูนิเซีย":"TN",
            "ตุรกี":"TR",
            "เติร์กเมนิสถาน":"TM",
            "หมู่เกาะเติกส์และเคคอส":"TC",
            "ตูวาลู":"TV",
            "ยูกันดา":"UG",
            "ยูเครน":"UA",
            "สหรัฐอาหรับเอมิเรตส์":"AE",
            "สหราชอาณาจักร":"GB",
            "สหรัฐ":"US",
            "เกาะเล็กรอบนอกของสหรัฐอเมริกา":"UM",
            "อุรุกวัย":"UY",
            "อุซเบกิสถาน":"UZ",
            "วานูวาตู":"VU",
            "เวเนซุเอลา":"VE",
            "เวียดนาม":"VN",
            "หมู่เกาะบริติชเวอร์จิน":"VG",
            "หมู่เกาะเวอร์จินของสหรัฐ":"VI",
            "วอลิสและฟูตูนา":"WF",
            "เวสเทิร์นสะฮารา":"EH",
            "เยเมน":"YE",
            "แซมเบีย":"ZM",
            "ซิมบับเว":"ZW",
            "австралія":"AU",
            "австрія":"AT",
            "аландські острови":"AX",
            "албанія":"AL",
            "американське самоа":"AS",
            "американські віргінські острови":"VI",
            "ангілья":"AI",
            "антигуа і барбуда":"AG",
            "афганістан":"AF",
            "багамські острови":"BS",
            "беліз":"BZ",
            "бельгія":"BE",
            "бенін":"BJ",
            "бермудські острови":"BM",
            "білорусь":"BY",
            "болгарія":"BG",
            "болівія":"BO",
            "боснія і герцеговина":"BA",
            "бразилія":"BR",
            "британська територія в індійському океані":"IO",
            "британські віргінські острови":"VG",
            "буркіна-фасо":"BF",
            "бурунді":"BI",
            "велика британія":"GB",
            "венесуела":"VE",
            "в'єтнам":"VN",
            "вірменія":"AM",
            "волліс і футуна":"WF",
            "гаїті":"HT",
            "гаяна":"GY",
            "гамбія":"GM",
            "гвінея":"GN",
            "гвінея-бісау":"GW",
            "гернсі":"GG",
            "греція":"GR",
            "грузія":"GE",
            "гібралтар":"GI",
            "гренландія":"GL",
            "данія":"DK",
            "джерсі":"JE",
            "джибуті":"DJ",
            "домініка":"DM",
            "домініканська республіка":"DO",
            "зовнішні малі острови сша":"UM",
            "екваторіальна гвінея":"GQ",
            "естонія":"EE",
            "ефіопія":"ET",
            "єгипет":"EG",
            "ємен":"YE",
            "замбія":"ZM",
            "західна сахара":"EH",
            "зімбабве":"ZW",
            "ізраїль":"IL",
            "індія":"IN",
            "індонезія":"ID",
            "ірак":"IQ",
            "іран":"IR",
            "ірландія":"IE",
            "ісландія":"IS",
            "іспанія":"ES",
            "італія":"IT",
            "йорданія":"JO",
            "кайманові острови":"KY",
            "кенія":"KE",
            "китайська народна республіка":"CN",
            "кіпр":"CY",
            "кірибаті":"KI",
            "кокосові острови":"CC",
            "колумбія":"CO",
            "коморські острови":"KM",
            "республіка конго":"CG",
            "кот-д'івуар":"CI",
            "латвія":"LV",
            "ліберія":"LR",
            "ліван":"LB",
            "лівія":"LY",
            "ліхтенштейн":"LI",
            "маврикій":"MU",
            "мавританія":"MR",
            "малаві":"MW",
            "малайзія":"MY",
            "малі":"ML",
            "мальдіви":"MV",
            "мартиніка":"MQ",
            "маршаллові острови":"MH",
            "мозамбік":"MZ",
            "монголія":"MN",
            "м'янма":"MM",
            "намібія":"NA",
            "нігер":"NE",
            "нігерія":"NG",
            "нідерланди":"NL",
            "карибські нідерланди":"BQ",
            "нікарагуа":"NI",
            "німеччина":"DE",
            "ніуе":"NU",
            "нова зеландія":"NZ",
            "нова каледонія":"NC",
            "норвегія":"NO",
            "острів буве":"BV",
            "острів мен":"IM",
            "острів норфолк":"NF",
            "острів різдва":"CX",
            "острови святої єлени, вознесіння і тристан-да-кунья":"SH",
            "острів херд і острови макдональд":"HM",
            "острови кука":"CK",
            "палестина":"PS",
            "папуа нова гвінея":"PG",
            "пар":"ZA",
            "південна джорджія та південні сандвічеві острови":"GS",
            "південна корея":"KR",
            "південний судан":"SS",
            "північна корея":"KP",
            "північна македонія":"MK",
            "північні маріанські острови":"MP",
            "піткерн":"PN",
            "польща":"PL",
            "португалія":"PT",
            "пуерто-рико":"PR",
            "реюньйон":"RE",
            "росія":"RU",
            "румунія":"RO",
            "сан-томе і принсіпі":"ST",
            "саудівська аравія":"SA",
            "есватіні":"SZ",
            "свальбард і ян-маєн":"SJ",
            "сейшельські острови":"SC",
            "сен-бартелемі":"BL",
            "сен-п'єр і мікелон":"PM",
            "сент-вінсент і гренадини":"VC",
            "сент-кіттс і невіс":"KN",
            "сент-люсія":"LC",
            "сербія":"RS",
            "сирія":"SY",
            "сінгапур":"SG",
            "сінт-мартен":"SX",
            "словаччина":"SK",
            "словенія":"SI",
            "соломонові острови":"SB",
            "сомалі":"SO",
            "східний тимор":"TL",
            "сьєрра-леоне":"SL",
            "таїланд":"TH",
            "тайвань":"TW",
            "танзанія":"TZ",
            "острови теркс і кайкос":"TC",
            "тринідад і тобаго":"TT",
            "туніс":"TN",
            "туреччина":"TR",
            "туркменістан":"TM",
            "угорщина":"HU",
            "україна":"UA",
            "фарерські острови":"FO",
            "федеративні штати мікронезії":"FM",
            "фіджі":"FJ",
            "філіппіни":"PH",
            "фінляндія":"FI",
            "фолклендські острови":"FK",
            "франція":"FR",
            "французька гвіана":"GF",
            "французька полінезія":"PF",
            "французькі південні і антарктичні території":"TF",
            "хорватія":"HR",
            "центральноафриканська республіка":"CF",
            "чехія":"CZ",
            "чилі":"CL",
            "чорногорія":"ME",
            "швейцарія":"CH",
            "швеція":"SE",
            "шрі-ланка":"LK",
            "японія":"JP",
            "阿富汗":"AF",
            "奥兰":"AX",
            "阿尔巴尼亚":"AL",
            "阿尔及利亚":"DZ",
            "美属萨摩亚":"AS",
            "安道尔":"AD",
            "安哥拉":"AO",
            "安圭拉":"AI",
            "南极洲":"AQ",
            "安提瓜和巴布达":"AG",
            "阿根廷":"AR",
            "亚美尼亚":"AM",
            "阿鲁巴":"AW",
            "澳大利亚":"AU",
            "奥地利":"AT",
            "阿塞拜疆":"AZ",
            "巴哈马":"BS",
            "巴林":"BH",
            "孟加拉国":"BD",
            "巴巴多斯":"BB",
            "白俄罗斯":"BY",
            "比利时":"BE",
            "伯利兹":"BZ",
            "贝宁":"BJ",
            "百慕大":"BM",
            "不丹":"BT",
            "玻利维亚":"BO",
            "荷兰加勒比区":"BQ",
            "波黑":"BA",
            "博茨瓦纳":"BW",
            "布韦岛":"BV",
            "巴西":"BR",
            "英属印度洋领地":"IO",
            "文莱":"BN",
            "保加利亚":"BG",
            "布基纳法索":"BF",
            "布隆迪":"BI",
            "佛得角":"CV",
            "柬埔寨":"KH",
            "喀麦隆":"CM",
            "加拿大":"CA",
            "开曼群岛":"KY",
            "中非":"CF",
            "乍得":"TD",
            "智利":"CL",
            "中国":"CN",
            "圣诞岛":"CX",
            "科科斯（基林）群岛":"CC",
            "哥伦比亚":"CO",
            "科摩罗":"KM",
            "刚果共和国":"CG",
            "刚果民主共和国":"CD",
            "库克群岛":"CK",
            "哥斯达黎加":"CR",
            "科特迪瓦":"CI",
            "克罗地亚":"HR",
            "古巴":"CU",
            "库拉索":"CW",
            "塞浦路斯":"CY",
            "捷克":"CZ",
            "丹麦":"DK",
            "吉布提":"DJ",
            "多米尼克":"DM",
            "多米尼加":"DO",
            "厄瓜多尔":"EC",
            "埃及":"EG",
            "萨尔瓦多":"SV",
            "赤道几内亚":"GQ",
            "厄立特里亚":"ER",
            "爱沙尼亚":"EE",
            "斯威士兰":"SZ",
            "埃塞俄比亚":"ET",
            "福克兰群岛":"FK",
            "法罗群岛":"FO",
            "斐济":"FJ",
            "芬兰":"FI",
            "法国":"FR",
            "法属圭亚那":"GF",
            "法属波利尼西亚":"PF",
            "法属南部和南极领地":"TF",
            "加蓬":"GA",
            "冈比亚":"GM",
            "格鲁吉亚":"GE",
            "德国":"DE",
            "加纳":"GH",
            "直布罗陀":"GI",
            "希腊":"GR",
            "格陵兰":"GL",
            "格林纳达":"GD",
            "瓜德罗普":"GP",
            "关岛":"GU",
            "危地马拉":"GT",
            "根西":"GG",
            "几内亚":"GN",
            "几内亚比绍":"GW",
            "圭亚那":"GY",
            "海地":"HT",
            "赫德岛和麦克唐纳群岛":"HM",
            "梵蒂冈":"VA",
            "洪都拉斯":"HN",
            "匈牙利":"HU",
            "冰岛":"IS",
            "印度":"IN",
            "印度尼西亚":"ID",
            "伊朗":"IR",
            "伊拉克":"IQ",
            "爱尔兰":"IE",
            "马恩岛":"IM",
            "以色列":"IL",
            "意大利":"IT",
            "牙买加":"JM",
            "泽西":"JE",
            "约旦":"JO",
            "哈萨克斯坦":"KZ",
            "肯尼亚":"KE",
            "基里巴斯":"KI",
            "朝鲜":"KP",
            "韩国":"KR",
            "科威特":"KW",
            "吉尔吉斯斯坦":"KG",
            "老挝":"LA",
            "拉脱维亚":"LV",
            "黎巴嫩":"LB",
            "莱索托":"LS",
            "利比里亚":"LR",
            "利比亚":"LY",
            "列支敦士登":"LI",
            "立陶宛":"LT",
            "卢森堡":"LU",
            "澳门":"MO",
            "马达加斯加":"MG",
            "马拉维":"MW",
            "马来西亚":"MY",
            "马尔代夫":"MV",
            "马里":"ML",
            "马耳他":"MT",
            "马绍尔群岛":"MH",
            "马提尼克":"MQ",
            "毛里塔尼亚":"MR",
            "毛里求斯":"MU",
            "马约特":"YT",
            "墨西哥":"MX",
            "密克罗尼西亚联邦":"FM",
            "摩尔多瓦":"MD",
            "摩纳哥":"MC",
            "蒙古":"MN",
            "黑山":"ME",
            "蒙特塞拉特":"MS",
            "摩洛哥":"MA",
            "莫桑比克":"MZ",
            "缅甸":"MM",
            "纳米比亚":"NA",
            "瑙鲁":"NR",
            "尼泊尔":"NP",
            "荷兰":"NL",
            "新喀里多尼亚":"NC",
            "新西兰":"NZ",
            "尼加拉瓜":"NI",
            "尼日尔":"NE",
            "尼日利亚":"NG",
            "纽埃":"NU",
            "诺福克岛":"NF",
            "北马其顿":"MK",
            "北马里亚纳群岛":"MP",
            "挪威":"NO",
            "阿曼":"OM",
            "巴基斯坦":"PK",
            "帕劳":"PW",
            "巴勒斯坦":"PS",
            "巴拿马":"PA",
            "巴布亚新几内亚":"PG",
            "巴拉圭":"PY",
            "秘鲁":"PE",
            "菲律宾":"PH",
            "皮特凯恩群岛":"PN",
            "波兰":"PL",
            "葡萄牙":"PT",
            "波多黎各":"PR",
            "卡塔尔":"QA",
            "留尼汪":"RE",
            "罗马尼亚":"RO",
            "俄罗斯":"RU",
            "卢旺达":"RW",
            "圣巴泰勒米":"BL",
            "圣赫勒拿、阿森松和特里斯坦-达库尼亚":"SH",
            "圣基茨和尼维斯":"KN",
            "圣卢西亚":"LC",
            "法属圣马丁":"MF",
            "圣皮埃尔和密克隆":"PM",
            "圣文森特和格林纳丁斯":"VC",
            "萨摩亚":"WS",
            "圣马力诺":"SM",
            "圣多美和普林西比":"ST",
            "沙特阿拉伯":"SA",
            "塞内加尔":"SN",
            "塞尔维亚":"RS",
            "塞舌尔":"SC",
            "塞拉利昂":"SL",
            "新加坡":"SG",
            "荷属圣马丁":"SX",
            "斯洛伐克":"SK",
            "斯洛文尼亚":"SI",
            "所罗门群岛":"SB",
            "索马里":"SO",
            "南非":"ZA",
            "南乔治亚和南桑威奇群岛":"GS",
            "南苏丹":"SS",
            "西班牙":"ES",
            "斯里兰卡":"LK",
            "苏丹":"SD",
            "苏里南":"SR",
            "斯瓦尔巴和扬马延":"SJ",
            "瑞典":"SE",
            "瑞士":"CH",
            "叙利亚":"SY",
            "中国台湾省":"TW",
            "塔吉克斯坦":"TJ",
            "坦桑尼亚":"TZ",
            "泰国":"TH",
            "东帝汶":"TL",
            "多哥":"TG",
            "托克劳":"TK",
            "汤加":"TO",
            "特立尼达和多巴哥":"TT",
            "突尼斯":"TN",
            "土耳其":"TR",
            "土库曼斯坦":"TM",
            "特克斯和凯科斯群岛":"TC",
            "图瓦卢":"TV",
            "乌干达":"UG",
            "乌克兰":"UA",
            "阿联酋":"AE",
            "英国":"GB",
            "美国":"US",
            "美国本土外小岛屿":"UM",
            "乌拉圭":"UY",
            "乌兹别克斯坦":"UZ",
            "瓦努阿图":"VU",
            "委内瑞拉":"VE",
            "越南":"VN",
            "英属维尔京群岛":"VG",
            "美属维尔京群岛":"VI",
            "瓦利斯和富图纳":"WF",
            "西撒哈拉":"EH",
            "也门":"YE",
            "赞比亚":"ZM",
            "津巴布韦":"ZW",
            "奧蘭":"AX",
            "阿爾巴尼亞":"AL",
            "阿爾及利亞":"DZ",
            "美屬薩摩亞":"AS",
            "安道爾":"AD",
            "南極洲":"AQ",
            "安地卡及巴布達":"AG",
            "亞美尼亞":"AM",
            "阿魯巴":"AW",
            "澳洲":"AU",
            "奧地利":"AT",
            "亞塞拜然":"AZ",
            "巴哈馬":"BS",
            "孟加拉":"BD",
            "巴貝多":"BB",
            "白俄羅斯":"BY",
            "比利時":"BE",
            "貝里斯":"BZ",
            "貝南":"BJ",
            "百慕達":"BM",
            "玻利維亞":"BO",
            "荷蘭加勒比區":"BQ",
            "波士尼亞與赫塞哥維納":"BA",
            "波札那":"BW",
            "布韋島":"BV",
            "英屬印度洋領地":"IO",
            "汶萊":"BN",
            "保加利亞":"BG",
            "布吉納法索":"BF",
            "蒲隆地":"BI",
            "維德角":"CV",
            "喀麥隆":"CM",
            "開曼群島":"KY",
            "查德":"TD",
            "中國":"CN",
            "聖誕島":"CX",
            "科科斯（基林）群島":"CC",
            "哥倫比亞":"CO",
            "葛摩":"KM",
            "剛果共和國":"CG",
            "剛果民主共和國":"CD",
            "庫克群島":"CK",
            "哥斯大黎加":"CR",
            "象牙海岸":"CI",
            "克羅埃西亞":"HR",
            "古拉索":"CW",
            "賽普勒斯":"CY",
            "丹麥":"DK",
            "吉布地":"DJ",
            "多明尼加":"DO",
            "厄瓜多":"EC",
            "薩爾瓦多":"SV",
            "赤道幾內亞":"GQ",
            "厄利垂亞":"ER",
            "愛沙尼亞":"EE",
            "史瓦帝尼":"SZ",
            "衣索比亞":"ET",
            "福克蘭群島":"FK",
            "法羅群島":"FO",
            "斐濟":"FJ",
            "芬蘭":"FI",
            "法國":"FR",
            "法屬圭亞那":"GF",
            "法屬玻里尼西亞":"PF",
            "法屬南部和南極領地":"TF",
            "加彭":"GA",
            "甘比亞":"GM",
            "喬治亞":"GE",
            "德國":"DE",
            "迦納":"GH",
            "直布羅陀":"GI",
            "希臘":"GR",
            "格陵蘭":"GL",
            "格瑞那達":"GD",
            "瓜地洛普":"GP",
            "關島":"GU",
            "瓜地馬拉":"GT",
            "幾內亞":"GN",
            "幾內亞比索":"GW",
            "蓋亞那":"GY",
            "赫德島和麥克唐納群島":"HM",
            "梵蒂岡":"VA",
            "宏都拉斯":"HN",
            "冰島":"IS",
            "印度尼西亞":"ID",
            "愛爾蘭":"IE",
            "曼島":"IM",
            "義大利":"IT",
            "牙買加":"JM",
            "澤西":"JE",
            "約旦":"JO",
            "哈薩克":"KZ",
            "肯亞":"KE",
            "吉里巴斯":"KI",
            "北韓":"KP",
            "南韓":"KR",
            "吉爾吉斯":"KG",
            "寮國":"LA",
            "拉脫維亞":"LV",
            "賴索托":"LS",
            "賴比瑞亞":"LR",
            "利比亞":"LY",
            "列支敦斯登":"LI",
            "盧森堡":"LU",
            "澳門":"MO",
            "馬達加斯加":"MG",
            "馬拉威":"MW",
            "馬來西亞":"MY",
            "馬爾地夫":"MV",
            "馬利":"ML",
            "馬爾他":"MT",
            "馬紹爾群島":"MH",
            "馬丁尼克":"MQ",
            "茅利塔尼亞":"MR",
            "模里西斯":"MU",
            "馬約特":"YT",
            "密克羅尼西亞聯邦":"FM",
            "摩爾多瓦":"MD",
            "摩納哥":"MC",
            "蒙特內哥羅":"ME",
            "莫三比克":"MZ",
            "緬甸":"MM",
            "納米比亞":"NA",
            "諾魯":"NR",
            "尼泊爾":"NP",
            "荷蘭":"NL",
            "新喀里多尼亞":"NC",
            "紐西蘭":"NZ",
            "尼日":"NE",
            "奈及利亞":"NG",
            "紐埃":"NU",
            "諾福克島":"NF",
            "北馬其頓":"MK",
            "北馬利安納群島":"MP",
            "帛琉":"PW",
            "巴拿馬":"PA",
            "巴布亞紐幾內亞":"PG",
            "秘魯":"PE",
            "菲律賓":"PH",
            "皮特凱恩群島":"PN",
            "波蘭":"PL",
            "卡達":"QA",
            "留尼旺":"RE",
            "羅馬尼亞":"RO",
            "俄羅斯":"RU",
            "盧安達":"RW",
            "聖巴瑟米":"BL",
            "聖赫倫那、阿森松和特里斯坦-達庫尼亞":"SH",
            "聖克里斯多福及尼維斯":"KN",
            "聖露西亞":"LC",
            "法屬聖馬丁":"MF",
            "聖皮埃與密克隆群島":"PM",
            "聖文森及格瑞那丁":"VC",
            "薩摩亞":"WS",
            "聖馬利諾":"SM",
            "聖多美普林西比":"ST",
            "沙烏地阿拉伯":"SA",
            "塞內加爾":"SN",
            "塞爾維亞":"RS",
            "塞席爾":"SC",
            "獅子山":"SL",
            "荷屬聖馬丁":"SX",
            "斯洛維尼亞":"SI",
            "索羅門群島":"SB",
            "索馬利亞":"SO",
            "南喬治亞和南桑威奇群島":"GS",
            "南蘇丹":"SS",
            "斯里蘭卡":"LK",
            "蘇丹":"SD",
            "蘇利南":"SR",
            "斯瓦爾巴和揚馬延":"SJ",
            "敘利亞":"SY",
            "台灣":"TW",
            "塔吉克":"TJ",
            "坦尚尼亞":"TZ",
            "泰國":"TH",
            "東帝汶":"TL",
            "托克勞":"TK",
            "東加":"TO",
            "千里達及托巴哥":"TT",
            "突尼西亞":"TN",
            "土庫曼":"TM",
            "特克斯與凱科斯群島":"TC",
            "吐瓦魯":"TV",
            "烏干達":"UG",
            "烏克蘭":"UA",
            "阿聯":"AE",
            "英國":"GB",
            "美國":"US",
            "美國本土外小島嶼":"UM",
            "烏拉圭":"UY",
            "烏茲別克":"UZ",
            "萬那杜":"VU",
            "委內瑞拉":"VE",
            "英屬維京群島":"VG",
            "美屬維京群島":"VI",
            "瓦利斯和富圖那":"WF",
            "葉門":"YE",
            "尚比亞":"ZM",
            "辛巴威":"ZW",
            "czech republic":"CZ",
            "venezuela, bolivarian rep. of":"VE",
            "germany, fed. rep. of before 3.10.1990":"D2",
            "united states":"US",
            "iran, islamic rep. of":"IR",
            "kosovo":"KS",
            "tanzania (zanzibar)":"T2",
            "ussr":"SU",
            "germany, the former german dem. rep.":"D1",
            "taiwan, china":"TW",
            "serbia and montenegro":"CS",
            "yemen, the former arab rep. of":"Y1",
            "malaysia: sarawak":"M3",
            "korea, dem. people's rep. of":"KP",
            "cape verde":"CV",
            "united kingdom":"GB",
            "faeroe islands":"FO",
            "british virgin islands":"VG",
            "czechoslovakia":"C1",
            "lao people's dem. rep.":"LA",
            "wallis and futuna islands":"WF",
            "south sudan, the republic of":"SS",
            "turkey":"TR",
            "macau, china":"MO",
            "west bank and gaza strip":"PS",
            "channel islands":"JG",
            "yemen, the former democratic":"Y2",
            "netherlands antilles":"AN",
            "yugoslavia, the former socialist fed. rep. of":"Y3",
            "macedonia, the former yugoslav rep. of":"MK",
            "hong kong, china":"HK",
            "tanzania (tanganyika)":"T1",
            "malaysia: sabah":"M2",
            "libyan arab jamahiriya":"LY",
            "sudan, the republic of":"SD",
            "germany, 5 new länder and berlin (east)":"D3",
            "virgin islands (us)":"VI",
            "malaysia: peninsular malaysia":"M1",
            "ethiopia (including eritrea)":"E1",
            "république tchèque":"CZ",
            "guyane française":"GF",
            "iles marshall":"MH",
            "venezuela, rép. bolivarienne du":"VE",
            "sahara occidental":"EH",
            "allemagne, rép. féd. avant le 3.10.1990":"D2",
            "etats-unis":"US",
            "iran, rép. islamique d'":"IR",
            "brunéi darussalam":"BN",
            "tanzanie (zanzibar)":"T2",
            "urss":"SU",
            "allemagne, ancienne rép. dém. allemande":"D1",
            "taïwan, chine":"TW",
            "congo, rép. dém. du":"CD",
            "iles mariannes du nord":"MP",
            "ethiopie":"ET",
            "ile norfolk":"NF",
            "saint-kitts-et-nevis":"KN",
            "serbie-et-monténégro":"CS",
            "yémen, ancienne rép. arabe du":"Y1",
            "malaisie: sarawak":"M3",
            "corée, rép. pop. dém. de":"KP",
            "erythrée":"ER",
            "iles féroé":"FO",
            "russie, fédération de":"RU",
            "iles vierges britanniques":"VG",
            "tchécoslovaquie":"C1",
            "iles salomon":"SB",
            "république dém. pop. lao":"LA",
            "saint-vincent-et-les grenadines":"VC",
            "iles wallis et futuna":"WF",
            "soudan, république du":"SS",
            "macao, chine":"MO",
            "iles falkland (malvinas)":"FK",
            "moldova, république de":"MD",
            "tanzanie, république-unie de":"TZ",
            "rive occidentale et bande de gaza":"PS",
            "iles anglo-normandes":"JG",
            "bélarus":"BY",
            "equateur":"EC",
            "yémen, ancien yémen démocratique":"Y2",
            "antilles néerlandaises":"AN",
            "yougoslavie, ancienne rép. socialiste de":"Y3",
            "macédoine, ex-rép. yougoslave de":"MK",
            "tokélaou":"TK",
            "hong-kong, chine":"HK",
            "corée, république de":"KR",
            "sainte-hélène":"SH",
            "tanzanie (tanganyika)":"T1",
            "république arabe syrienne":"SY",
            "malaisie: sabah":"M2",
            "ile de man":"IM",
            "iles turques et caïques":"TC",
            "jamahiriya arabe libyenne":"LY",
            "nioué":"NU",
            "allemagne, 5 nouveaux länder et berlin-est":"D3",
            "emirats arabes unis":"AE",
            "iles vierges américaines":"VI",
            "iles cook":"CK",
            "malaisie: malaisie péninsulaire":"M1",
            "iles caïmanes":"KY",
            "ethiopie (y compris l'erythrée)":"E1",
            "venezuela, rep. bolivariana de":"VE",
            "alemania, rep. fed. antes del 3.10.1990":"D2",
            "papua nueva guinea":"PG",
            "irán, rep. islámica del":"IR",
            "tanzanía (zanzíbar)":"T2",
            "alemania, antigua rep. dem. alemana":"D1",
            "congo, rep. dem. del":"CD",
            "saint kitts y nevis":"KN",
            "kazajstán":"KZ",
            "serbia y montenegro":"CS",
            "yemen, antigua rep. arabe del":"Y1",
            "malasia: sarawak":"M3",
            "corea, rep. pop. dem. de":"KP",
            "rusia, federación de":"RU",
            "checoslovaquia":"C1",
            "república dem. pop. lao":"LA",
            "swazilandia":"SZ",
            "islas wallis y futuna":"WF",
            "sudán, república de":"SS",
            "macao, china":"MO",
            "islas malvinas (falkland)":"FK",
            "moldova, república de":"MD",
            "tanzanía, república unida de":"TZ",
            "ribera occidental y faja de gaza":"PS",
            "nueva zelandia":"NZ",
            "islas anglonormandas":"JG",
            "trinidad y tabago":"TT",
            "belarús":"BY",
            "yemen, antiguo yemen democrático":"Y2",
            "antillas neerlandesas":"AN",
            "yugoslavia, antigua rep. fed. socialista":"Y3",
            "macedonia, ex rep. yugoslava de":"MK",
            "corea, república de":"KR",
            "santa elena":"SH",
            "tanzanía (tangañika)":"T1",
            "república arabe siria":"SY",
            "malasia: sabah":"M2",
            "islas turcos y caicos":"TC",
            "jamahiriya arabe libia":"LY",
            "alemania, 5 nuevos länder y berlin este":"D3",
            "emiratos arabes unidos":"AE",
            "islas vírgenes (ee.uu.)":"VI",
            "malasia: malasia peninsular":"M1",
            "etiopía (incluyendo eritrea)":"E1",
            "cocos [keeling] islands":"CC",
            "congo [drc]":"CD",
            "congo [republic]":"CG",
            "falkland islands [islas malvinas]":"FK",
            "gaza strip":"GZ",
            "north korea":"KP",
            "south korea":"KR",
            "macedonia [fyrom]":"MK",
            "myanmar [burma]":"MM",
            "pitcairn islands":"PN",
            "palestinian territories":"PS",
            "são tomé and príncipe":"ST",
            "u.s. minor outlying islands":"UM",
            "u.s. minor outlying":"UM",
            "vatican city":"VA",
            "u.s. virgin islands":"VI",
            "aland islands":"AX",
            "virgin islands":"VG",
            "cocos":"CC",
            "curacao":"CW",
            "congo kinshasa":"CD",
            "timor leste":"TL",
            "falkland islands":"FK",
            "guinea bissau":"GW",
            "cote d'ivoire":"CI",
            "congo brazzaville":"CG",
            "saint barthelemy":"BL",
            "svalbard":"SJ",
            "fareoe islands":"FO",
            "korea":"KP",
            "tanzania, the united republic of":"TZ",
            "plurinational state of bolivia":"BO",
            "the british indian ocean territory":"IO",
            "the cayman islands":"KY",
            "the central african republic":"CF",
            "the cocos keeling islands cocos":"CC",
            "french part saint martin":"MF",
            "the comoros":"KM",
            "the cook islands":"CK",
            "the democratic republic of the congo":"CD",
            "the dominican republic":"DO",
            "malvinas":"FK",
            "the faroe islands":"FO",
            "federated states of micronesia":"FM",
            "the french southern territories":"TF",
            "the holy see":"VA",
            "islamic republic of iran":"IR",
            "the lao people's democratic republic":"LA",
            "the marshall islands":"MH",
            "the republic of moldova":"MD",
            "the netherlands":"NL",
            "the niger":"NE",
            "the democratic people's republic of korea":"KP",
            "the northern mariana islands":"MP",
            "the philippines":"PH",
            "the congo":"CG",
            "the russian federation":"RU",
            "dutch part sint maarten":"SX",
            "the republic of korea":"KR",
            "the sudan":"SD",
            "the syrian arab republic":"SY",
            "province of china taiwan":"TW",
            "the bahamas":"BS",
            "the gambia":"GM",
            "the turks and caicos islands":"TC",
            "the united arab emirates":"AE",
            "the united kingdom of great britain and northern ireland":"GB",
            "the united states minor outlying islands":"UM",
            "the united states of america":"US",
            "united states of america":"US",
            "bolivarian republic of venezuela":"VE",
            "dutch antilles":"AN",
            "the islamic republic of afghanistan":"AF",
            "the republic of albania":"AL",
            "the people's democratic republic of algeria":"DZ",
            "the territory of american samoa":"AS",
            "the principality of andorra":"AD",
            "the republic of angola":"AO",
            "the argentine republic":"AR",
            "the republic of armenia":"AM",
            "the commonwealth of australia":"AU",
            "the republic of austria":"AT",
            "the republic of azerbaijan":"AZ",
            "the kingdom of bahrain":"BH",
            "the people's republic of bangladesh":"BD",
            "the republic of belarus":"BY",
            "the kingdom of belgium":"BE",
            "the republic of benin":"BJ",
            "the kingdom of bhutan":"BT",
            "the plurinational state of bolivia":"BO",
            "the republic of botswana":"BW",
            "the federative republic of brazil":"BR",
            "the virgin islands":"VG",
            "the nation of brunei, the abode of peace":"BN",
            "the republic of bulgaria":"BG",
            "the republic of burundi":"BI",
            "the kingdom of cambodia":"KH",
            "the republic of cameroon":"CM",
            "the republic of cabo verde":"CV",
            "the territory of cocos (keeling) islands":"CC",
            "the collectivity of saint-martin":"MF",
            "the republic of colombia":"CO",
            "the union of the comoros":"KM",
            "the republic of costa rica":"CR",
            "the republic of croatia":"HR",
            "the republic of cuba":"CU",
            "the country of curaçao":"CW",
            "the republic of cyprus":"CY",
            "the czech republic":"CZ",
            "the kingdom of denmark":"DK",
            "the republic of djibouti":"DJ",
            "the commonwealth of dominica":"DM",
            "the democratic republic of timor-leste":"TL",
            "the republic of ecuador":"EC",
            "the arab republic of egypt":"EG",
            "the republic of el salvador":"SV",
            "the republic of equatorial guinea":"GQ",
            "the state of eritrea":"ER",
            "the republic of estonia":"EE",
            "the kingdom of eswatini":"SZ",
            "the federal democratic republic of ethiopia":"ET",
            "the falkland islands":"FK",
            "the federated states of micronesia":"FM",
            "the republic of fiji":"FJ",
            "the republic of finland":"FI",
            "the french republic":"FR",
            "the french southern and antarctic lands":"TF",
            "the gabonese republic":"GA",
            "the federal republic of germany":"DE",
            "federal republic of germany":"DE",
            "the republic of ghana":"GH",
            "the hellenic republic":"GR",
            "kalaallit nunaat":"GL",
            "the territory of guam":"GU",
            "the republic of guatemala":"GT",
            "the bailiwick of guernsey":"GG",
            "the republic of guinea":"GN",
            "the republic of guinea-bissau":"GW",
            "the co-operative republic of guyana":"GY",
            "the republic of haiti":"HT",
            "the territory of heard island and mcdonald islands":"HM",
            "the republic of honduras":"HN",
            "the hong kong special administrative region of china":"HK",
            "the republic of chad":"TD",
            "the republic of chile":"CL",
            "the people's republic of china":"CN",
            "the territory of christmas island":"CX",
            "the republic of india":"IN",
            "the republic of indonesia":"ID",
            "the islamic republic of iran":"IR",
            "the republic of iraq":"IQ",
            "the isle of man":"IM",
            "the state of israel":"IL",
            "the italian republic":"IT",
            "the republic of côte d'ivoire":"CI",
            "the bailiwick of jersey":"JE",
            "the hashemite kingdom of jordan":"JO",
            "the republic of kazakhstan":"KZ",
            "the republic of kenya":"KE",
            "the republic of kiribati":"KI",
            "the state of kuwait":"KW",
            "the kyrgyz republic":"KG",
            "the republic of latvia":"LV",
            "the lebanese republic":"LB",
            "the kingdom of lesotho":"LS",
            "the republic of liberia":"LR",
            "the state of libya":"LY",
            "the principality of liechtenstein":"LI",
            "the republic of lithuania":"LT",
            "the grand duchy of luxembourg":"LU",
            "macao special administrative region of china":"MO",
            "the republic of madagascar":"MG",
            "the republic of malawi":"MW",
            "the republic of maldives":"MV",
            "the republic of mali":"ML",
            "the republic of malta":"MT",
            "the republic of the marshall islands":"MH",
            "the islamic republic of mauritania":"MR",
            "the republic of mauritius":"MU",
            "the department of mayotte":"YT",
            "the united mexican states":"MX",
            "the principality of monaco":"MC",
            "the state of mongolia":"MN",
            "the kingdom of morocco":"MA",
            "the republic of mozambique":"MZ",
            "the republic of the union of myanmar":"MM",
            "the republic of namibia":"NA",
            "the republic of nauru":"NR",
            "the federal democratic republic of nepal":"NP",
            "the kingdom of the netherlands":"NL",
            "the republic of nicaragua":"NI",
            "the republic of the niger":"NE",
            "the federal republic of nigeria":"NG",
            "the territory of norfolk island":"NF",
            "republic of north macedonia":"MK",
            "the commonwealth of the northern mariana islands":"MP",
            "the kingdom of norway":"NO",
            "the sultanate of oman":"OM",
            "the islamic republic of pakistan":"PK",
            "the republic of palau":"PW",
            "the republic of panamá":"PA",
            "the independent state of papua new guinea":"PG",
            "the republic of paraguay":"PY",
            "the republic of perú":"PE",
            "the republic of the philippines":"PH",
            "the pitcairn, henderson, ducie and oeno islands":"PN",
            "the republic of poland":"PL",
            "the portuguese republic":"PT",
            "the commonwealth of puerto rico":"PR",
            "the state of qatar":"QA",
            "the republic of the congo":"CG",
            "the republic of rwanda":"RW",
            "the collectivity of saint-barthélemy":"BL",
            "the overseas collectivity of saint-pierre and miquelon":"PM",
            "the independent state of samoa":"WS",
            "the republic of san marino":"SM",
            "the democratic republic of são tomé and príncipe":"ST",
            "the kingdom of saudi arabia":"SA",
            "the republic of senegal":"SN",
            "the republic of serbia":"RS",
            "the republic of seychelles":"SC",
            "the republic of sierra leone":"SL",
            "the republic of singapore":"SG",
            "the slovak republic":"SK",
            "the republic of slovenia":"SI",
            "the solomon islands":"SB",
            "the federal republic of somalia":"SO",
            "the republic of south africa":"ZA",
            "the republic of south sudan":"SS",
            "the kingdom of spain":"ES",
            "the democratic socialist republic of sri lanka":"LK",
            "the state of palestine":"PS",
            "the republic of the sudan":"SD",
            "the republic of suriname":"SR",
            "the kingdom of sweden":"SE",
            "the swiss confederation":"CH",
            "the republic of china":"TW",
            "the republic of tajikistan":"TJ",
            "the united republic of tanzania":"TZ",
            "the kingdom of thailand":"TH",
            "the commonwealth of the bahamas":"BS",
            "the republic of the gambia":"GM",
            "the togolese republic":"TG",
            "the kingdom of tonga":"TO",
            "the republic of trinidad and tobago":"TT",
            "the republic of tunisia":"TN",
            "the republic of turkey":"TR",
            "the republic of uganda":"UG",
            "the virgin islands of the united states":"VI",
            "the oriental republic of uruguay":"UY",
            "the republic of uzbekistan":"UZ",
            "the republic of vanuatu":"VU",
            "the bolivarian republic of venezuela":"VE",
            "the socialist republic of viet nam":"VN",
            "the territory of the wallis and futuna islands":"WF",
            "the sahrawi arab democratic republic":"EH",
            "the republic of yemen":"YE",
            "the republic of zambia":"ZM",
            "the republic of zimbabwe":"ZW",
            "the republic of kosovo":"XK",
            "the netherlands antilles":"AN",
            "أفغانستان":"AF",
            "جزر أولاند":"AX",
            "ألبانيا":"AL",
            "الجزائر":"DZ",
            "ساموا الأمريكية":"AS",
            "أندورا":"AD",
            "أنغولا":"AO",
            "أنغويلا":"AI",
            "القارة القطبية الجنوبية":"AQ",
            "أنتيغوا وباربودا":"AG",
            "الأرجنتين":"AR",
            "أرمينيا":"AM",
            "أروبا":"AW",
            "أستراليا":"AU",
            "النمسا":"AT",
            "أذربيجان":"AZ",
            "باهاماس":"BS",
            "البحرين":"BH",
            "بنغلاديش":"BD",
            "باربادوس":"BB",
            "بيلاروس":"BY",
            "بلجيكا":"BE",
            "بليز":"BZ",
            "بنين":"BJ",
            "برمودا":"BM",
            "بوتان":"BT",
            "بوليفيا":"BO",
            "الجزر الكاريبية الهولندية":"BQ",
            "البوسنة والهرسك":"BA",
            "بوتسوانا":"BW",
            "جزيرة بوفيه":"BV",
            "البرازيل":"BR",
            "إقليم المحيط الهندي البريطاني":"IO",
            "بروناي":"BN",
            "بلغاريا":"BG",
            "بوركينا فاسو":"BF",
            "بوروندي":"BI",
            "كمبوديا":"KH",
            "الكاميرون":"CM",
            "كندا":"CA",
            "الرأس الأخضر":"CV",
            "جزر كايمان":"KY",
            "جمهورية أفريقيا الوسطى":"CF",
            "تشاد":"TD",
            "تشيلي":"CL",
            "الصين":"CN",
            "جزيرة كريسماس":"CX",
            "جزر كوكوس":"CC",
            "كولومبيا":"CO",
            "جزر القمر":"KM",
            "جمهورية الكونغو":"CG",
            "جمهورية الكونغو الديمقراطية":"CD",
            "جزر كوك":"CK",
            "كوستاريكا":"CR",
            "ساحل العاج":"CI",
            "كرواتيا":"HR",
            "كوبا":"CU",
            "كوراساو":"CW",
            "قبرص":"CY",
            "جمهورية التشيك":"CZ",
            "الدنمارك":"DK",
            "جيبوتي":"DJ",
            "دومينيكا":"DM",
            "جمهورية الدومينيكان":"DO",
            "الإكوادور":"EC",
            "مصر":"EG",
            "السلفادور":"SV",
            "غينيا الاستوائية":"GQ",
            "إريتريا":"ER",
            "إستونيا":"EE",
            "إثيوبيا":"ET",
            "جزر فوكلاند":"FK",
            "جزر فارو":"FO",
            "فيجي":"FJ",
            "فنلندا":"FI",
            "فرنسا":"FR",
            "غويانا الفرنسية":"GF",
            "بولينزيا الفرنسية":"PF",
            "أراض فرنسية جنوبية وأنتارتيكية":"TF",
            "الغابون":"GA",
            "غامبيا":"GM",
            "جورجيا":"GE",
            "ألمانيا":"DE",
            "غانا":"GH",
            "جبل طارق":"GI",
            "اليونان":"GR",
            "جرينلاند":"GL",
            "غرينادا":"GD",
            "غوادلوب":"GP",
            "غوام":"GU",
            "غواتيمالا":"GT",
            "غيرنزي":"GG",
            "غينيا":"GN",
            "غينيا بيساو":"GW",
            "غيانا":"GY",
            "هايتي":"HT",
            "جزيرة هيرد وجزر ماكدونالد":"HM",
            "الفاتيكان":"VA",
            "هندوراس":"HN",
            "هونغ كونغ":"HK",
            "المجر":"HU",
            "آيسلندا":"IS",
            "الهند":"IN",
            "إندونيسيا":"ID",
            "إيران":"IR",
            "العراق":"IQ",
            "أيرلندا":"IE",
            "جزيرة مان":"IM",
            "إسرائيل":"IL",
            "إيطاليا":"IT",
            "جامايكا":"JM",
            "اليابان":"JP",
            "جيرزي":"JE",
            "الأردن":"JO",
            "كازاخستان":"KZ",
            "كينيا":"KE",
            "كيريباتي":"KI",
            "كوريا الشمالية":"KP",
            "كوريا الجنوبية":"KR",
            "الكويت":"KW",
            "قيرغيزستان":"KG",
            "لاوس":"LA",
            "لاتفيا":"LV",
            "لبنان":"LB",
            "ليسوتو":"LS",
            "ليبيريا":"LR",
            "ليبيا":"LY",
            "ليختنشتاين":"LI",
            "ليتوانيا":"LT",
            "لوكسمبورغ":"LU",
            "ماكاو":"MO",
            "مقدونيا":"MK",
            "مدغشقر":"MG",
            "مالاوي":"MW",
            "ماليزيا":"MY",
            "جزر المالديف":"MV",
            "مالي":"ML",
            "مالطا":"MT",
            "جزر مارشال":"MH",
            "مارتينيك":"MQ",
            "موريتانيا":"MR",
            "موريشيوس":"MU",
            "مايوت":"YT",
            "المكسيك":"MX",
            "ولايات ميكرونيسيا المتحدة":"FM",
            "المغرب":"MA",
            "مولدوفا":"MD",
            "موناكو":"MC",
            "منغوليا":"MN",
            "الجبل الأسود":"ME",
            "مونتسرات":"MS",
            "موزمبيق":"MZ",
            "ميانمار":"MM",
            "ناميبيا":"NA",
            "ناورو":"NR",
            "نيبال":"NP",
            "هولندا":"NL",
            "كاليدونيا الجديدة":"NC",
            "نيوزيلندا":"NZ",
            "نيكاراغوا":"NI",
            "النيجر":"NE",
            "نيجيريا":"NG",
            "نييوي":"NU",
            "جزيرة نورفولك":"NF",
            "جزر ماريانا الشمالية":"MP",
            "النرويج":"NO",
            "عمان":"OM",
            "باكستان":"PK",
            "بالاو":"PW",
            "فلسطين":"PS",
            "بنما":"PA",
            "بابوا غينيا الجديدة":"PG",
            "باراغواي":"PY",
            "بيرو":"PE",
            "الفلبين":"PH",
            "جزر بيتكيرن":"PN",
            "بولندا":"PL",
            "البرتغال":"PT",
            "بورتوريكو":"PR",
            "قطر":"QA",
            "réunion":"RE",
            "رومانيا":"RO",
            "روسيا":"RU",
            "رواندا":"RW",
            "سان بارتيلمي":"BL",
            "سانت هيلانة وأسينشين وتريستان دا كونا":"SH",
            "سانت كيتس ونيفيس":"KN",
            "سانت لوسيا":"LC",
            "تجمع سان مارتين":"MF",
            "سان بيير وميكلون":"PM",
            "سانت فينسنت والغرينادين":"VC",
            "ساموا":"WS",
            "سان مارينو":"SM",
            "ساو تومي وبرينسيب":"ST",
            "السعودية":"SA",
            "السنغال":"SN",
            "صربيا":"RS",
            "سيشل":"SC",
            "سيراليون":"SL",
            "سنغافورة":"SG",
            "سينت مارتن":"SX",
            "سلوفاكيا":"SK",
            "سلوفينيا":"SI",
            "جزر سليمان":"SB",
            "الصومال":"SO",
            "جنوب إفريقيا":"ZA",
            "جورجيا الجنوبية وجزر ساندويتش الجنوبية":"GS",
            "جنوب السودان":"SS",
            "إسبانيا":"ES",
            "سريلانكا":"LK",
            "السودان":"SD",
            "سورينام":"SR",
            "سفالبارد ويان ماين":"SJ",
            "إسواتيني":"SZ",
            "السويد":"SE",
            "سويسرا":"CH",
            "سوريا":"SY",
            "تايوان":"TW",
            "طاجيكستان":"TJ",
            "تنزانيا":"TZ",
            "تايلاند":"TH",
            "تيمور الشرقية":"TL",
            "توغو":"TG",
            "توكيلاو":"TK",
            "تونغا":"TO",
            "ترينيداد وتوباغو":"TT",
            "تونس":"TN",
            "تركيا":"TR",
            "تركمانستان":"TM",
            "جزر توركس وكايكوس":"TC",
            "توفالو":"TV",
            "أوغندا":"UG",
            "أوكرانيا":"UA",
            "الإمارات العربية المتحدة":"AE",
            "المملكة المتحدة":"GB",
            "الولايات المتحدة":"US",
            "جزر الولايات المتحدة الصغيرة النائية":"UM",
            "الأوروغواي":"UY",
            "أوزبكستان":"UZ",
            "فانواتو":"VU",
            "فنزويلا":"VE",
            "فيتنام":"VN",
            "جزر العذراء البريطانية":"VG",
            "جزر العذراء الأمريكية":"VI",
            "واليس وفوتونا":"WF",
            "الصحراء الغربية":"EH",
            "اليمن":"YE",
            "زامبيا":"ZM",
            "زيمبابوي":"ZW",
            "австралия":"AU",
            "австрия":"AT",
            "азербайджан":"AZ",
            "албания":"AL",
            "алжир":"DZ",
            "американска самоа":"AS",
            "американски вирджински острови":"VI",
            "ангила":"AI",
            "ангола":"AO",
            "андора":"AD",
            "антарктида":"AQ",
            "антигуа и барбуда":"AG",
            "аржентина":"AR",
            "армения":"AM",
            "аруба":"AW",
            "афганистан":"AF",
            "бангладеш":"BD",
            "барбадос":"BB",
            "бахамски острови":"BS",
            "бахрейн":"BH",
            "беларус":"BY",
            "белгия":"BE",
            "белиз":"BZ",
            "бенин":"BJ",
            "бермудски острови":"BM",
            "боливия":"BO",
            "босна и херцеговина":"BA",
            "ботсвана":"BW",
            "бразилия":"BR",
            "британска индоокеанска територия":"IO",
            "британски вирджински острови":"VG",
            "бруней":"BN",
            "буве":"BV",
            "буркина фасо":"BF",
            "бурунди":"BI",
            "бутан":"BT",
            "българия":"BG",
            "вануату":"VU",
            "ватикан":"VA",
            "великобритания":"GB",
            "венецуела":"VE",
            "виетнам":"VN",
            "габон":"GA",
            "гамбия":"GM",
            "гана":"GH",
            "гваделупа":"GP",
            "гватемала":"GT",
            "гвиана":"GY",
            "гвинея":"GN",
            "гвинея-бисау":"GW",
            "германия":"DE",
            "гибралтар":"GI",
            "гренада":"GD",
            "гренландия":"GL",
            "грузия":"GE",
            "гуам":"GU",
            "гърнси":"GG",
            "гърция":"GR",
            "дания":"DK",
            "демократична република конго":"CD",
            "джибути":"DJ",
            "джърси":"JE",
            "доминика":"DM",
            "доминиканска република":"DO",
            "египет":"EG",
            "еквадор":"EC",
            "екваториална гвинея":"GQ",
            "еритрея":"ER",
            "есватини":"SZ",
            "естония":"EE",
            "етиопия":"ET",
            "замбия":"ZM",
            "западна сахара":"EH",
            "зимбабве":"ZW",
            "израел":"IL",
            "източен тимор":"TL",
            "индия":"IN",
            "индонезия":"ID",
            "ирак":"IQ",
            "иран":"IR",
            "ирландия":"IE",
            "исландия":"IS",
            "испания":"ES",
            "италия":"IT",
            "йемен":"YE",
            "йордания":"JO",
            "кабо верде":"CV",
            "казахстан":"KZ",
            "кайманови острови":"KY",
            "камбоджа":"KH",
            "камерун":"CM",
            "канада":"CA",
            "карибска нидерландия":"BQ",
            "катар":"QA",
            "кения":"KE",
            "кипър":"CY",
            "киргизстан":"KG",
            "кирибати":"KI",
            "китай":"CN",
            "кокосови острови":"CC",
            "коледен остров":"CX",
            "колумбия":"CO",
            "коморски острови":"KM",
            "коста рика":"CR",
            "кот д'ивоар":"CI",
            "куба":"CU",
            "кувейт":"KW",
            "кюрасао":"CW",
            "лаос":"LA",
            "латвия":"LV",
            "лесото":"LS",
            "либерия":"LR",
            "либия":"LY",
            "ливан":"LB",
            "литва":"LT",
            "лихтенщайн":"LI",
            "люксембург":"LU",
            "мавритания":"MR",
            "мавриций":"MU",
            "мадагаскар":"MG",
            "майот":"YT",
            "макао":"MO",
            "малави":"MW",
            "малайзия":"MY",
            "малдиви":"MV",
            "мали":"ML",
            "малки далечни острови на сащ":"UM",
            "малта":"MT",
            "ман":"IM",
            "мароко":"MA",
            "мартиника":"MQ",
            "маршалови острови":"MH",
            "мексико":"MX",
            "мианмар":"MM",
            "микронезия":"FM",
            "мозамбик":"MZ",
            "молдова":"MD",
            "монако":"MC",
            "монголия":"MN",
            "монсерат":"MS",
            "намибия":"NA",
            "науру":"NR",
            "непал":"NP",
            "нигер":"NE",
            "нигерия":"NG",
            "нидерландия":"NL",
            "никарагуа":"NI",
            "ниуе":"NU",
            "нова зеландия":"NZ",
            "нова каледония":"NC",
            "норвегия":"NO",
            "оае":"AE",
            "оландски острови":"AX",
            "оман":"OM",
            "норфолк":"NF",
            "острови кук":"CK",
            "острови хърд и макдоналд":"HM",
            "пакистан":"PK",
            "палау":"PW",
            "палестинска автономия":"PS",
            "панама":"PA",
            "папуа нова гвинея":"PG",
            "парагвай":"PY",
            "перу":"PE",
            "питкерн":"PN",
            "полша":"PL",
            "португалия":"PT",
            "пуерто рико":"PR",
            "република конго":"CG",
            "реюнион":"RE",
            "руанда":"RW",
            "румъния":"RO",
            "русия":"RU",
            "салвадор":"SV",
            "самоа":"WS",
            "сан марино":"SM",
            "сао томе и принсипи":"ST",
            "саудитска арабия":"SA",
            "сащ":"US",
            "свалбард и ян майен":"SJ",
            "света елена, възнесение и тристан да куня":"SH",
            "северна корея":"KP",
            "северна македония":"MK",
            "северни мариански острови":"MP",
            "сейнт винсент и гренадини":"VC",
            "сейнт китс и невис":"KN",
            "сейнт лусия":"LC",
            "сейшелски острови":"SC",
            "сен бартелми":"BL",
            "сен мартен":"MF",
            "сен пиер и микелон":"PM",
            "сенегал":"SN",
            "сиера леоне":"SL",
            "сингапур":"SG",
            "синт мартен":"SX",
            "сирия":"SY",
            "словакия":"SK",
            "словения":"SI",
            "соломонови острови":"SB",
            "сомалия":"SO",
            "судан":"SD",
            "суринам":"SR",
            "сърбия":"RS",
            "таджикистан":"TJ",
            "тайван":"TW",
            "тайланд":"TH",
            "танзания":"TZ",
            "того":"TG",
            "токелау":"TK",
            "тонга":"TO",
            "тринидад и тобаго":"TT",
            "тувалу":"TV",
            "тунис":"TN",
            "туркменистан":"TM",
            "турция":"TR",
            "търкс и кайкос":"TC",
            "уганда":"UG",
            "узбекистан":"UZ",
            "украйна":"UA",
            "унгария":"HU",
            "уолис и футуна":"WF",
            "уругвай":"UY",
            "фарьорски острови":"FO",
            "фиджи":"FJ",
            "филипини":"PH",
            "финландия":"FI",
            "фолкландски острови":"FK",
            "франция":"FR",
            "френска гвиана":"GF",
            "френска полинезия":"PF",
            "френски южни и антарктически територии":"TF",
            "хаити":"HT",
            "хондурас":"HN",
            "хонконг":"HK",
            "хърватия":"HR",
            "централноафриканска република":"CF",
            "чад":"TD",
            "черна гора":"ME",
            "чехия":"CZ",
            "чили":"CL",
            "швейцария":"CH",
            "швеция":"SE",
            "шри ланка":"LK",
            "юар":"ZA",
            "южен судан":"SS",
            "южна джорджия и южни сандвичеви острови":"GS",
            "южна корея":"KR",
            "ямайка":"JM",
            "япония":"JP"
        }